jQuery(document).ready(function($) {
    (function($) {
        const $form = $('#filter-form'),
            $helpBlock = $("#filter-help-block");
        //Watch for user typing to refresh the filter
        $('#filter').keyup(function() {
            const filter = $(this).val(),
                card = $('.searchable .card');
            $form.removeClass("has-success has-error");
            if (filter === "") {
                $helpBlock.text(rsgws_translate_handler.noFilterApplied)
                card.show();
            } else {
                //Close any open cards
                $('.collapse.in').removeClass('in');
                //Hide questions, will show result later
                card.hide();
                const regex = new RegExp(filter, 'i'),
                    filterResult = card.filter(function() {
                    return regex.test($(this).text());
                })

                if (filterResult) {
                    if (filterResult.length !== 0) {
                        $form.addClass("has-success");
                        $helpBlock.text(filterResult.length + rsgws_translate_handler.questionFound);
                        filterResult.show();
                    } else {
                        $form.addClass("has-error").removeClass("has-success");
                        $helpBlock.text(rsgws_translate_handler.noQuestionFound);
                    }

                } else {
                    $form.addClass("has-error").removeClass("has-success");
                    $helpBlock.text(rsgws_translate_handler.noQuestionFound);
                }
            }
        })

    }($));
});

//
//  This function disables the enter button
//  because we're using a form element to filter, if a user
//  pressed enter, it would 'submit' a form and reload the page
//  Probably not needed here on Codepen, but necessary elsewhere
//
jQuery('.noEnterSubmit').keypress(function(e) {
    if (e.which === 13) e.preventDefault();
});