<?php

use inc\classes\RsgwsRegisterMenus;

defined('ABSPATH') || exit; // Prevent direct access

// Get current setting page
$page = sanitize_text_field($_GET['page']);
//$tab = !empty($_GET['tab']) ? sanitize_text_field($_GET['tab']) : '';
// Tabs
$software_title = !empty(get_option('rsgws-user-connection')) && isset(get_option('rsgws-user-connection')['software_title']) ?
    get_option('rsgws-user-connection')['software_title'] : 'rsgws';
switch ($software_title) {
    case 'sepidar-plus':
    case 'sepidar':
        $tab_items = array(
            array(
                'title' => __('Financial Information', 'rsgws'),
                'slug' => 'financial-information',
            ),
            array(
                'title' => __('Geo Locations', 'rsgws'),
                'slug' => 'geo-locations',
            ),
            array(
                'title' => __('Units', 'rsgws'),
                'slug' => 'units',
            ),
            array(
                'title' => __('Inventory', 'rsgws'),
                'slug' => 'inventory',
            ),
            array(
                'title' => __('Currencies', 'rsgws'),
                'slug' => 'currencies',
            ),
            array(
                'title' => __('Sale types', 'rsgws'),
                'slug' => 'sale-types',
            ),
            array(
                'title' => __('Account party', 'rsgws'),
                'slug' => 'account-party',
            ),
            array(
                'title' => __('Products', 'rsgws'),
                'slug' => 'products',
            ),
        );
        break;
    case 'dasht':
        $tab_items = array(
            array(
                'title' => __('Financial Information', 'rsgws'),
                'slug' => 'financial-information',
            ),
            array(
                'title' => __('Geo Locations', 'rsgws'),
                'slug' => 'geo-locations',
            ),
            array(
                'title' => __('Units', 'rsgws'),
                'slug' => 'units',
            ),
            array(
                'title' => __('Inventory', 'rsgws'),
                'slug' => 'inventory',
            ),
            array(
                'title' => __('Sale types', 'rsgws'),
                'slug' => 'sale-types',
            ),
            array(
                'title' => __('Account party', 'rsgws'),
                'slug' => 'account-party',
            ),
            array(
                'title' => __('Products', 'rsgws'),
                'slug' => 'products',
            ),
        );
        break;
    case 'rahkaran':
        $tab_items = array(
            array(
                'title' => __('Financial Information', 'rsgws'),
                'slug' => 'financial-information',
            ),
            array(
                'title' => __('Geo Locations', 'rsgws'),
                'slug' => 'geo-locations',
            ),
            array(
                'title' => __('Inventory', 'rsgws'),
                'slug' => 'inventory',
            ),
            array(
                'title' => __('Currencies', 'rsgws'),
                'slug' => 'currencies',
            ),
            array(
                'title' => __('Account party', 'rsgws'),
                'slug' => 'account-party',
            ),
            array(
                'title' => __('Products', 'rsgws'),
                'slug' => 'products',
            ),
        );
        break;
    default:
        $tab_items = array(
            array(
                'title' => __('Users', 'rsgws'),
                'slug' => 'users',
            ),
            array(
                'title' => __('Financial Information', 'rsgws'),
                'slug' => 'financial-information',
            ),
            array(
                'title' => __('Geo Locations', 'rsgws'),
                'slug' => 'geo-locations',
            ),
            array(
                'title' => __('Units', 'rsgws'),
                'slug' => 'units',
            ),
            array(
                'title' => __('Inventory', 'rsgws'),
                'slug' => 'inventory',
            ),
            array(
                'title' => __('Currencies', 'rsgws'),
                'slug' => 'currencies',
            ),
            array(
                'title' => __('Sale types', 'rsgws'),
                'slug' => 'sale-types',
            ),
            array(
                'title' => __('Account party', 'rsgws'),
                'slug' => 'account-party',
            ),
            array(
                'title' => __('Products', 'rsgws'),
                'slug' => 'products',
            ),
        );
        break;
}

// Output

?>

<div class="rsgws p-5 container">
    <ul class="nav nav-pills">

        <?php foreach ($tab_items as $key => $item) : ?>
            <li id="<?php echo $item['slug']; ?>" class="nav-item">
                <a class="nav-link <?php echo ($key === 0) ? 'active' : ''; ?>" id="pills-<?php echo $item['slug']; ?>-tab" data-toggle="pill" href="#pills-<?php echo $item['slug']; ?>" role="tab" aria-controls="pills-<?php echo $item['slug']; ?>" aria-selected="false"><?php echo $item['title'] ?></a>
            </li>

        <?php endforeach ?>

    </ul>

    <div class="tab-content" id="pills-tabContent">
        <?php foreach ($tab_items as $key => $item) : ?>
            <div class="tab-pane fade <?php echo ($key === 0) ? 'show active' : ''; ?>" id="pills-<?php echo $item['slug']; ?>" role="tabpanel" aria-labelledby="pills-<?php echo $item['slug']; ?>-tab">
                <?php

                    // Include views
                    $page = (new RsgwsRegisterMenus())->rsgws_remove_plugin_namespace($page); // Remove namespace
                    include(plugin_dir_path(__FILE__).$page.'/'.$item['slug'].'.php');

                ?>
            </div>
        <?php endforeach ?>
    </div>
</div>

