<?php

defined( 'ABSPATH' ) || exit; // Prevent direct access

// Set section name
$section_name = basename(__FILE__, '.php');

// Output

?>

<div class="card-body">
   <div class="row">
      <div class="col-md-6">
         <div class="<?php echo (is_rtl() ? 'float-right' : 'float-left') ?>">
           <button type="button" data-toggle="modal" data-target="#CustomersModal" class="btn btn-primary btn-sm" id="add_customers_btn">
              <i class="tim-icons icon-simple-add"></i> <?php echo __('Add new', 'rsgws') ?>
           </button>
         </div>
      </div>
      <div class="col-md-6">
         <div class="float-<?php echo (is_rtl() ? 'left' : 'right') ?>">
            <img class="customers-image-button" src="<?php echo IMAGE_URL .'/excel-icon.png' ?>"  alt="excel export">
             <a href="<?php echo IMAGE_LINK . '/rsgws-helpdesk?section='.$section_name.'&software=' . $software_title; ?>" target="_blank" rel="noreferrer noopener" class="rsgws-helpdesk">
                 <i class="tim-icons icon-video-66"></i>
             </a>
         </div>
      </div>
   </div>
   <br>
   <div class="dataTables_wrapper dt-bootstrap4 rsgws-multi-table">
      <div class="row">
         <div class="col-sm-12">
            <table id="datatable-<?php echo $section_name ?>-main" class="table table-striped dtr-inline collapsed" role="grid" aria-describedby="datatable_info">
               <thead>
                  <tr role="row">
                     <th class="sorting text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="activate to sort column ascending"><?php echo __('Code', 'rsgws') ?></th>
                     <th class="sorting_asc text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="activate to sort column descending"><?php echo __('Customer Name', 'rsgws') ?></th>
                  </tr>
               </thead>
               <tbody>
               </tbody>
               <tfoot>
               </tfoot>
            </table>
         </div>
      </div>
   </div>
</div>
<?php wp_nonce_field( 'rsgws-nonce-table', 'rsgws-nonce-table' ) ?>

<!-- Modal -->
<div class="modal fade" id="CustomersModal" tabindex="-1" aria-labelledby="ModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="ModalLabel"></h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
         <div class="row">
            <div class="col-sm-6">
               <input type="checkbox" name="select-all" id="customers-select-all" class="rsgws-select-all float-right" />
               <label for="customers-select-all" class="customers-select-all">انتخاب همه</label>
               <a href="#">
                  <button type="button" class="btn btn-info btn-link btn-sm float-left add-selected-plugin-customers" data-action="add" title="اضافه کردن انتخاب شده ها">
                     <i class="tim-icons icon-simple-add"></i>
                  </button>
               </a><br /><br />
               <table id="datatable-<?php echo $section_name ?>-right" class="table table-striped dtr-inline collapsed" role="grid" aria-describedby="datatable_info">
                  <thead>
                     <tr role="row">
                        <th class="sorting text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="activate to sort column ascending"><?php echo __('Code', 'rsgws') ?></th>
                        <th class="sorting_asc text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="activate to sort column descending"><?php echo __('Customer Name', 'rsgws') ?></th>
                        <th class="sorting_desc_disabled sorting_asc_disabled text-left sorting" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="Actions: activate to sort column ascending"><?php echo __('Actions', 'rsgws') ?></th>
                     </tr>
                  </thead>
                  <tbody>
                  </tbody>
                  <tfoot>
                  </tfoot>
               </table>
            </div>
            <div class="col-sm-6">
                <input type="checkbox" name="select-all" id="remove-customers-select-all" class="rsgws-select-all float-right" />
                <label for="remove-customers-select-all" class="remove-customers-select-all">انتخاب همه</label>
                <a href="#">
                    <button type="button" class="btn btn-danger btn-link btn-sm float-left remove-selected-plugin-customers" data-action="remove" title="Remove">
                        <i class="tim-icons icon-simple-remove"></i>
                    </button>
                </a><br /><br />
               <table id="datatable-<?php echo $section_name ?>-left" class="table table-striped dtr-inline collapsed" role="grid" aria-describedby="datatable_info">
                  <thead>
                     <tr role="row">
                        <th class="sorting text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="activate to sort column ascending"><?php echo __('Code', 'rsgws') ?></th>
                        <th class="sorting_asc text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="activate to sort column descending"><?php echo __('Customer Name', 'rsgws') ?></th>
                        <th class="sorting_desc_disabled sorting_asc_disabled text-left sorting" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="Actions: activate to sort column ascending"><?php echo __('Actions', 'rsgws') ?></th>
                     </tr>
                  </thead>
                  <tbody>
                  </tbody>
                  <tfoot>
                  </tfoot>
               </table>
            </div>
         </div>
    </div>
  </div>
</div>
</div>