<?php

defined( 'ABSPATH' ) || exit; // Prevent direct access

// Get current setting page
$tab = 'currencies';

// Set section name
$section_name = basename(__FILE__, '.php');

?>

<div class="row container <?php echo get_option('rsgws-user-connection')['software_title'] === 'dasht' ? 'default-base-info-page' : ''; ?>">
   <div class="col-md-12 shadow p-3 mt-3 mb-5 bg-white rounded">
      <div class="card-body">
         <div class="row">
            <div class="col-md-6">
               <div class="<?php echo (is_rtl() ? 'float-right' : 'float-left') ?>">
                 <button type="button" data-toggle="modal" data-target="#CurrenciesModal" data-backdrop="static" data-keyboard="false" class="btn btn-primary btn-sm" id="add_currency_btn">
                    <i class="tim-icons icon-simple-add"></i> <?php echo __('Add new', 'rsgws') ?>
                 </button>
               </div>
            </div>
            <div class="col-md-6">
               <div class="float-<?php echo (is_rtl() ? 'left' : 'right') ?>">
                  <img class="currency-image-button" src="<?php echo IMAGE_URL .'/excel-icon.png' ?>"  alt="excel export">
                   <a href="<?php echo IMAGE_LINK . '/rsgws-helpdesk?section='.$section_name.'&software=' . $software_title; ?>" target="_blank" rel="noreferrer noopener" class="rsgws-helpdesk">
                       <i class="tim-icons icon-video-66"></i>
                   </a>
               </div>
            </div>
         </div>
         <br>
         <div class="dataTables_wrapper dt-bootstrap4 rsgws-multi-table">
            <div class="row">
               <div class="col-sm-12">
                  <table id="datatable-<?php echo $section_name ?>-main" class="table table-striped dtr-inline collapsed" role="grid" aria-describedby="datatable_info">
                     <thead>
                        <tr role="row">
                           <th class="sorting text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="activate to sort column ascending"><?php echo __('Code', 'rsgws') ?></th>
                           <th class="sorting_asc text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="activate to sort column descending"><?php echo __('Title', 'rsgws') ?></th>
                           <th class="sorting_desc_disabled sorting_asc_disabled text-left sorting" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="Actions: activate to sort column ascending"><?php echo __('Actions', 'rsgws') ?></th>
                        </tr>
                     </thead>
                     <tbody>
                     </tbody>
                     <tfoot>
                     </tfoot>
                  </table>
               </div>
            </div>
         </div>
      </div>
      <?php wp_nonce_field( 'rsgws-nonce-table', 'rsgws-nonce-table' ) ?>
   </div>
</div>

<!-- Modal -->
<?php if( $software_title == 'rahkaran' ) { ?>

    <div class="modal fade" id="CurrenciesModal" tabindex="-1" aria-labelledby="ModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="ModalLabel"></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="dataTables_wrapper dt-bootstrap4 rsgws-multi-table">
                        <div class="row">
                            <div class="col-sm-12">
                                <form method="post" class="form-inline text-center d-block m-auto">
                                    <div class="rsgws-financial-modal">
                                        <label class="text-right"><?php _e('Currency ID', 'rsgws'); ?></label>
                                        <input type="text" name="currency_id" class="currency-id" id="currency_id" placeholder="<?php _e('Please input currency id', 'rsgws'); ?>" required />
                                    </div>
                                    <div class="rsgws-financial-modal">
                                        <label class="text-right"><?php _e('Currency title', 'rsgws'); ?></label>
                                        <input type="text" name="currency_name" class="currency-name" id="currency_name" placeholder="<?php _e('Please input currency name', 'rsgws'); ?>" required />
                                    </div>
                                    <button type="button" class="btn btn-success m-1 rahkaran-add-currency" name="add_currency"><?php _e('Save', 'rsgws'); ?></button>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

<?php }else{ ?>

    <div class="modal fade" id="CurrenciesModal" tabindex="-1" aria-labelledby="ModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-lg">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="ModalLabel"></h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
             <div class="dataTables_wrapper dt-bootstrap4 rsgws-multi-table">
                   <div class="row">
                      <div class="col-sm-6">
                          <input type="checkbox" name="select-all" id="currencies-select-all" class="rsgws-select-all float-right" />
                          <label class="currencies-select-all">انتخاب همه</label>
                          <a href="#">
                              <button type="button" class="btn btn-info btn-link btn-sm float-left add-selected-plugin-currencies" data-action="add" title="اضافه کردن انتخاب شده ها">
                                 <i class="tim-icons icon-simple-add"></i>
                              </button>
                          </a><br /><br />
                         <table id="datatable-<?php echo $section_name ?>-right" class="table table-striped dtr-inline collapsed" role="grid" aria-describedby="datatable_info">
                            <thead>
                               <tr role="row">
                                  <th class="sorting text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="activate to sort column ascending"><?php echo __('Code', 'rsgws') ?></th>
                                  <th class="sorting_asc text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="activate to sort column descending"><?php echo __('Title', 'rsgws') ?></th>
                                  <th class="sorting_desc_disabled sorting_asc_disabled text-left sorting" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="Actions: activate to sort column ascending"><?php echo __('Actions', 'rsgws') ?></th>
                               </tr>
                            </thead>
                            <tbody>
                            </tbody>
                            <tfoot>
                            </tfoot>
                         </table>
                      </div>
                      <div class="col-sm-6">
                          <input type="checkbox" name="select-all" id="remove-currencies-select-all" class="rsgws-select-all float-right" />
                          <label class="remove-currencies-select-all">انتخاب همه</label>
                          <a href="#">
                              <button type="button" class="btn btn-danger btn-link btn-sm float-left remove-selected-plugin-currencies" data-action="remove" title="Remove">
                                  <i class="tim-icons icon-simple-remove"></i>
                              </button>
                          </a><br /><br />
                         <table id="datatable-<?php echo $section_name ?>-left" class="table table-striped dtr-inline collapsed" role="grid" aria-describedby="datatable_info">
                            <thead>
                               <tr role="row">
                                  <th class="sorting text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="activate to sort column ascending"><?php echo __('Code', 'rsgws') ?></th>
                                  <th class="sorting_asc text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="activate to sort column descending"><?php echo __('Title', 'rsgws') ?></th>
                                  <th class="sorting_desc_disabled sorting_asc_disabled text-left sorting" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="Actions: activate to sort column ascending"><?php echo __('Actions', 'rsgws') ?></th>
                               </tr>
                            </thead>
                            <tbody>
                            </tbody>
                            <tfoot>
                            </tfoot>
                         </table>
                      </div>
                   </div>
                </div>
             </div>
        </div>
      </div>
    </div>
<?php
}
?>