<?php

defined( 'ABSPATH' ) || exit; // Prevent direct access

// Get current setting page
$tab = basename(__FILE__, '.php');

$software_title = !empty(get_option('rsgws-user-connection')) && isset(get_option('rsgws-user-connection')['software_title']) ?
    get_option('rsgws-user-connection')['software_title'] : 'rsgws';

switch( $software_title ) {

	case 'dasht':
	case 'sepidar':

	$sections = array(

		array(
			'title'  => __('Bank', 'rsgws'),
			'slug'  => 'banks',
		),
		array(
			'title'  => __('Bank accounts', 'rsgws'),
			'slug'  => 'bank-accounts',
		)
	);
		break;

    case 'sepidar-plus':

	    $sections = array(

		    array(
			    'title'  => __('Moein Account', 'rsgws'),
			    'slug'  => 'moein-account',
		    ),
		    array(
			    'title'  => __('Bank accounts', 'rsgws'),
			    'slug'  => 'bank-accounts',
		    ),
		    array(
			    'title'  => __('Chashiers', 'rsgws'),
			    'slug'  => 'cashiers',
		    ),
	    );
        break;

	case 'rahkaran':

	    $sections = array(
		    array(
			    'title'  => __('Settlement Policy', 'rsgws'),
			    'slug'  => 'settlement-policy',
		    )
	    );
        break;

    default:

	    $sections = array(
		    array(
			    'title'  => __('Fiscal year', 'rsgws'),
			    'slug'  => 'fiscal-year',
		    ),
		    array(
			    'title'  => __('Moein Account', 'rsgws'),
			    'slug'  => 'moein-account',
		    ),
		    array(
			    'title'  => __('Bank', 'rsgws'),
			    'slug'  => 'banks',
		    ),
		    array(
			    'title'  => __('Bank accounts', 'rsgws'),
			    'slug'  => 'bank-accounts',
		    ),
		    array(
			    'title'  => __('Chashiers', 'rsgws'),
			    'slug'  => 'cashiers',
		    ),
		    array(
			    'title'  => __('Settlement Policy', 'rsgws'),
			    'slug'  => 'settlement-policy',
		    )
	    );

        break;

}

// Sections

// Output

?>

<div class="row container">
    <div class="col-md-12 shadow p-3 mt-3 mb-5 bg-white rounded">
        <div class="row">
            <div class="col-md-3 border border-left-1 border-right-0 border-top-0 border-bottom-0">
                <div class="nav flex-column nav-pills" id="v-pills-tab" role="tablist" aria-orientation="vertical">

                    <?php foreach ( $sections as $key => $section ) : ?>

                        <a class="nav-link <?php if($key == 0){echo 'active';} ?>" id="v-pills-<?php echo $section['slug'] ?>-tab" data-toggle="pill" href="#v-pills-<?php echo $section['slug'] ?>" role="tab" aria-controls="v-pills-<?php echo $section['slug'] ?>" aria-selected="true"><?php echo $section['title'] ?></a>

                    <?php endforeach ?>

                </div>
            </div>
            <div class="col-md-9">
                <div class="tab-content" id="v-pills-tabContent">
                    <?php foreach ( $sections as $key => $section ) : ?>
                        <div class="tab-pane fade <?php if($key == 0){echo 'active show';} ?>" id="v-pills-<?php echo $section['slug'] ?>" role="tabpanel" aria-labelledby="v-pills-<?php echo $section['slug'] ?>-tab">
                            <?php include( plugin_dir_path( __FILE__ ).$tab.'/'.$section['slug'].'.php' ); ?>
                        </div>
                    <?php endforeach ?>
                </div>
            </div>
        </div>
    </div>
</div>

