<?php

defined( 'ABSPATH' ) || exit; // Prevent direct access

// Get current setting page
$tab = 'financial-information';
// Set section name
$section_name = basename(__FILE__, '.php');

// Output
?>

<div class="card-body">
   <div class="row">
      <div class="col-md-6">
         <div class="<?php echo (is_rtl() ? 'float-right' : 'float-left') ?>">
           <button type="button" data-toggle="modal" data-target="#BankAccountsModal" data-backdrop="static" data-keyboard="false" class="btn btn-primary btn-sm" id="add_bank_account_btn">
              <i class="tim-icons icon-simple-add"></i> <?php echo __('Add new', 'rsgws') ?>
           </button>
         </div>
      </div>
      <div class="col-md-6">
         <div class="float-<?php echo (is_rtl() ? 'left' : 'right') ?>">
            <img class="bank-accounts-image-button" src="<?php echo IMAGE_URL .'/excel-icon.png' ?>"  alt="excel export">
             <a href="<?php echo IMAGE_LINK . '/rsgws-helpdesk?section='.$section_name.'&software=' . $software_title; ?>" target="_blank" rel="noreferrer noopener" class="rsgws-helpdesk">
                 <i class="tim-icons icon-video-66"></i>
             </a>
         </div>
      </div>
   </div>
   <br>
   <div class="dataTables_wrapper dt-bootstrap4 rsgws-multi-table">
      <div class="row">
         <div class="col-sm-12">
            <table id="datatable-<?php echo $section_name ?>-main" class="table table-striped dtr-inline collapsed" role="grid" aria-describedby="datatable_info">
               <thead>
                  <tr role="row">
                     <th class="sorting text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="activate to sort column ascending"><?php echo __('Code', 'rsgws') ?></th>
                     <th class="sorting_asc text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="activate to sort column descending"><?php echo __('Title', 'rsgws') ?></th>
                  </tr>
               </thead>
               <tbody>
               </tbody>
               <tfoot>
               </tfoot>
            </table>
         </div>
      </div>
   </div>
</div>
<?php wp_nonce_field( 'rsgws-nonce-table', 'rsgws-nonce-table' ) ?>

<!-- Modal -->

<?php

switch($software_title){
    case 'sepidar-plus':
        ?>
        <div class="rsgws modal fade" id="BankAccountsModal" tabindex="-1" aria-labelledby="ModalLabel" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="ModalLabel"></h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="row">
                            <div class="col-lg-6 col-md-6 col-sm-12 border-left">
                                <form method="post" class="form-inline text-center d-block m-auto">
                                    <div class="rsgws-financial-modal">
                                        <label class="text-right" for="bank_account_name"><?php _e('Bank account Dl title', 'rsgws'); ?></label>
                                        <input type="text" name="bank_account_name" class="bank-account-name" id="bank_account_name" placeholder="<?php _e('Please input bank account dl name', 'rsgws'); ?>" required />
                                    </div>
                                    <div class="rsgws-financial-modal">
                                        <label class="text-right" for="bank_account_code"><?php _e('Bank account code', 'rsgws'); ?></label>
                                        <input type="number" name="bank_account_code" class="bank-account-code" id="bank_account_code" placeholder="<?php _e('Please input bank account code', 'rsgws'); ?>" required />
                                    </div>
                                    <button type="button" class="btn btn-success m-1 sepidar-plus-add-bank-account" name="add_bank_account"><?php _e('Add bank account', 'rsgws'); ?></button>
                                </form>
                            </div>
                            <div class="col-lg-6 col-md-6 col-sm-12">
                                <input type="checkbox" name="remove-select-all" id="remove-bank-accounts-select-all" class="rsgws-select-all float-right" />
                                <label class="bank-accounts-select-all" for="remove-bank-accounts-select-all">انتخاب همه</label>
                                <button type="button" class="btn btn-danger btn-link btn-sm float-left remove-selected-plugin-bank-accounts" data-action="remove" title="Remove selected bank accounts">
                                    <i class="tim-icons icon-simple-remove"></i>
                                </button><br/><br/>
                                <table id="datatable-<?php echo $section_name ?>-left" class="table table-striped dtr-inline collapsed" role="grid" aria-describedby="datatable_info">
                                    <thead>
                                    <tr role="row">
                                        <th class="sorting text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="activate to sort column ascending"><?php echo __('Code', 'rsgws') ?></th>
                                        <th class="sorting_asc text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="activate to sort column descending"><?php echo __('Title', 'rsgws') ?></th>
                                        <th class="sorting_desc_disabled sorting_asc_disabled text-left sorting" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="Actions: activate to sort column ascending"><?php echo __('Actions', 'rsgws') ?></th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    </tbody>
                                    <tfoot>
                                    </tfoot>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <?php
        break;
    default:
        ?>
        <div class="modal fade" id="BankAccountsModal" tabindex="-1" aria-labelledby="ModalLabel" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="ModalLabel"></h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="row">
                            <div class="col-lg-6 col-md-6 col-sm-12">
                                <input type="checkbox" name="select-all" id="bank-accounts-select-all" class="rsgws-select-all float-right" />
                                <label class="bank-accounts-select-all" for="bank-accounts-select-all">انتخاب همه</label>
                                <a href="#">
                                    <button type="button" class="btn btn-info btn-link btn-sm float-left add-selected-plugin-bank-accounts" data-action="add" title="اضافه کردن انتخاب شده ها">
                                        <i class="tim-icons icon-simple-add"></i>
                                    </button>
                                </a><br/><br/>
                                <table id="datatable-<?php echo $section_name ?>-right" class="table table-striped dtr-inline collapsed" role="grid" aria-describedby="datatable_info">
                                    <thead>
                                    <tr role="row">
                                        <th class="sorting text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="activate to sort column ascending"><?php echo __('Code', 'rsgws') ?></th>
                                        <th class="sorting_asc text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="activate to sort column descending"><?php echo __('Title', 'rsgws') ?></th>
                                        <th class="sorting_desc_disabled sorting_asc_disabled text-left sorting" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="Actions: activate to sort column ascending"><?php echo __('Actions', 'rsgws') ?></th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    </tbody>
                                    <tfoot>
                                    </tfoot>
                                </table>
                            </div>
                            <div class="col-lg-6 col-md-6 col-sm-12">
                                <input type="checkbox" name="remove-select-all" id="remove-bank-accounts-select-all" class="rsgws-select-all float-right" />
                                <label class="bank-accounts-select-all">انتخاب همه</label>
                                <button type="button" class="btn btn-danger btn-link btn-sm float-left remove-selected-plugin-bank-accounts" data-action="remove" title="Remove selected bank accounts">
                                    <i class="tim-icons icon-simple-remove"></i>
                                </button><br/><br/>
                                <table id="datatable-<?php echo $section_name ?>-left" class="table table-striped dtr-inline collapsed" role="grid" aria-describedby="datatable_info">
                                    <thead>
                                    <tr role="row">
                                        <th class="sorting text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="activate to sort column ascending"><?php echo __('Code', 'rsgws') ?></th>
                                        <th class="sorting_asc text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="activate to sort column descending"><?php echo __('Title', 'rsgws') ?></th>
                                        <th class="sorting_desc_disabled sorting_asc_disabled text-left sorting" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="Actions: activate to sort column ascending"><?php echo __('Actions', 'rsgws') ?></th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    </tbody>
                                    <tfoot>
                                    </tfoot>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    <?php
        break;
}

?>
