<?php

defined( 'ABSPATH' ) || exit; // Prevent direct access

// Get current setting page
$tab = 'financial-information';

// Set section name
$section_name = basename(__FILE__, '.php');

// Output

?>
<div class="card-body">
   <div class="row">
      <div class="col-md-6">
         <div class="<?php echo (is_rtl() ? 'float-right' : 'float-left') ?>">
            <button type="button" data-toggle="modal" data-target="#AddCashierModal" data-backdrop="static" data-keyboard="false" class="btn btn-primary btn-sm" id="add_cashier_btn">
                <i class="tim-icons icon-simple-add"></i> <?php echo __('Add new', 'rsgws') ?>
            </button>
         </div>
      </div>
      <div class="col-md-6">
         <div class="float-<?php echo (is_rtl() ? 'left' : 'right') ?>">
            <img class="cashiers-image-button" src="<?php echo IMAGE_URL .'/excel-icon.png' ?>"  alt="excel export">
             <a href="<?php echo IMAGE_LINK . '/rsgws-helpdesk?section='.$section_name.'&software=' . $software_title; ?>" target="_blank" rel="noreferrer noopener" class="rsgws-helpdesk">
                 <i class="tim-icons icon-video-66"></i>
             </a>
         </div>
      </div>
   </div>
   <br>
   <div class="dataTables_wrapper dt-bootstrap4">
      <div class="row">
         <div class="col-sm-12">
            <table id="datatable-<?php echo $section_name ?>" class="table table-striped dtr-inline collapsed" role="grid" aria-describedby="datatable_info">
               <thead>
                  <tr role="row">
                      <th class="sorting text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="activate to sort column ascending"><?php echo __('Code', 'rsgws') ?></th>
                      <th class="sorting_asc text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" style="width: 260px;" aria-sort="ascending" aria-label="activate to sort column descending"><?php echo __('Title', 'rsgws') ?></th>
                  </tr>
               </thead>
               <tbody>
               </tbody>
               <tfoot>
               </tfoot>
            </table>
         </div>
      </div>
   </div>
</div>
<!-- Modal -->
<div class="rsgws modal fade" id="AddCashierModal" tabindex="-1" aria-labelledby="ModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="ModalLabel"></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-lg-6 col-md-6 col-sm-12 border-left">
                        <form method="post" class="form-inline text-center d-block m-auto">
                            <div class="rsgws-financial-modal">
                                <label class="text-right"><?php _e('Cashier title', 'rsgws'); ?></label>
                                <input type="text" name="cashier_name" class="cashier-name" id="cashier_name" placeholder="<?php _e('Please input cashier name', 'rsgws'); ?>">
                            </div>
                            <div class="rsgws-financial-modal">
                                <label class="text-right"><?php _e('Cashier Code', 'rsgws'); ?></label>
                                <input type="text" name="cashier_code" class="cashier-code" id="cashier_code" placeholder="<?php _e('Please input cashier code', 'rsgws'); ?>">
                            </div>
                            <button type="button" class="btn btn-success m-1 save-cashier" name="save_cashier"><?php _e('Save', 'rsgws'); ?></button>
                        </form>
                    </div>
                    <div class="col-lg-6 col-md-6 col-sm-12">
                        <input type="checkbox" name="remove-select-all" id="remove-cashiers-select-all" class="rsgws-select-all float-right" />
                        <label class="cashiers-select-all" for="remove-cashiers-select-all">انتخاب همه</label>
                        <button type="button" class="btn btn-danger btn-link btn-sm float-left remove-selected-plugin-cashiers" data-action="remove" title="Remove selected cashiers">
                            <i class="tim-icons icon-simple-remove"></i>
                        </button><br/><br/>
                        <table id="datatable-<?php echo $section_name ?>-left" class="table table-striped dtr-inline collapsed" role="grid" aria-describedby="datatable_info">
                            <thead>
                            <tr role="row">
                                <th class="sorting text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="activate to sort column ascending"><?php echo __('Code', 'rsgws') ?></th>
                                <th class="sorting_asc text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="activate to sort column descending"><?php echo __('Title', 'rsgws') ?></th>
                                <th class="sorting_desc_disabled sorting_asc_disabled text-left sorting" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="Actions: activate to sort column ascending"><?php echo __('Actions', 'rsgws') ?></th>
                            </tr>
                            </thead>
                            <tbody>
                            </tbody>
                            <tfoot>
                            </tfoot>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>