<?php

defined( 'ABSPATH' ) || exit; // Prevent direct access

// Get current setting page
$tab = 'financial-information';

// Set section name
$section_name = basename(__FILE__, '.php');

// Output

?>


<div class="card-body">
   <div class="row">
      <div class="col-md-6">
         <div class="<?php echo (is_rtl() ? 'float-right' : 'float-left') ?>">
            <button type="button" data-toggle="modal" data-target="#AddMoeinAccountModal" data-backdrop="static" data-keyboard="false" id="add_moein_accounts_btn" class="btn btn-primary btn-sm">
                <i class="tim-icons icon-simple-add"></i> <?php echo __('Add new', 'rsgws') ?>
            </button>
         </div>
      </div>
      <div class="col-md-6">
         <div class="float-<?php echo (is_rtl() ? 'left' : 'right') ?>">
            <img class="image-button" src="<?php echo IMAGE_URL .'/excel-icon.png' ?>" >
             <a href="<?php echo IMAGE_LINK . '/rsgws-helpdesk?section='.$section_name.'&software=' . $software_title; ?>" target="_blank" rel="noreferrer noopener" class="rsgws-helpdesk">
                 <i class="tim-icons icon-video-66"></i>
             </a>
         </div>
      </div>
   </div>
   <br>
   <div class="dataTables_wrapper dt-bootstrap4">
      <div class="row">
         <div class="col-sm-12">
            <table id="datatable-<?php echo $section_name ?>" class="table table-striped dtr-inline collapsed" role="grid" aria-describedby="datatable_info">
               <thead>
                  <tr role="row">
                      <th class="sorting text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="activate to sort column ascending"><?php echo __('Code', 'rsgws') ?></th>
                      <th class="sorting_asc text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" style="width: 260px;" aria-sort="ascending" aria-label="activate to sort column descending"><?php echo __('Title', 'rsgws') ?></th>
                  </tr>
               </thead>
               <tbody>
               </tbody>
               <tfoot>
               </tfoot>
            </table>
         </div>
      </div>
   </div>
</div>
<?php wp_nonce_field( 'rsgws-nonce-table', 'rsgws-nonce-table' ) ?>
<!-- Modal -->
<div class="rsgws modal fade" id="AddMoeinAccountModal" tabindex="-1" aria-labelledby="ModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="ModalLabel"></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div  class="col-lg-6 col-md-6 col-sm-12 border-left">
                        <input type="checkbox" name="select-all" id="moein-accounts-select-all" class="rsgws-select-all float-right" />
                        <label class="moein-accounts-select-all" for="moein-accounts-select-all">انتخاب همه</label>
                        <button type="button" class="btn btn-info btn-link btn-sm float-left add-selected-plugin-moein-accounts" data-action="add" title="اضافه کردن انتخاب شده ها">
                            <i class="tim-icons icon-simple-add"></i>
                        </button>
                        <br/><br/>
                        <table id="datatable-<?php echo $section_name ?>-right" class="table table-striped dtr-inline collapsed" role="grid" aria-describedby="datatable_info">
                            <thead>
                            <tr role="row">
                                <th class="sorting text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="activate to sort column ascending"><?php echo __('Code', 'rsgws') ?></th>
                                <th class="sorting_asc text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="activate to sort column descending"><?php echo __('Title', 'rsgws') ?></th>
                                <th class="sorting_desc_disabled sorting_asc_disabled text-left sorting" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="Actions: activate to sort column ascending"><?php echo __('Actions', 'rsgws') ?></th>
                            </tr>
                            </thead>
                            <tbody>
                            </tbody>
                            <tfoot>
                            </tfoot>
                        </table>
                    </div>
                    <div  class="col-lg-6 col-md-6 col-sm-12">
                        <input type="checkbox" name="remove-select-all" id="remove-moein-accounts-select-all" class="rsgws-select-all float-right" />
                        <label class="moein-accounts-select-all" for="remove-moein-accounts-select-all">انتخاب همه</label>
                        <button type="button" class="btn btn-danger btn-link btn-sm float-left remove-selected-plugin-moein-accounts" data-action="remove" title="Remove selected moein accounts">
                            <i class="tim-icons icon-simple-remove"></i>
                        </button><br/><br/>
                        <table id="datatable-<?php echo $section_name ?>-left" class="table table-striped dtr-inline collapsed" role="grid" aria-describedby="datatable_info">
                            <thead>
                            <tr role="row">
                                <th class="sorting text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="activate to sort column ascending"><?php echo __('Code', 'rsgws') ?></th>
                                <th class="sorting_asc text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="activate to sort column descending"><?php echo __('Title', 'rsgws') ?></th>
                                <th class="sorting_desc_disabled sorting_asc_disabled text-left sorting" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="Actions: activate to sort column ascending"><?php echo __('Actions', 'rsgws') ?></th>
                            </tr>
                            </thead>
                            <tbody>
                            </tbody>
                            <tfoot>
                            </tfoot>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
