<?php

defined( 'ABSPATH' ) || exit; // Prevent direct access

// Get current setting page
$tab = 'financial-information';

// Set section name
$section_name = basename(__FILE__, '.php');

// Output

?>


<div class="card-body">
	<div class="row">
		<div class="col-md-6">
			<div class="<?php echo (is_rtl() ? 'float-right' : 'float-left') ?>">
				<a href="#">
					<button type="button" data-toggle="modal" data-target="#AddSettlementModal" data-backdrop="static" data-keyboard="false" class="btn btn-primary btn-sm">
						<i class="tim-icons icon-simple-add"></i> <?php echo __('Add new', 'rsgws') ?>                </button>
				</a>
			</div>
		</div>
		<div class="col-md-6">
			<div class="float-<?php echo (is_rtl() ? 'left' : 'right') ?>">
				<a href="#"><img class="image-button" src="<?php echo IMAGE_URL .'/excel-icon.png' ?>" ></a>
			</div>
		</div>
	</div>
	<br>
	<div class="dataTables_wrapper dt-bootstrap4">
		<div class="row">
			<div class="col-sm-12">
				<table id="datatable-<?php echo $section_name ?>" class="table table-striped dtr-inline collapsed" role="grid" aria-describedby="datatable_info">
					<thead>
					<tr role="row">
						<th class="sorting text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="activate to sort column ascending"><?php echo __('Key', 'rsgws') ?></th>
						<th class="sorting_asc text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="activate to sort column descending"><?php echo __('Title', 'rsgws') ?></th>
						<th class="sorting_asc text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="activate to sort column descending"><?php echo __('Min Amount', 'rsgws') ?></th>
						<th class="sorting_asc text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="activate to sort column descending"><?php echo __('Max Amount', 'rsgws') ?></th>
						<th class="sorting_asc text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="activate to sort column descending"><?php echo __('Min Percent', 'rsgws') ?></th>
						<th class="sorting_asc text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="activate to sort column descending"><?php echo __('Max Percent', 'rsgws') ?></th>
					</tr>
					</thead>
					<tbody>
					</tbody>
					<tfoot>
					</tfoot>
				</table>
			</div>
		</div>
	</div>
</div>
<!-- Modal -->
<div class="rsgws modal fade" id="AddSettlementModal" tabindex="-1" aria-labelledby="ModalLabel" aria-hidden="true">
	<div class="modal-dialog modal-lg">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title" id="ModalLabel"></h5>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close">
					<span aria-hidden="true">&times;</span>
				</button>
			</div>
			<div class="modal-body">
				<div class="row">
					<div class="col-sm-12">
						<form method="post" class="form-inline text-center d-block m-auto">
							<div class="rsgws-financial-modal">
								<label class="text-right"><?php _e('Settlement ID', 'rsgws'); ?></label>
								<input type="text" name="settlement_id" class="settlement-id" id="settlement_id" placeholder="<?php _e('Please input settlement id', 'rsgws'); ?>">
							</div>
							<button type="button" class="btn btn-success m-1 save-settlement" name="save_settlement"><?php _e('Save', 'rsgws'); ?></button>
						</form>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
