<?php

defined( 'ABSPATH' ) || exit; // Prevent direct access

// Get current setting page
$tab = 'products';
$software_title = !empty(get_option('rsgws-user-connection')) && isset(get_option('rsgws-user-connection')['software_title']) ?
    get_option('rsgws-user-connection')['software_title'] : 'sepidar';
switch ($software_title) {
   case 'sepidar-plus':
      // Sections
      $sections = array(
         array(
            'title'  => __('Financial software products', 'rsgws'),
            'slug'  => 'financial-software-products',
         ),
         array(
            'title'  => __('Tracking', 'rsgws'),
            'slug'  => 'tracking',
         ),
         array(
            'title'  => __('Price notice', 'rsgws'),
            'slug'  => 'price-notice',
         ),
         array(
            'title'  => __('Inventory control', 'rsgws'),
            'slug'  => 'inventory-control',
         ),
         array(
            'title'  => __('Website Products', 'rsgws'),
            'slug'  => 'website-products',
         ),
      );
   break;
   default:
      // Sections
      $sections = array(
         array(
            'title'  => __('Financial software products', 'rsgws'),
            'slug'  => 'financial-software-products',
         ),
         array(
            'title'  => __('Tracking', 'rsgws'),
            'slug'  => 'tracking',
         ),
         array(
            'title'  => __('Properties', 'rsgws'),
            'slug'  => 'properties',
         ),
         array(
            'title'  => __('Price notice', 'rsgws'),
            'slug'  => 'price-notice',
         ),
         array(
            'title'  => __('Inventory control', 'rsgws'),
            'slug'  => 'inventory-control',
         ),
         array(
            'title'  => __('Website Products', 'rsgws'),
            'slug'  => 'website-products',
         ),
      );
   break;
}

// Output

?>

<div class="row container">
   <div class="col-md-12 shadow p-3 mt-3 mb-5 bg-white rounded">
      <div class="row">
            <div class="col-md-3 border border-left-1 border-right-0 border-top-0 border-bottom-0">
               <div class="nav flex-column nav-pills" id="v-pills-tab" role="tablist" aria-orientation="vertical">

                  <?php foreach ( $sections as $key => $section ) : ?>

                     <a class="nav-link <?php echo $key == 0 ? 'active' : '' ?>" id="v-pills-<?php echo $section['slug'] ?>-tab" data-toggle="pill" href="#v-pills-<?php echo $section['slug'] ?>" role="tab" aria-controls="v-pills-<?php echo $section['slug'] ?>" aria-selected="true"><?php echo $section['title'] ?></a>

                  <?php endforeach ?>

               </div>
            </div>
            <div class="col-md-9">
               <div class="tab-content" id="v-pills-tabContent">
                  <?php foreach ( $sections as $key => $section ) : ?>
                     <div class="tab-pane fade <?php echo $key == 0 ? 'active show' : '' ?>" id="v-pills-<?php echo $section['slug'] ?>" role="tabpanel" aria-labelledby="v-pills-<?php echo $section['slug'] ?>-tab">
                        <?php include( plugin_dir_path( __FILE__ ).$tab.'/'.$section['slug'].'.php' ); ?>
                     </div>
                  <?php endforeach ?>
               </div>
            </div>
      </div>
   </div>
</div>

