<?php

defined( 'ABSPATH' ) || exit; // Prevent direct access

// Set section name
$section_name = basename(__FILE__, '.php');

// Output

?>


<div class="card-body">
   <div class="row">
      <div class="col-md-6">
         <div class="<?php echo (is_rtl() ? 'float-right' : 'float-left') ?>">
           <button type="button" id="sync-all-item-inventories" class="btn btn-success btn-sm">
              <i class="tim-icons icon-refresh-02"></i> <?php echo __('Sync Now', 'rsgws') ?>
           </button>
         </div>
      </div>
      <div class="col-md-6">
         <div class="float-<?php echo (is_rtl() ? 'left' : 'right') ?>">
            <img class="inventory-control-image-button" src="<?php echo IMAGE_URL .'/excel-icon.png' ?>"  alt="excel export">
             <a href="<?php echo IMAGE_LINK . '/rsgws-helpdesk?section='.$section_name.'&software=' . $software_title; ?>" target="_blank" rel="noreferrer noopener" class="rsgws-helpdesk">
                 <i class="tim-icons icon-video-66"></i>
             </a>
         </div>
      </div>
   </div>
   <br>
   <div class="dataTables_wrapper dt-bootstrap4 rsgws-multi-table">
      <div class="row">
         <div class="col-sm-12">
            <table id="datatable-<?php echo $section_name ?>" class="table table-striped dtr-inline collapsed" role="grid" aria-describedby="datatable_info">
               <thead>
                  <tr role="row">
                     <th class="sorting text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="activate to sort column ascending"><?php echo __('Inventory Title', 'rsgws') ?></th>
                     <th class="sorting text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="activate to sort column ascending"><?php echo __('Item Code', 'rsgws') ?></th>
                     <th class="sorting text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="activate to sort column ascending"><?php echo __('Item Title', 'rsgws') ?></th>
                     <th class="sorting text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="activate to sort column ascending"><?php echo __('Tracing Title', 'rsgws') ?></th>
                     <?php
                     switch($software_title){
                        case 'sepidar':
                        case 'sepidar-plus': ?>
                           <th class="sorting_desc_disabled sorting_asc_disabled text-right sorting" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="Actions: activate to sort column ascending"><?php echo __('Qunatity (main unit)', 'rsgws') ?></th>
                           <th class="sorting_desc_disabled sorting_asc_disabled text-right sorting" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="Actions: activate to sort column ascending"><?php echo __('Qunatity (secondary unit)', 'rsgws') ?></th>
                        <?php
                        break;
                        default:
                        ?>
                           <th class="sorting_desc_disabled sorting_asc_disabled text-right sorting" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="Actions: activate to sort column ascending"><?php echo __('Qunatity', 'rsgws') ?></th>
                     <?php
                        break;
                     }
                     ?>
                  </tr>
               </thead>
               <tbody>
               </tbody>
               <tfoot>
               </tfoot>
            </table>
         </div>
      </div>
   </div>
</div>
<?php wp_nonce_field( 'rsgws-nonce-table', 'rsgws-nonce-table' ) ?>