<?php

use inc\classes\RsgwsHelper;

defined( 'ABSPATH' ) || exit; // Prevent direct access

// Set section name
$section_name = basename(__FILE__, '.php');
$params['table_name'] = 'rsgws_sepidar_units';
$params['from_col'] = 'unit_id, title';
$units = (new class { use RsgwsHelper; })->rsgws_read($params);
// Output
?>


<div class="card-body">
   <div class="row">
      <div class="col-md-6">
         <div class="<?php echo (is_rtl() ? 'float-right' : 'float-left') ?>">
           <button type="button" data-toggle="modal" data-target="#WebsiteProductsModal" data-backdrop="static" data-keyboard="false" class="btn btn-primary btn-sm" id="add_website_products_btn">
              <i class="tim-icons icon-simple-add"></i> <?php echo __('Add new', 'rsgws') ?>
           </button>
         </div>
      </div>
      <div class="col-md-6">
         <div class="float-<?php echo (is_rtl() ? 'left' : 'right') ?>">
            <img class="website-products-image-button" src="<?php echo IMAGE_URL .'/excel-icon.png' ?>"  alt="excel export">
             <a href="<?php echo IMAGE_LINK . '/rsgws-helpdesk?section='.$section_name.'&software=' . $software_title; ?>" target="_blank" rel="noreferrer noopener" class="rsgws-helpdesk">
                 <i class="tim-icons icon-video-66"></i>
             </a>
         </div>
      </div>
   </div>
   <br>
   <div class="dataTables_wrapper dt-bootstrap4 rsgws-multi-table">
      <div class="row">
         <div class="col-sm-12">
            <table id="datatable-<?php echo $section_name ?>-main" class="table table-striped dtr-inline collapsed" role="grid" aria-describedby="datatable_info">
               <thead>
                  <tr role="row">
                     <th class="sorting text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="activate to sort column ascending"><?php echo __('Code', 'rsgws') ?></th>
                     <th class="sorting_asc text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="activate to sort column descending"><?php echo __('Title', 'rsgws') ?></th>
                  </tr>
               </thead>
               <tbody>
               </tbody>
               <tfoot>
               </tfoot>
            </table>
         </div>
      </div>
   </div>
</div>
<?php wp_nonce_field( 'rsgws-nonce-table', 'rsgws-nonce-table' ) ?>

<!-- Modal -->
<div class="modal fade" id="WebsiteProductsModal" tabindex="-1" aria-labelledby="ModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="ModalLabel"></h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
         <div class="row">
            <div class="col-sm-6">
               <input type="checkbox" name="select-all" id="web-product-select-all" class="rsgws-select-all float-right" />
               <label for="web-product-select-all" class="web-product-select-all">انتخاب همه</label>
              <button type="button" class="btn btn-info btn-link btn-sm float-left add-selected-plugin-products" data-action="add" title="اضافه کردن انتخاب شده ها">
                 <i class="tim-icons icon-simple-add"></i>
              </button>
               <br/>
                <input type="checkbox" name="add-to-woo" id="add-to-woo" class="float-right " />
                <label for="add-to-woo" ><?php _e('Add to woocommerce', 'rsgws') ?></label><br/>
                <!-- TODO: Add drop down for woo categories -->
                <input type="checkbox" name="add-with-sec-unit" id="add-with-sec-unit" class="float-right <?php echo $software_title == 'dasht' ? 'dasht-sec-unit' : '' ?>" />
                <label for="add-with-sec-unit" class="add-web-products-with-sec-unit"><?php _e('Add with sec unit', 'rsgws'); ?></label><br/>
                <?php if($software_title == 'dasht'): ?>
                <div class="dasht-secondary-unit d-none">
                    <label for="secondary-unit"><?php _e('Please choose secondary unit', 'rsgws'); ?></label>
                    <select id="secondary-unit" class="selectpicker form-control" data-live-search="true">
                        <option value="" class="text-right"><?php _e('Choose ...', 'rsgws'); ?></option>
                        <?php
                        foreach ( $units as $unit ) {
                            echo '<option value="'.$unit->unit_id.'" class="text-right">'. $unit->title .'</option>';
                        }
                        ?>
                    </select><br/>
                </div>
                <?php endif; ?>
               <table id="datatable-<?php echo $section_name ?>-right" class="table table-striped display" role="grid" aria-describedby="datatable_info" cellspacing="0" width="50%">
                  <thead>
                     <tr role="row">
                        <th class="sorting text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="activate to sort column ascending"><?php echo __('Code', 'rsgws') ?></th>
                        <th class="sorting_asc text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="activate to sort column descending"><?php echo __('Title', 'rsgws') ?></th>
                        <th class="sorting_desc_disabled sorting_asc_disabled text-left sorting" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="Actions: activate to sort column ascending"><?php echo __('Actions', 'rsgws') ?></th>
                     </tr>
                  </thead>
                  <tbody>
                  </tbody>
                  <tfoot>
                  </tfoot>
               </table>
            </div>
            <div class="col-sm-6">
                <input type="checkbox" name="select-all" id="remove-web-product-select-all" class="rsgws-select-all float-right" />
                <label for="remove-web-product-select-all" class="remove-web-product-select-all">انتخاب همه</label>
                <button type="button" class="btn btn-danger btn-link btn-sm float-left remove-selected-plugin-products" data-action="remove" title="Remove">
                    <i class="tim-icons icon-simple-remove"></i>
                </button>
                <br/>
                <input type="checkbox" name="remove-peer-to-peer-product" id="remove-peer-to-peer-product" class="float-right " />
                <label for="remove-peer-to-peer-product" ><?php _e('Remove peer-to-peer product', 'rsgws') ?></label>
                <br/><br/>
               <table id="datatable-<?php echo $section_name ?>-left" class="table table-striped display" role="grid" aria-describedby="datatable_info" cellspacing="0" width="50%">
                  <thead>
                     <tr role="row">
                        <th class="sorting text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="activate to sort column ascending"><?php echo __('Code', 'rsgws') ?></th>
                        <th class="sorting_asc text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="activate to sort column descending"><?php echo __('Title', 'rsgws') ?></th>
                        <?php if($software_title == 'dasht'): ?>
                           <th class="sorting_asc text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="activate to sort column descending"><?php _e('Peer-to-Peer', 'rsgws'); ?></th>
                        <?php endif; ?>
                        <th class="sorting_desc_disabled sorting_asc_disabled text-left sorting" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="Actions: activate to sort column ascending"><?php echo __('Actions', 'rsgws') ?></th>
                     </tr>
                  </thead>
                  <tbody>
                  </tbody>
                  <tfoot>
                  </tfoot>
               </table>
            </div>
         </div>
    </div>
  </div>
</div>
</div>