<?php

defined( 'ABSPATH' ) || exit; // Prevent direct access

global $software_title;
if ($software_title == "sepidar"){
	$CustomerGroups = new inc\classes\software\sepidar\baseInformation\CustomerGroups;
}else if($software_title == "dasht"){
    $CustomerGroups = new inc\classes\software\dasht\baseInformation\CustomerGroups;
}
$getAllCustomerGroups = $CustomerGroups->getAllCustomerGroups();
$defaultCustomerGroup = $CustomerGroups->getDefaultCustomerGroup();
// Set section name
$section_name = basename( __FILE__, '.php' );

// Output
?>
<div class="card-body">
    <div class="row">
        <div class="col-sm-12">
            <form class="table-responsive" action="" method="post">
				<?php wp_nonce_field( 'rsgws_nonce', 'rsgws_nonce' ) ?>
                <button type="submit" class="btn btn-sm btn-success float-left mb-2" name="submitCustomerGroups">ذخیره
                    تغییرات
                </button>
                <table class="table table-striped dtr-inline collapsed">
                    <thead>
                    <tr>
                        <th class="text-right"><?= __( 'Code', 'rsgws' ) ?></th>
                        <th class="text-right"><?= __( 'Title', 'rsgws' ) ?></th>
                        <th class="text-center">فعال‌سازی</th>
                        <th class="text-left">پیشفرض</th>
                    </tr>
                    </thead>
                    <tbody>
					<?php
					if ( ! empty( $getAllCustomerGroups ) ) {
						if ( ! empty( $getAllCustomerGroups['customerGroupItemsInDB'] ) ) {
							foreach ( $getAllCustomerGroups['customerGroupItemsInDB'] as $item ) {
								?>
                                <tr>
                                    <td><?= $item['id'] ?></td>
                                    <td><?= $item['title'] ?></td>
                                    <td>
                                        <div class="custom-control custom-switch d-flex justify-content-center">
                                            <input type="checkbox" class="custom-control-input"
                                                   name="selected[]"
                                                   checked
                                                   value="<?= $item['id'] ?>" id="active_<?= $item['id'] ?>">
                                            <label class="custom-control-label"
                                                   for="active_<?= $item['id'] ?>"></label>
                                            <input type="hidden" name="title[]" value="<?= $item['title'] ?>">
                                            <input type="hidden" name="id[]" value="<?= $item['id'] ?>">
                                        </div>
                                    </td>
                                    <td>
                                        <div class="custom-control custom-switch">
                                            <input type="radio" class="custom-control-input"
                                                   name="defaultCustomerGroup"
                                                   value="<?= $item['id'] ?>"
                                                   id="SaleType_<?= $item['id'] ?>"
												<?= ( is_null( $defaultCustomerGroup ) ? "" : intval( $defaultCustomerGroup ) ) == $item['id'] ? 'checked' : '' ?>>
                                            <label class="custom-control-label"
                                                   for="SaleType_<?= $item['id'] ?>"></label>
                                        </div>
                                    </td>
                                </tr>
								<?php
							}
						} else {
							?>
                            <tr>
                                <td colspan="4" class="text-center text-muted">هیچ نوع فروشی در سایت فعال
                                    نشده!
                                </td>
                            </tr>
							<?php
						}
						if ( isset( $getAllCustomerGroups['customerGroupItems'] ) && ! empty( $getAllCustomerGroups['customerGroupItems'] ) ) {
							foreach ( $getAllCustomerGroups['customerGroupItems'] as $item ) {
								?>
                                <tr>
                                    <td><?= $item['id'] ?></td>
                                    <td><?= $item['title'] ?></td>
                                    <td>
                                        <div class="custom-control custom-switch d-flex justify-content-center">
                                            <input type="checkbox" class="custom-control-input"
                                                   name="selected[]"
                                                   value="<?= $item['id'] ?>" id="active_<?= $item['id'] ?>">
                                            <label class="custom-control-label"
                                                   for="active_<?= $item['id'] ?>"></label>
                                            <input type="hidden" name="title[]" value="<?= $item['title'] ?>">
                                            <input type="hidden" name="id[]" value="<?= $item['id'] ?>">
                                        </div>
                                    </td>
                                    <td></td>
                                </tr>
								<?php
							}
						}
					}
					?>
                    </tbody>
                </table>
            </form>
        </div>
    </div>
</div>