<?php

defined( 'ABSPATH' ) || exit; // Prevent direct access

// Set section name
$section_name = basename( __FILE__, '.php' );
global $software_title;
if ($software_title == "dasht") {
	$customers = new inc\classes\software\dasht\Customers;
} elseif ($software_title == "sepidar"){
	$customers = new inc\classes\software\sepidar\baseInformation\Customers;
}
if ( isset( $_POST['search'] ) ) {
	$apiCustomers = $customers->searchInCustomers($_POST);
} else {
	$apiCustomers = $customers->getCustomersFromApi();
}
// Output
?>

<div class="card-body">
    <div class="row mb-2">
        <div class="col-md-6">
			<?php
			if ( isset( $apiCustomers['customer_items'] ) ) {
				?>
                <form action="" method="post" class="mb-2"
                      onsubmit="return confirm('کل طرف حساب های موجود در نرم افزار مالی به پایگاه داده وبسایت جهت استفاده افزونه همگام ساز ووکامرس رویال انتقال داده خواهد شد. آیا اطمینان دارید؟')">
					<?php wp_nonce_field( 'rsgws_nonce', 'rsgws_nonce' ) ?>
                    <button type="submit" name="importAllCustomer" class="btn btn-sm btn-primary">
                        <span class="dashicons dashicons-database-import"></span>
                        درون ریزی کل طرف حساب ها به افزونه
                    </button>
                </form>
				<?php
			}
			if ( ! empty( $apiCustomers['customer_items_in_db'] ) ) {
				?>
                <form action="" method="post"
                      onsubmit="return confirm('کل طرف حساب های موجود در پایگاه داده وبسایت تخلیه خواهد شد. آیا اطمینان دارید؟')">
					<?php wp_nonce_field( 'rsgws_nonce', 'rsgws_nonce' ) ?>
                    <button type="submit" name="removeAllCustomer" class="btn btn-sm btn-warning">
                        <span class="dashicons dashicons-database-remove"></span>
                        حذف کل طرف حساب ها از افزونه
                    </button>
                </form>
				<?php
			}
			?>
        </div>
        <div class="col-md-6">
            <form action="" method="post">
				<?php wp_nonce_field( 'rsgws_nonce', 'rsgws_nonce' ) ?>
                <div class="input-group input-group-sm mb-3" dir="ltr">
                    <input type="text" name="query" class="form-control" placeholder="جستجو ..." dir="rtl">
                    <div class="input-group-append">
                        <button class="btn btn-secondary btn-sm" type="submit" name="search" id="button-addon2">
                            <span class="dashicons dashicons-search"></span>
                        </button>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <div class="row">
        <div class="col-sm-12">
            <div class="table-responsive">
                <table class="table table-striped dtr-inline collapsed">
                    <thead>
                    <tr>
                        <th class="text-right"><?php echo __( 'Code', 'rsgws' ) ?></th>
                        <th class="text-right"><?php echo __( 'Title', 'rsgws' ) ?></th>
                        <th class="text-center"><?php echo __( 'Actions', 'rsgws' ) ?></th>
                    </tr>
                    </thead>
                    <tbody>
					<?php

					if ( ! empty( $apiCustomers['customer_items_in_db'] ) ) {
						foreach ( $apiCustomers['customer_items_in_db'] as $dbCustomer ) {
							?>
                            <tr>
                                <td><?= $dbCustomer['code'] ?></td>
                                <td><?= $dbCustomer['title'] ?></td>
                                <td class="text-center">
                                    <form action="" method="post">
										<?php wp_nonce_field( 'rsgws_nonce', 'rsgws_nonce' ) ?>
                                        <input type="hidden" name="customer_id" value="<?= $dbCustomer['id'] ?>">
                                        <button type="submit" name="unlink" class="btn btn-danger btn-sm">
                                            <span class="dashicons dashicons-editor-unlink"></span>
                                        </button>
                                    </form>
                                </td>
                            </tr>
							<?php
						}
					} else {
						?>
                        <tr>
                            <td colspan="3" class="text-muted text-center">هیچ طرف حسابی به افزونه متصل نیست !</td>
                        </tr>
						<?php
					}
					if ( isset( $apiCustomers['customer_items'] ) ) {
						if ( ! empty( $apiCustomers['customer_items'] ) ) {
							foreach ( $apiCustomers['customer_items'] as $customer ) {
								?>
                                <tr>
                                    <td><?= $customer["code"] ?></td>
                                    <td><?= $customer["title"] ?></td>
                                    <td class="text-center">
                                        <form action="" method="post">
											<?php wp_nonce_field( 'rsgws_nonce', 'rsgws_nonce' ) ?>
                                            <input type="hidden" name="customer_id" value="<?= $customer['id'] ?>">
                                            <input type="hidden" name="customer_title"
                                                   value="<?= $customer['title'] ?>">
                                            <input type="hidden" name="customer_code" value="<?= $customer['code'] ?>">
                                            <input type="hidden" name="customer_phone"
                                                   value="<?= $customer['phone'] ?>">
                                            <input type="hidden" name="customer_address_id"
                                                   value="<?= $customer['addressId'] ?>">
                                            <input type="hidden" name="customer_city_ref"
                                                   value="<?= $customer['cityRef'] ?>">
                                            <input type="hidden" name="customer_address"
                                                   value="<?= $customer['address'] ?>">
                                            <input type="hidden" name="customer_zip_code"
                                                   value="<?= $customer['zipCode'] ?>">
                                            <button type="submit" name="link" class="btn btn-success btn-sm">
                                                <span class="dashicons dashicons-admin-links"></span>
                                            </button>
                                        </form>
                                    </td>
                                </tr>
								<?php
							}
						}
					}
					?>
                    </tbody>
                </table>
            </div>
            <?php
            if (isset($apiCustomers['total_pages'])){
            ?>
            <nav>
                <ul class="pagination pagination-sm justify-content-center">
			        <?php
			        $current = $_GET['p'] ?? 1;

			        $start_page = 1;
			        $end_page = $apiCustomers['total_pages'] - 2;
			        if ( $current > 3 ) {
				        $start_page = $current - 3;
			        }
			        if ( $apiCustomers['total_pages'] - $current > 2 ) {
				        $end_page = $current + 3;
			        }

			        if ( $current > 1 ) {
				        $prev_page = $current - 1;
				        echo '<li class="page-item"><a class="page-link" href="admin.php?page=rsgws-base_information&tab=account-party&p=1">«</a></li>';
				        echo '<li class="page-item"><a class="page-link" href="admin.php?page=rsgws-base_information&tab=account-party&p=' . $prev_page . '"><</a></li>';
			        }

			        for ( $page_number = $start_page; $page_number <= $end_page; $page_number ++ ) {
				        if ( $current == $page_number ) {
					        echo '<li class="page-item active" aria-current="page">
                            <span class="page-link">
                                ' . $page_number . '
                                <span class="sr-only">(current)</span>
                            </span>
                      </li>';
				        } else {
					        echo '<li class="page-item"><a class="page-link" href="admin.php?page=rsgws-base_information&tab=account-party&p=' . $page_number . '">' . $page_number . '</a></li>';
				        }
			        }

			        if ( $current < $apiCustomers['total_pages'] ) {
				        $next_page = $current + 1;
				        echo '<li class="page-item"><a class="page-link" href="admin.php?page=rsgws-base_information&tab=account-party&p=' . $next_page . '">></a></li>';
				        echo '<li class="page-item"><a class="page-link" href="admin.php?page=rsgws-base_information&tab=account-party&p=' . $apiCustomers['total_pages'] . '">»</a></li>';
			        }
			        ?>
                </ul>
            </nav>
            <?php
            }
            ?>
        </div>
    </div>
</div>