<?php

defined( 'ABSPATH' ) || exit; // Prevent direct access

// Get current setting page
$tab = 'financial-information';
// Set section name
$section_name = basename( __FILE__, '.php' );
global $software_title;
if ($software_title == 'dasht') {
	$bankAccounts = new inc\classes\software\dasht\GetBankAccountsFromDasht;
} elseif ($software_title == 'sepidar'){
	$bankAccounts = new inc\classes\software\sepidar\baseInformation\GetBankAccountsFromSepidar;
}


$allBankAccounts = $bankAccounts->getBankAccounts();

?>

<div class="card-body">
    <div class="row">
        <div class="col-sm-12">
            <div class="table-responsive">
                <table class="table table-striped dtr-inline collapsed">
                    <thead>
                    <tr>
                        <th class="text-right"><?= __( 'Code', 'rsgws' ) ?></th>
                        <th class="text-right"><?= __( 'Title', 'rsgws' ) ?></th>
                        <th class="text-left"><?= __( 'Actions', 'rsgws' ) ?></th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php
                    if ( ! empty( $allBankAccounts["bank_account_items_in_db"] ) ) {
	                    foreach ( $allBankAccounts["bank_account_items_in_db"] as $bank ) {
		                    ?>
                            <tr>
                                <td><?= $bank['code'] ?></td>
                                <td><?= $bank['title'] ?></td>
                                <td class="text-left">
                                    <form action="" method="post">
	                                    <?php wp_nonce_field( 'rsgws_nonce', 'rsgws_nonce' ) ?>
                                        <input type="hidden" name="id" value="<?= $bank['id'] ?>">
                                        <button type="submit" name="unlink" class="btn btn-danger btn-sm">
                                            <span class="dashicons dashicons-editor-unlink"></span>
                                        </button>
                                    </form>
                                </td>
                            </tr>
		                    <?php
	                    }
                    }else{
                        ?>
                        <tr>
                            <td colspan="3" class="text-center text-muted"><?= __('No data found.', 'rsgws')?></td>
                        </tr>
                    <?php
                    }
                    ?>
                    <?php
                    if ( ! empty( $allBankAccounts["bank_account_items"] ) ) {
	                    foreach ( $allBankAccounts["bank_account_items"] as $bank ) {
		                    ?>
                            <tr>
                                <td><?= $bank['code'] ?></td>
                                <td><?= $bank['title'] ?></td>
                                <td class="text-left">
                                    <form action="" method="post">
	                                    <?php wp_nonce_field( 'rsgws_nonce', 'rsgws_nonce' ) ?>
                                        <input type="hidden" name="bank_account_id" value="<?= $bank['id']?>">
                                        <input type="hidden" name="bank_account_code" value="<?= $bank['code']?>">
                                        <input type="hidden" name="bank_account_title" value="<?= $bank['title']?>">
                                        <button type="submit" name="link" class="btn btn-success btn-sm">
                                            <span class="dashicons dashicons-admin-links"></span>
                                        </button>
                                    </form>
                                </td>
                            </tr>
		                    <?php
	                    }
                    }
                    ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
