<?php

defined( 'ABSPATH' ) || exit; // Prevent direct access

// Get current setting page
$tab = 'financial-information';

// Set section name
$section_name = basename( __FILE__, '.php' );

if ( isset( $_POST['sync_all_banks'] ) ) {
	$pageManager->updateBanksFromApi();
}

$banks        = $pageManager->getBanks()['data'];
$total_pages = $pageManager->getBanks()['total_pages'];
// Output
?>
    <div class="card-body">
        <div class="row">
            <div class="col-md-6">
                <form class="<?php echo( is_rtl() ? 'float-right' : 'float-left' ) ?>" action="" method="post">
                    <button type="submit" name="sync_all_banks" class="btn btn-success btn-sm">
                        <i class="tim-icons icon-refresh-02"></i> <?php echo __( 'Sync', 'rsgws' ) ?>
                    </button>
                </form>
            </div>
            <!--<div class="col-md-6">
				<div class="float-<?php /*echo (is_rtl() ? 'left' : 'right') */ ?>">
					<img class="banks-image-button" src="<?php /*echo IMAGE_URL .'/excel-icon.png' */ ?>"  alt="excel export">
					<a href="<?php /*echo IMAGE_LINK . '/rsgws-helpdesk?section='.$section_name.'&software=' . $software_title; */ ?>" target="_blank" rel="noreferrer noopener" class="rsgws-helpdesk">
						<i class="tim-icons icon-video-66"></i>
					</a>
				</div>
			</div>-->
        </div>
        <br>
        <div class="row">
            <div class="col-sm-12">
                <div class="table-responsive">
                    <table class="table">
                        <thead>
                        <tr>
                            <th class="text-right"><?php echo __( 'Code', 'rsgws' ) ?></th>
                            <th class="text-right"><?php echo __( 'Title', 'rsgws' ) ?></th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php
                        if (!empty($banks)){
                            foreach ($banks as $bank){
                        ?>
                                    <tr>
                                        <td><?= $bank->bank_id ?></td>
                                        <td><?= $bank->bank_title?></td>
                                    </tr>
                            <?php
                            }
                        }
                            ?>
                        </tbody>
                    </table>
                </div>
                <nav>
                    <ul class="pagination pagination-sm justify-content-center">
			            <?php
			            if ( isset( $_GET['p'] ) ) {
				            $current = $_GET['p'];
			            } else {
				            $current = 1;
			            }

			            $start_page = 1;
			            $end_page = $total_pages - 2;
			            if ( $current > 3 ) {
				            $start_page = $current - 3;
			            }
			            if ( $total_pages - $current > 2 ) {
				            $end_page = $current + 3;
			            }

			            if ( $current > 1 ) {
				            $prev_page = $current - 1;
				            echo '<li class="page-item"><a class="page-link" href="admin.php?page=rsgws-base_information&p=1">«</a></li>';
				            echo '<li class="page-item"><a class="page-link" href="admin.php?page=rsgws-base_information&p=' . $prev_page . '"><</a></li>';
			            }

			            for ( $page_number = $start_page; $page_number <= $end_page; $page_number ++ ) {
				            if ( $current == $page_number ) {
					            echo '<li class="page-item active" aria-current="page">
                            <span class="page-link">
                                ' . $page_number . '
                                <span class="sr-only">(current)</span>
                            </span>
                      </li>';
				            } else {
					            echo '<li class="page-item"><a class="page-link" href="admin.php?page=rsgws-base_information&p=' . $page_number . '">' . $page_number . '</a></li>';
				            }
			            }

			            if ( $current < $total_pages ) {
				            $next_page = $current + 1;
				            echo '<li class="page-item"><a class="page-link" href="admin.php?page=rsgws-base_information&p=' . $next_page . '">></a></li>';
				            echo '<li class="page-item"><a class="page-link" href="admin.php?page=rsgws-base_information&p=' . $total_pages . '">»</a></li>';
			            }
			            ?>
                    </ul>
                </nav>
            </div>
        </div>
    </div>
<?php wp_nonce_field( 'rsgws-nonce-table', 'rsgws-nonce-table' ) ?>