<?php


defined( 'ABSPATH' ) || exit; // Prevent direct access
$section_name = basename( __FILE__, '.php' );

global $software_title;
if ($software_title == 'dasht') {
	$exc = new inc\classes\software\dasht\GeoLocations;
} elseif ($software_title == 'sepidar'){
	$exc = new inc\classes\software\sepidar\baseInformation\GeoLocations;
}
$geoLocations = $exc->getAllGeoLocations();

?>

<div class="row container">
    <div class="col-md-12 shadow p-3 mt-3 mb-5 bg-white rounded">
        <div class="card-body">
            <div class="row">
                <div class="col-md-6">
                    <form class="<?php echo( is_rtl() ? 'float-right' : 'float-left' ) ?>" action="" method="post">
						<?php wp_nonce_field( 'rsgws_nonce', 'rsgws_nonce' ) ?>
                        <button type="submit" name="sync_geo_locations" class="btn btn-success btn-sm">
                            <i class="tim-icons icon-refresh-02"></i> <?php echo __( 'Sync', 'rsgws' ) ?>
                        </button>
                    </form>
                </div>
            </div>
            <br>
            <div class="row">
                <div class="col-sm-12">
                    <div class="table-responsive">
                        <table class="table table-striped dtr-inline collapsed">
                            <thead>
                            <tr>
                                <th class="text-right"><?php echo __( 'Code', 'rsgws' ) ?></th>
                                <th class="text-right"><?php echo __( 'City', 'rsgws' ) ?></th>
                                <th class="text-right"><?php echo __( 'State', 'rsgws' ) ?></th>
                                <th class="text-right"><?php echo __( 'Country', 'rsgws' ) ?></th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php
                            if (!empty($geoLocations["geo_locations"])){
                                foreach ($geoLocations["geo_locations"] as $geo_location){
                                    ?>
                                    <tr>
                                        <td class="text-right"><?= $geo_location['city_code']?></td>
                                        <td class="text-right"><?= $geo_location['city_name']?></td>
                                        <td class="text-right"><?= $geo_location['province_name']?></td>
                                        <td class="text-right"><?= $geo_location['country_name']?></td>
                                    </tr>
                            <?php
                                }
                            } else {
                                ?>
                                <tr>
                                    <td colspan="4" class="text-center text-muted"><?= __('No data found.', 'rsgws')?></td>
                                </tr>
                            <?php
                            }
                            ?>
                            </tbody>
                        </table>
                    </div>
                    <nav>
                        <ul class="pagination pagination-sm justify-content-center">
			                <?php
			                if ( isset( $_GET['p'] ) ) {
				                $current = $_GET['p'];
			                } else {
				                $current = 1;
			                }

			                $start_page = 1;
			                $end_page = $geoLocations["total_pages"] - 2;
			                if ( $current > 3 ) {
				                $start_page = $current - 3;
			                }
			                if ( $geoLocations["total_pages"] - $current > 2 ) {
				                $end_page = $current + 3;
			                }

			                if ( $current > 1 ) {
				                $prev_page = $current - 1;
				                echo '<li class="page-item"><a class="page-link" href="admin.php?page=rsgws-base_information&tab=geo-locations&p=1">«</a></li>';
				                echo '<li class="page-item"><a class="page-link" href="admin.php?page=rsgws-base_information&tab=geo-locations&p=' . $prev_page . '"><</a></li>';
			                }

			                for ( $page_number = $start_page; $page_number <= $end_page; $page_number ++ ) {
				                if ( $current == $page_number ) {
					                echo '<li class="page-item active" aria-current="page">
                            <span class="page-link">
                                ' . $page_number . '
                                <span class="sr-only">(current)</span>
                            </span>
                      </li>';
				                } else {
					                echo '<li class="page-item"><a class="page-link" href="admin.php?page=rsgws-base_information&tab=geo-locations&p=' . $page_number . '">' . $page_number . '</a></li>';
				                }
			                }

			                if ( $current < $geoLocations["total_pages"] ) {
				                $next_page = $current + 1;
				                echo '<li class="page-item"><a class="page-link" href="admin.php?page=rsgws-base_information&tab=geo-locations&p=' . $next_page . '">></a></li>';
				                echo '<li class="page-item"><a class="page-link" href="admin.php?page=rsgws-base_information&tab=geo-locations&p=' . $geoLocations["total_pages"] . '">»</a></li>';
			                }
			                ?>
                        </ul>
                    </nav>
                </div>
            </div>
        </div>
    </div>
</div>

