<?php

defined( 'ABSPATH' ) || exit; // Prevent direct access

// Set section name
$section_name = basename( __FILE__, '.php' );
global $software_title;
if ($software_title == "dasht") {
	$inventories = new inc\classes\software\dasht\Inventory;
}elseif ($software_title == "sepidar"){
	$inventories = new inc\classes\software\sepidar\baseInformation\Inventory;
}

$groupedInventories = $inventories->groupedInventories();

add_settings_error(
	'rsgws-activate',
	'rsgws_error',
	"انبار هایی که تمایل دارید عملیات محاسبات بر اساس آنها صورت بگیرد را فعال نمایید",
	'info' // updated, error, warning
);

settings_errors( 'rsgws-activate' );
// Output
?>

<div class="card-body">
	<div class="row">
		<div class="col-sm-12">
			<form class="table-responsive" action="" method="post">
				<?php wp_nonce_field( 'rsgws_nonce', 'rsgws_nonce' ) ?>
				<button type="submit" class="btn btn-sm btn-success float-left mb-2" name="submitInventoryGroup">ذخیره
					تغییرات
				</button>
				<table class="table table-striped dtr-inline collapsed">
					<thead>
					<tr>
						<th class="text-right"><?= __( 'Code', 'rsgws' ) ?></th>
						<th class="text-right"><?= __( 'Inventory', 'rsgws' ) ?></th>
						<th class="text-left"><?= __( 'Actions', 'rsgws' ) ?></th>
					</tr>
					</thead>
					<tbody>
					<?php
					if ( ! empty( $inventories->allInventories ) ) {
						foreach ( $inventories->allInventories as $inventory ) {
							?>
							<tr>
								<td><?= $inventory->stock_id ?></td>
								<td><?= $inventory->stock_title ?></td>
								<td class="text-center">
									<div class="custom-control custom-switch">
										<input type="checkbox" class="custom-control-input" name="inventory[]"
											   value="<?= $inventory->stock_id ?>" <?= in_array( $inventory->stock_id, $groupedInventories ) ? "checked" : "" ?>
											   id="inventory_<?= $inventory->stock_id ?>">
										<label class="custom-control-label"
											   for="inventory_<?= $inventory->stock_id ?>"></label>
									</div>
								</td>
							</tr>
							<?php
						}
					}
					?>
					</tbody>
				</table>
			</form>
		</div>
	</div>
</div>
<?php wp_nonce_field( 'rsgws-nonce-table', 'rsgws-nonce-table' ) ?>

<!-- Modal -->
<div class="modal fade" id="ModalInventoryGroup" tabindex="-1" aria-labelledby="ModalLabel" aria-hidden="true">
	<div class="modal-dialog modal-lg">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title" id="ModalLabel"></h5>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close">
					<span aria-hidden="true">&times;</span>
				</button>
			</div>
			<div class="modal-body">
				<div class="row">
					<div class="col-sm-6">
						<input type="checkbox" name="select-all" id="group-inventory-select-all"
							   class="rsgws-select-all float-right"/>
						<label for="group-inventory-select-all" class="group-inventory-select-all">انتخاب همه</label>
						<a href="#">
							<button type="button"
									class="btn btn-info btn-link btn-sm float-left add-selected-inventories-to-group"
									data-action="add" title="Add">
								<i class="tim-icons icon-simple-add"></i>
							</button>
						</a><br/>
						<input type="text" name="group-name" id="group_name" class="mb-3 mt-3 w-100"
							   placeholder="<?php _e( 'Please input group name', 'rsgws' ); ?>"
							   value="<?php echo ! empty( $inventory_groups[0]->Title ) ? $inventory_groups[0]->Title : ''; ?>"/><br/>
						<table id="datatable-<?php echo $section_name ?>-right"
							   class="table table-striped dtr-inline collapsed" role="grid"
							   aria-describedby="datatable_info">
							<thead>
							<tr role="row">
								<th class="sorting text-right" tabindex="0" aria-controls="datatable" rowspan="1"
									colspan="1"
									aria-label="activate to sort column ascending"><?php echo __( 'Code', 'rsgws' ) ?></th>
								<th class="sorting_asc text-right" tabindex="0" aria-controls="datatable" rowspan="1"
									colspan="1" aria-sort="ascending"
									aria-label="activate to sort column descending"><?php echo __( 'Title', 'rsgws' ) ?></th>
								<th class="sorting_desc_disabled sorting_asc_disabled text-left sorting" tabindex="0"
									aria-controls="datatable" rowspan="1" colspan="1"
									aria-label="Actions: activate to sort column ascending"><?php echo __( 'Actions', 'rsgws' ) ?></th>
							</tr>
							</thead>
							<tbody>
							</tbody>
							<tfoot>
							</tfoot>
						</table>
					</div>
					<div class="col-sm-6">
						<input type="checkbox" name="select-all" id="remove-group-inventory-select-all"
							   class="rsgws-select-all float-right"/>
						<label class="remove-group-inventory-select-all">انتخاب همه</label>
						<a href="#">
							<button type="button"
									class="btn btn-danger btn-link btn-sm float-left remove-selected-inventories-from-group"
									data-action="remove" title="Remove">
								<i class="tim-icons icon-simple-remove"></i>
							</button>
						</a><br/><br/>
						<table id="datatable-<?php echo $section_name ?>-left"
							   class="table table-striped dtr-inline collapsed" role="grid"
							   aria-describedby="datatable_info">
							<thead>
							<tr role="row">
								<th class="sorting text-right" tabindex="0" aria-controls="datatable" rowspan="1"
									colspan="1"
									aria-label="activate to sort column ascending"><?php echo __( 'Title', 'rsgws' ) ?></th>
								<th class="sorting_asc text-right" tabindex="0" aria-controls="datatable" rowspan="1"
									colspan="1" aria-sort="ascending"
									aria-label="activate to sort column descending"><?php echo __( 'Stocks Title', 'rsgws' ) ?></th>
								<th class="sorting_desc_disabled sorting_asc_disabled text-left sorting" tabindex="0"
									aria-controls="datatable" rowspan="1" colspan="1"
									aria-label="Actions: activate to sort column ascending"><?php echo __( 'Actions', 'rsgws' ) ?></th>
							</tr>
							</thead>
							<tbody>
							</tbody>
							<tfoot>
							</tfoot>
						</table>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>