<?php

defined( 'ABSPATH' ) || exit; // Prevent direct access

// Set section name
$section_name = basename( __FILE__, '.php' );
global $software_title;
if ($software_title == "dasht"){
	$inventories  = new inc\classes\software\dasht\Inventory;
}elseif ($software_title == "sepidar"){
	$inventories  = new inc\classes\software\sepidar\baseInformation\Inventory;
}

$loadAllInventories = $inventories->loadAllInventories();
// Output
?>

    <div class="card-body">
        <div class="row">
            <div class="col-sm-12">
                <div class="table-responsive">
                    <table class="table table-striped dtr-inline collapsed">
                        <thead>
                        <tr>
                            <th class="text-right"><?php echo __( 'Code', 'rsgws' ) ?></th>
                            <th class="text-right"><?php echo __( 'Title', 'rsgws' ) ?></th>
                            <th class="text-center"><?php echo __( 'Actions', 'rsgws' ) ?></th>
                        </tr>
                        </thead>
                        <tbody>
						<?php
						if ( ! empty( $inventories->allInventories ) ) {
							foreach ( $inventories->allInventories as $inventory ) {
								?>
                                <tr style="background-color: #ededed">
                                    <td><?= $inventory->stock_id ?></td>
                                    <td><?= $inventory->stock_title ?></td>
                                    <td class="text-center">
                                        <form action="" method="post">
											<?php wp_nonce_field( 'rsgws_nonce', 'rsgws_nonce' ) ?>
                                            <input type="hidden" name="stock_id" value="<?= $inventory->stock_id ?>">
                                            <button type="submit" name="unlink" class="btn btn-danger btn-sm">
                                                <span class="dashicons dashicons-editor-unlink"></span>
                                            </button>
                                        </form>
                                    </td>
                                </tr>
								<?php
							}
						}
						if ( ! empty( $loadAllInventories ) ) {
							foreach ( $loadAllInventories as $inventory ) {
								?>
                                <tr>
                                    <td><?= $inventory['id'] ?></td>
                                    <td><?= $inventory['title'] ?></td>
                                    <td class="text-center">
                                        <form action="" method="post">
											<?php wp_nonce_field( 'rsgws_nonce', 'rsgws_nonce' ) ?>
                                            <input type="hidden" name="stock_id" value="<?= $inventory['id'] ?>">
                                            <input type="hidden" name="stock_code" value="<?= $inventory['code']?>">
                                            <input type="hidden" name="stock_title" value="<?= $inventory['title']?>">
                                            <button type="submit" name="link" class="btn btn-success btn-sm">
                                                <span class="dashicons dashicons-admin-links"></span>
                                            </button>
                                        </form>
                                    </td>
                                </tr>
								<?php
							}
						}
						?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
<?php wp_nonce_field( 'rsgws-nonce-table', 'rsgws-nonce-table' ) ?>