<?php

defined( 'ABSPATH' ) || exit; // Prevent direct access
// Set section name
$section_name = basename( __FILE__, '.php' );
$allProducts  = $products->getAllProducts();
// Output

?>

<div class="card-body">
    <div class="row">
        <div class="col-md-6">
            <form class="<?php echo( is_rtl() ? 'float-right' : 'float-left' ) ?>" method="post" action="">
				<?php wp_nonce_field( 'rsgws_nonce', 'rsgws_nonce' ) ?>
                <button type="submit" name="syncAllProducts" class="btn btn-success btn-sm">
                    <i class="dashicons dashicons-database-import"></i> دریافت محصولات وبسرویس
                </button>
            </form>
        </div>
        <div class="col-md-6">
            <div class="float-<?php echo( is_rtl() ? 'left' : 'right' ) ?>">
                <img class="software-products-image-button" src="<?php echo IMAGE_URL . '/excel-icon.png' ?>"
                     alt="excel export">
                <a href="<?php echo IMAGE_LINK . '/rsgws-helpdesk?section=' . $section_name . '&software=' . $software_title; ?>"
                   target="_blank" rel="noreferrer noopener" class="rsgws-helpdesk">
                    <i class="tim-icons icon-video-66"></i>
                </a>
            </div>
        </div>
    </div>
    <br>
    <div class="row">
        <div class="col-sm-12">
            <div class="table-responsive">
                <table class="table table-striped dtr-inline collapsed">
                    <thead>
                    <tr>
                        <th class="text-right"><?= __( 'Code', 'rsgws' ) ?></th>
                        <th class="text-right"><?= __( 'Title', 'rsgws' ) ?></th>
                        <th class="text-right"><?= __( 'Tracking Title', 'rsgws' ) ?></th>
                    </tr>
                    </thead>
                    <tbody>
					<?php
					if ( ! empty( $allProducts["data"] ) ) {
						foreach ( $allProducts["data"] as $product ) {
							?>
                            <tr>
                                <td><?= $product->Code ?></td>
                                <td><?= $product->Title ?></td>
								<?php
								if ( ! empty( $product->Tracings ) ) {
									$tracings_arr  = unserialize( $product->Tracings );
									$tracing_title = array_map( function ( $tracing ) {
										return $tracing["Title"];
									}, $tracings_arr );
									echo "<td>" . implode( ", ", $tracing_title ) . "</td>";
								} else {
									echo "<td>-</td>";
								}
								?>
                            </tr>
							<?php
						}
					}
					?>
                    </tbody>
                </table>
            </div>
            <nav>
                <ul class="pagination pagination-sm justify-content-center">
					<?php
					if ( isset( $_GET['p'] ) ) {
						$current = $_GET['p'];
					} else {
						$current = 1;
					}

					$start_page = 1;
					$end_page   = $allProducts["total_pages"] - 2;
					if ( $current > 3 ) {
						$start_page = $current - 3;
					}
					if ( $allProducts["total_pages"] - $current > 2 ) {
						$end_page = $current + 3;
					}

					if ( $current > 1 ) {
						$prev_page = $current - 1;
						echo '<li class="page-item"><a class="page-link" href="admin.php?page=rsgws-base_information&tab=products&section=financial-software-products&p=1">«</a></li>';
						echo '<li class="page-item"><a class="page-link" href="admin.php?page=rsgws-base_information&tab=products&section=financial-software-products&p=' . $prev_page . '"><</a></li>';
					}

					for ( $page_number = $start_page; $page_number <= $end_page; $page_number ++ ) {
						if ( $current == $page_number ) {
							echo '<li class="page-item active" aria-current="page">
                            <span class="page-link">
                                ' . $page_number . '
                                <span class="sr-only">(current)</span>
                            </span>
                      </li>';
						} else {
							echo '<li class="page-item"><a class="page-link" href="admin.php?page=rsgws-base_information&tab=products&section=financial-software-products&p=' . $page_number . '">' . $page_number . '</a></li>';
						}
					}

					if ( $current < $allProducts["total_pages"] ) {
						$next_page = $current + 1;
						echo '<li class="page-item"><a class="page-link" href="admin.php?page=rsgws-base_information&tab=products&section=financial-software-products&p=' . $next_page . '">></a></li>';
						echo '<li class="page-item"><a class="page-link" href="admin.php?page=rsgws-base_information&tab=products&section=financial-software-products&p=' . $allProducts["total_pages"] . '">»</a></li>';
					}
					?>
                </ul>
            </nav>
        </div>
    </div>
</div>

