<?php

defined( 'ABSPATH' ) || exit; // Prevent direct access

// Set section name
$section_name   = basename( __FILE__, '.php' );
$inventoryItems = $products->getAllInventoryControlItems();
// Output

?>


<div class="card-body">
	<div class="row mb-3">
		<div class="col-md-6">
			<form class="<?php echo( is_rtl() ? 'float-right' : 'float-left' ) ?>" method="post" action="">
				<?php wp_nonce_field( 'rsgws_nonce', 'rsgws_nonce' ) ?>
				<button type="submit" name="syncAllItemInventories" class="btn btn-success btn-sm">
					<i class="tim-icons icon-refresh-02"></i> <?php echo __( 'Sync Now', 'rsgws' ) ?>
				</button>
			</form>
		</div>
		<div class="col-md-6">
			<div class="float-<?php echo( is_rtl() ? 'left' : 'right' ) ?>">
				<img class="inventory-control-image-button" src="<?php echo IMAGE_URL . '/excel-icon.png' ?>"
					 alt="excel export">
				<a href="<?php echo IMAGE_LINK . '/rsgws-helpdesk?section=' . $section_name . '&software=' . $software_title; ?>"
				   target="_blank" rel="noreferrer noopener" class="rsgws-helpdesk">
					<i class="tim-icons icon-video-66"></i>
				</a>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-sm-12">
			<div class="table-responsive">
				<table class="table table-striped dtr-inline collapsed">
					<thead>
					<tr>
						<th class="text-right"><?= __( 'Inventory Title', 'rsgws' ) ?></th>
						<th class="text-right"><?= __( 'Item Code', 'rsgws' ) ?></th>
						<th class="text-right"><?= __( 'Item Title', 'rsgws' ) ?></th>
						<th class="text-right"><?= __( 'Tracing Title', 'rsgws' ) ?></th>
						<?php
						switch ( $software_title ) {
							case 'sepidar':
							case 'sepidar-plus': ?>
								<th class="text-right sorting"><?= __( 'Qunatity (main unit)', 'rsgws' ) ?></th>
								<th class="text-right sorting"><?= __( 'Qunatity (secondary unit)', 'rsgws' ) ?></th>
								<?php
								break;
							default:
								?>
								<th class="text-right sorting"><?= __( 'Qunatity', 'rsgws' ) ?></th>
								<?php
								break;
						}
						?>
					</tr>
					</thead>
					<tbody>
					<?php
					if ( ! empty( $inventoryItems["data"] ) ) {
						foreach ( $inventoryItems["data"] as $item ) {
							?>
							<tr>
								<td><?= $item->stock_title?></td>
								<td><?= $item->Code?></td>
								<td><?= $item->software_product_title?></td>
								<td><?= $item->tracing_title?></td>
								<td><?= $item->Qunatity?></td>
							</tr>
							<?php
						}
					}
					?>
					</tbody>
				</table>
			</div>
            <nav>
                <ul class="pagination pagination-sm justify-content-center">
					<?php
					if ( isset( $_GET['p'] ) ) {
						$current = $_GET['p'];
					} else {
						$current = 1;
					}

					$start_page = 1;
					$end_page = $inventoryItems["total_pages"] - 2;
					if ( $current > 3 ) {
						$start_page = $current - 3;
					}
					if ( $inventoryItems["total_pages"] - $current > 2 ) {
						$end_page = $current + 3;
					}

					if ( $current > 1 ) {
						$prev_page = $current - 1;
						echo '<li class="page-item"><a class="page-link" href="admin.php?page=rsgws-base_information&tab=products&section=inventory-control&p=1">«</a></li>';
						echo '<li class="page-item"><a class="page-link" href="admin.php?page=rsgws-base_information&tab=products&section=inventory-control&p=' . $prev_page . '"><</a></li>';
					}

					for ( $page_number = $start_page; $page_number <= $end_page; $page_number ++ ) {
						if ( $current == $page_number ) {
							echo '<li class="page-item active" aria-current="page">
                            <span class="page-link">
                                ' . $page_number . '
                                <span class="sr-only">(current)</span>
                            </span>
                      </li>';
						} else {
							echo '<li class="page-item"><a class="page-link" href="admin.php?page=rsgws-base_information&tab=products&section=inventory-control&p=' . $page_number . '">' . $page_number . '</a></li>';
						}
					}

					if ( $current < $inventoryItems["total_pages"] ) {
						$next_page = $current + 1;
						echo '<li class="page-item"><a class="page-link" href="admin.php?page=rsgws-base_information&tab=products&section=inventory-control&p=' . $next_page . '">></a></li>';
						echo '<li class="page-item"><a class="page-link" href="admin.php?page=rsgws-base_information&tab=products&section=inventory-control&p=' . $inventoryItems["total_pages"] . '">»</a></li>';
					}
					?>
                </ul>
            </nav>
		</div>
	</div>
</div>