<?php

defined( 'ABSPATH' ) || exit; // Prevent direct access

// Set section name
$section_name = basename( __FILE__, '.php' );
$AllProperties   = $products->getAllProperties();
 
// Output

?>


<div class="card-body">
    <div class="row">
        <div class="col-md-6">
            <form class="<?php echo( is_rtl() ? 'float-right' : 'float-left' ) ?>" method="post" action="">
				<?php wp_nonce_field( 'rsgws_nonce', 'rsgws_nonce' ) ?>
                <button type="submit" name="syncPropertiesFromApi" class="btn btn-success btn-sm">
                    <i class="tim-icons icon-refresh-02"></i> <?php echo __( 'Sync Now', 'rsgws' ) ?>
                </button>
            </form>
        </div>
        <div class="col-md-6">
            <div class="float-<?php echo( is_rtl() ? 'left' : 'right' ) ?>">
                <img class="properties-image-button" src="<?php echo IMAGE_URL . '/excel-icon.png' ?>"
                     alt="excel export">
                <a href="<?php echo IMAGE_LINK . '/rsgws-helpdesk?section=' . $section_name . '&software=' . $software_title; ?>"
                   target="_blank" rel="noreferrer noopener" class="rsgws-helpdesk">
                    <i class="tim-icons icon-video-66"></i>
                </a>
            </div>
        </div>
    </div>
    <br>
    <div class="row">
        <div class="col-sm-12">
            <div class="table-responsive">
                <table class="table table-striped dtr-inline collapsed">
                    <thead>
                    <tr>
                        <th class="text-right"><?php echo __( 'Property ID', 'rsgws' ) ?></th>
                        <th class="text-right"><?php echo __( 'Title', 'rsgws' ) ?></th>
                    </tr>
                    </thead>
                              <tbody>
					<?php
					if ( ! empty( $AllProperties["data"] ) ) {
						foreach ( $AllProperties["data"] as $property ) {
                            ?>
                            <tr>
                                <td><?= $property->property_id ?></td>
                                <td><?= $property->title ?></td>
                            </tr>
							<?php
						}
					}
					?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

