<?php

use inc\classes\RsgwsHelper;

defined( 'ABSPATH' ) || exit; // Prevent direct access

// Set section name
$section_name         = basename( __FILE__, '.php' );
$params['table_name'] = 'rsgws_sepidar_units';
$params['from_col']   = 'unit_id, title';
$units                = ( new class {
	use RsgwsHelper;
} )->rsgws_read( $params );
if ( isset( $_GET['search'] ) ) {
	$websiteProducts = $products->getResponseForSearch( $_GET );
} else {
	$websiteProducts = $products->getWebsiteProducts();
}
// Output
?>


<div class="card-body pt-0">
    <div class="row justify-content-end mb-2">
        <div class="col-md-6">
            <div class="float-<?= is_rtl() ? 'left' : 'right' ?>">
                <img class="website-products-image-button" src="<?php echo IMAGE_URL . '/excel-icon.png' ?>"
                     alt="excel export">
                <a href="<?= IMAGE_LINK . '/rsgws-helpdesk?section=' . $section_name . '&software=' . $software_title; ?>"
                   target="_blank" class="rsgws-helpdesk">
                    <i class="tim-icons icon-video-66"></i>
                </a>
            </div>
        </div>
    </div>
    <div class="row justify-content-between">
        <div class="col-md-4">
            <form action="" method="post">
				<?php wp_nonce_field( 'rsgws_nonce', 'rsgws_nonce' ) ?>
                <div class="input-group input-group-sm mb-3" dir="ltr">
                    <div class="input-group-prepend">
                        <button class="btn btn-outline-secondary btn-sm" type="submit" name="show_filter_submit">اعمال
                        </button>
                    </div>
                    <select class="custom-select text-right" name="show_filter">
                        <option <?= $websiteProducts["show_filter"] == "all" ? "selected" : "" ?> value="all">نمایش
                            همه
                        </option>
                        <option <?= $websiteProducts["show_filter"] == "just_added" ? "selected" : "" ?>
                                value="just_added">فقط محصولات اضافه شده
                        </option>
                        <option <?= $websiteProducts["show_filter"] == "just_not_added" ? "selected" : "" ?>
                                value="just_not_added">فقط محصولات اضافه نشده
                        </option>
                    </select>
                </div>
            </form>
        </div>
        <div class="col-md-6">
            <form action="" method="get">
                <div class="input-group input-group-sm mb-3" dir="ltr">
                    <input type="hidden" name="page" value="rsgws-base_information">
                    <input type="hidden" name="tab" value="products">
                    <input type="hidden" name="section" value="website-products">
                    <input type="text" name="query" class="form-control" placeholder="جستجو کد یا عنوان محصول"
                           dir="rtl" value="<?= $_GET['query'] ?? ''?>">
                    <div class="input-group-append">
                        <button class="btn btn-sm" type="submit" style="background-color: #92140c; color:#fff" name="search" id="button-addon2">
                            <span class="dashicons dashicons-search"></span>
                        </button>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <div class="row">
        <div class="col-sm-12">
            <form class="table-responsive" action="" method="post">
				<?php wp_nonce_field( 'rsgws_nonce', 'rsgws_nonce' ) ?>
                <div class="row mb-2">
                    <div class="col-md-6">
                        <button type="submit" class="btn btn-sm btn-success shadow-none" name="submitWebsiteProduct">
                            ذخیره
                            تغییرات
                        </button>
                    </div>
                </div>
                <div class="row mb-2">
                    <div class="col-md-4 align-items-center d-flex">
                        <div class="form-group form-check mb-0">
                            <input type="checkbox" name="addToWoo" id="addToWoo" class="form-check-input"/>
                            <label for="addToWoo"
                                   class="form-check-label"><?php _e( 'Add to woocommerce', 'rsgws' ) ?></label>
                        </div>
                    </div>
                    <div class="col-md-3 align-items-center d-flex">
                        <div class="form-group form-check mb-0">
                            <input type="checkbox" name="addWithSecUnit" id="add-with-sec-unit"
                                   class="form-check-input <?php echo $software_title == 'dasht' ? 'dasht-sec-unit' : '' ?>"/>
                            <label for="add-with-sec-unit"
                                   class="form-check-label"><?php _e( 'Add with sec unit', 'rsgws' ); ?></label>
                        </div>
                    </div>
                    <div class="col-md-5">
						<?php if ( $software_title == 'dasht' ): ?>
                            <div class="dasht-secondary-unit d-none">
                                <select name="secondary-unit" class="selectpicker form-control" data-live-search="true">
                                    <option value=""
                                            class="text-right"><?= __( 'Please choose secondary unit', 'rsgws' ); ?></option>
									<?php
									foreach ( $units as $unit ) {
										echo '<option value="' . $unit->unit_id . '" class="text-right">' . $unit->title . '</option>';
									}
									?>
                                </select><br/>
                            </div>
						<?php endif; ?>
                    </div>
                </div>
                <table class="table table-striped dtr-inline collapsed">
                    <thead>
                    <tr>
                        <th class="text-right">
                            <input type="checkbox" name="select-all" id="webProductSelectAll"/>
                        </th>
                        <th class="text-right"><?= __( 'Code', 'rsgws' ) ?></th>
                        <th class="text-right"><?= __( 'Title', 'rsgws' ) ?></th>
                        <th class="text-right"><?= __( 'Actions', 'rsgws' ) ?></th>
                    </tr>
                    </thead>
                    <tbody>
					<?php
					if ( ! empty( $websiteProducts['software_products'] ) ):
						foreach ( $websiteProducts['software_products'] as $product ):
							?>
                            <tr>
                                <td>
                                    <input type="checkbox" class="item-checkbox" name="items[]"
                                           value="<?= $product->ItemID ?>">
                                </td>
                                <td><?= $product->Code ?></td>
                                <td>
									<?= $product->Title ?>
                                </td>
                                <td>
									<?php
									if ( ! empty( $websiteProducts['products_in_db'] ) ):
										foreach ( $websiteProducts['products_in_db'] as $dbProduct ):
											if ( $dbProduct['code'] == $product->Code ):
												?>
                                                <form action="" method="post">
													<?php wp_nonce_field( 'rsgws_nonce', 'rsgws_nonce' ) ?>
                                                    <input type="hidden" name="id" value="<?= $product->ItemID ?>">
                                                    <button type="submit" name="deletePeerToPeer"
                                                            class="btn btn-sm btn-light" title="حذف نظیر به نظیر">❌
                                                    </button>
                                                </form>
												<?php
												break;
											endif;
										endforeach;
									endif;
									?>
                                </td>
                            </tr>
						<?php
						endforeach;
					endif;
					?>
                    </tbody>
                </table>
            </form>
        </div>
		<?php
		if ( ! empty( $websiteProducts['software_products'] ) ):
		?>
        <nav>
            <ul class="pagination pagination-sm justify-content-center">
				<?php
				if ( isset( $_GET['p'] ) ) {
					$current = $_GET['p'];
				} else {
					$current = 1;
				}

				$start_page = 1;
				$end_page   = $websiteProducts['total_pages'] - 2;
				if ( $current > 3 ) {
					$start_page = $current - 3;
				}
				if ( $websiteProducts['total_pages'] - $current > 2 ) {
					$end_page = $current + 3;
				}

				if ( $current > 1 ) {
					$prev_page = $current - 1;
					echo '<li class="page-item"><a class="page-link" href="admin.php?page=rsgws-base_information&tab=products&section=website-products&p=1">«</a></li>';
					echo '<li class="page-item"><a class="page-link" href="admin.php?page=rsgws-base_information&tab=products&section=website-products&p=' . $prev_page . '"><</a></li>';
				}

				for ( $page_number = $start_page; $page_number <= $end_page; $page_number ++ ) {
					if ( $current == $page_number ) {
						echo '<li class="page-item active" aria-current="page">
                            <span class="page-link">
                                ' . $page_number . '
                                <span class="sr-only">(current)</span>
                            </span>
                      </li>';
					} else {
						echo '<li class="page-item"><a class="page-link" href="admin.php?page=rsgws-base_information&tab=products&section=website-products&p=' . $page_number . '">' . $page_number . '</a></li>';
					}
				}

				if ( $current < $websiteProducts['total_pages'] ) {
					$next_page = $current + 1;
					echo '<li class="page-item"><a class="page-link" href="admin.php?page=rsgws-base_information&tab=products&section=website-products&p=' . $next_page . '">></a></li>';
					echo '<li class="page-item"><a class="page-link" href="admin.php?page=rsgws-base_information&tab=products&section=website-products&p=' . $websiteProducts['total_pages'] . '">»</a></li>';
				}
				?>
            </ul>
        </nav>
		<?php
		endif;
		?>
    </div>
</div>
<script>
    jQuery(document).ready(function () {
        jQuery("#webProductSelectAll").click(function () {
            jQuery(".item-checkbox").prop('checked', jQuery(this).prop('checked'));
        });
    });
</script>