<?php

defined( 'ABSPATH' ) || exit; // Prevent direct access

// Set section name
$section_name = basename( __FILE__, '.php' );

global $software_title;
if ($software_title == "dasht") {
	$saleType = new inc\classes\software\dasht\SaleType;
}else {
	$saleType = new inc\classes\software\sepidar\baseInformation\SaleType;
}
$getAllSaleType = $saleType->getAllSaleTypes();
$defaultSaleType = $saleType->getDefaultSaleType();

if (empty($getAllSaleType["saleTypeItemsInDB"]) || is_null($defaultSaleType)){
	add_settings_error(
		'saleTypeToDB',
		'rsgws_error',
		'جهت جلوگیری از اخلال در محاسبات افزونه حداقل یک نوع فروش باید فعال و پیشفرض شود',
		'warning'
	);
	settings_errors( 'saleTypeToDB' );
}
// Output
?>

<div class="row container">
	<div class="col-md-12 shadow p-3 mt-3 mb-5 bg-white rounded">
		<div class="card-body">
			<div class="row">
				<div class="col-sm-12">
					<form class="table-responsive" action="" method="post">
						<?php wp_nonce_field( 'rsgws_nonce', 'rsgws_nonce' ) ?>
						<button type="submit" class="btn btn-sm btn-success float-left mb-2" name="submitSaleType">ذخیره
							تغییرات
						</button>
						<table class="table table-striped dtr-inline collapsed">
							<thead>
							<tr>
								<th class="text-right"><?= __( 'Code', 'rsgws' ) ?></th>
								<th class="text-right"><?= __( 'Title', 'rsgws' ) ?></th>
								<th class="text-center">فعال‌سازی</th>
								<th class="text-left">پیشفرض</th>
							</tr>
							</thead>
							<tbody>
							<?php
							if ( ! empty( $getAllSaleType ) ) {
								if ( ! empty( $getAllSaleType['saleTypeItemsInDB'] ) ) {
									foreach ( $getAllSaleType['saleTypeItemsInDB'] as $item ) {
										?>
										<tr>
											<td><?= $item['id'] ?></td>
											<td><?= $item['title'] ?></td>
											<td>
												<div class="custom-control custom-switch d-flex justify-content-center">
													<input type="checkbox" class="custom-control-input"
														   name="selected[]"
														   checked
														   value="<?= $item['id'] ?>" id="active_<?= $item['id'] ?>">
													<label class="custom-control-label"
														   for="active_<?= $item['id'] ?>"></label>
													<input type="hidden" name="title[]" value="<?= $item['title'] ?>">
													<input type="hidden" name="id[]" value="<?= $item['id'] ?>">
												</div>
											</td>
											<td>
												<div class="custom-control custom-switch">
													<input type="radio" class="custom-control-input"
														   name="defaultSaleType"
														   value="<?= $item['id'] ?>"
														   id="SaleType_<?= $item['id'] ?>"
														<?= (is_null($defaultSaleType) ? "" : intval($defaultSaleType))  == $item['id'] ? 'checked' : '' ?>>
													<label class="custom-control-label" for="SaleType_<?= $item['id'] ?>"></label>
												</div>
											</td>
										</tr>
										<?php
									}
								} else {
									?>
									<tr>
										<td colspan="4" class="text-center text-muted">هیچ نوع فروشی در سایت فعال
											نشده!
										</td>
									</tr>
									<?php
								}
								if ( isset($getAllSaleType['saleTypeItems']) && ! empty( $getAllSaleType['saleTypeItems'] ) ) {
									foreach ( $getAllSaleType['saleTypeItems'] as $item ) {
										?>
										<tr>
											<td><?= $item['id'] ?></td>
											<td><?= $item['title'] ?></td>
											<td>
												<div class="custom-control custom-switch d-flex justify-content-center">
													<input type="checkbox" class="custom-control-input"
														   name="selected[]"
														   value="<?= $item['id'] ?>" id="active_<?= $item['id'] ?>">
													<label class="custom-control-label"
														   for="active_<?= $item['id'] ?>"></label>
													<input type="hidden" name="title[]" value="<?= $item['title'] ?>">
													<input type="hidden" name="id[]" value="<?= $item['id'] ?>">
												</div>
											</td>
											<td></td>
										</tr>
										<?php
									}
								}
							}
							?>
							</tbody>
						</table>
					</form>
				</div>
			</div>
		</div>
	</div>
</div>
