<?php

use inc\classes\software\dasht\Sync;

session_start();
$sync = new Sync();
?>
<div class="row container shadow p-3 bg-white rounded">
	<div class="col-md-2">
		<form action="" method="post" class="mb-3"
			  onsubmit="return confirm('شما در حال بروزرسانی کالاهای نرم افزار مالی در پایگاه داده وبسایت هستید.')">
			<?php wp_nonce_field( 'rsgws_nonce', 'rsgws_nonce' ) ?>
			<button type="submit" name="sync_products" class="btn btn-sm btn-success">همگام سازی کالاها</button>
		</form>
	</div>
	<div class="col-md-2">
		<form action="" method="post" class="mb-3"
			  onsubmit="return confirm('شما در حال بروزرسانی مشخصات کالاهای نرم افزار مالی در پایگاه داده وبسایت هستید.')">
			<?php wp_nonce_field( 'rsgws_nonce', 'rsgws_nonce' ) ?>
			<button type="submit" name="sync_products_properties" class="btn btn-sm btn-success">مشخصات کالاها</button>
		</form>
	</div>
	<div class="col-md-2">
		<form action="" method="post" class="mb-3"
			  onsubmit="return confirm('شما در حال بروزرسانی اعلامیه قیمت کالاهای نرم افزار مالی در پایگاه داده وبسایت هستید.')">
		<?php wp_nonce_field( 'rsgws_nonce', 'rsgws_nonce' ) ?>
			<button type="submit" name="sync_prices" class="btn btn-sm btn-success">اعلامیه قیمت</button>
		</form>
	</div>
	<div class="col-md-2">
		<form action="" method="post" class="mb-3"
			  onsubmit="return confirm('شما در حال بروزرسانی موجودی انبار کالاهای نرم افزار مالی در پایگاه داده وبسایت هستید.')">
			<?php wp_nonce_field( 'rsgws_nonce', 'rsgws_nonce' ) ?>
			<button type="submit" name="sync_inventories" class="btn btn-sm btn-success">موجودی انبار</button>
		</form>
	</div>
	<div class="col-md-2">
			<button type="button" class="btn btn-sm btn-success PeerToPeer">نظیر به نظیر</button>
	</div>
	<div class="col-md-12">
		<?php
		if ( isset( $_SESSION['SoftwareProducts'] ) && ! empty( $_SESSION['SoftwareProducts'] ) ) {
			?>
			<div class="alert alert-<?= $_SESSION['SoftwareProducts']['success'] == true ? "success" : "danger" ?>"
				 role="alert">
				<?= $_SESSION['SoftwareProducts']['message'] ?>
			</div>
			<?php
		}
		if ( isset( $_SESSION['properties'] ) && ! empty( $_SESSION['properties'] ) ) {
			?>
			<div class="alert alert-<?= $_SESSION['properties']['success'] == true ? "success" : "danger" ?>"
				 role="alert">
				<?= $_SESSION['properties']['message'] ?>
			</div>
			<?php
		}

		if ( isset( $_SESSION['PriceNote'] ) && ! empty( $_SESSION['PriceNote'] ) ) {
			?>
			<div class="alert alert-<?= $_SESSION['PriceNote']['success'] == true ? "success" : "danger" ?>"
				 role="alert">
				<?= $_SESSION['PriceNote']['message'] ?>
			</div>
			<?php
		}
		if ( isset( $_SESSION['Inventories'] ) && ! empty( $_SESSION['Inventories'] ) ) {
			?>
            <div class="alert alert-<?= $_SESSION['Inventories']['success'] == true ? "success" : "danger" ?>"
                 role="alert">
				<?= $_SESSION['Inventories']['message'] ?>
            </div>
			<?php
		}
		if ( isset( $_SESSION['PeerToPeerProducts'] ) && ! empty( $_SESSION['PeerToPeerProducts'] ) ) {
			?>
			<div class="alert alert-<?= $_SESSION['PeerToPeerProducts']['success'] == true ? "success" : "danger" ?>"
				 role="alert">
				<?= $_SESSION['PeerToPeerProducts']['message'] ?>
			</div>
			<?php
		}
		unset( $_SESSION['PeerToPeerProducts']['success'] );
		unset( $_SESSION['PeerToPeerProducts']['message'] );
		?>
	</div>
	<div class="col-md-12">
        <div class="alert all_peer_to_peer" role="alert" style="display: none">
        </div>
        <div class="progress_lable"></div>
		<div class="progress" style="display: none">
			<div class="progress-bar progress-bar-striped bg-success progress-bar-animated" role="progressbar" style="width: 0%;" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100"></div>
		</div>
	</div>
</div>