<?php

use inc\classes\RsgwsHelper;

$wc_checkout_fields = (new class { use RsgwsHelper; })->rsgws_checkout_fields();
$software_name = (new class { use RsgwsHelper; })->get_connection_data()['software_title'];

switch( $software_name )
{
	case 'sepidar-plus':
		$api_fields = array(
			array(
				'key' => 'name',
				'label' => __('First Name', 'rsgws')
			),
			array(
				'key' => 'lastname',
				'label' => __('Last Name', 'rsgws')
			),
			array(
				'key' => 'phone',
				'label' => __('Phone Number', 'rsgws')
			),
			array(
				'key' => 'mobile',
				'label' => __('Mobile Number', 'rsgws')
			),
			array(
				'key' => 'identificationCode',
				'label' => __('National Code', 'rsgws')
			),
			array(
				'key' => 'address',
				'label' => __('Address', 'rsgws')
			),
			array(
				'key' => 'zipCode',
				'label' => __('Zip Code', 'rsgws')
			),
			array(
				'key' => 'cityid',
				'label' => __('City Name', 'rsgws')
			),
			array(
				'key' => 'economicCode',
				'label' => __('Economic Code', 'rsgws')
			)
		);
		break;
    case 'dasht':
	    $api_fields = array(
		    array(
			    'key' => 'PhoneNumber',
			    'label' => __('Phone Number', 'rsgws')
		    ),
		    array(
			    'key' => 'Name',
			    'label' => __('First Name', 'rsgws')
		    ),
		    array(
			    'key' => 'LastName',
			    'label' => __('Last Name', 'rsgws')
		    ),
		    array(
			    'key' => 'NationalID',
			    'label' => __('National Code', 'rsgws')
		    ),
		    array(
			    'key' => 'CityRef',
			    'label' => __('City Name', 'rsgws')
		    ),
		    array(
			    'key' => 'Address',
			    'label' => __('Address', 'rsgws')
		    ),
		    array(
			    'key' => 'ZipCode',
			    'label' => __('Zip Code', 'rsgws')
		    )
	    );
	    break;
	case 'rahkaran':
		$api_fields = array(
			array(
				'key' => 'firstName',
				'label' => __('First Name', 'rsgws')
			),
			array(
				'key' => 'lastName',
				'label' => __('Last Name', 'rsgws')
			),
			array(
				'key' => 'mobile',
				'label' => __('Mobile Number', 'rsgws')
			),
			array(
				'key' => 'tel',
				'label' => __('Phone Number', 'rsgws')
			),
			array(
				'key' => 'nationalCode',
				'label' => __('National Code', 'rsgws')
			),
			array(
				'key' => 'phone',
				'label' => __('Address Phone', 'rsgws')
			),
			array(
				'key' => 'email',
				'label' => __('E-mail', 'rsgws')
			),
			array(
				'key' => 'zipcode',
				'label' => __('ZIP Code', 'rsgws')
			),
			array(
				'key' => 'fax',
				'label' => __('Fax', 'rsgws')
			),
			array(
				'key' => 'details',
				'label' => __('Address', 'rsgws')
			),
			array(
				'key' => 'cityId',
				'label' => __('City Name', 'rsgws')
			)
		);
		break;
	default:
		$api_fields = array(
			array(
				'key' => 'PhoneNumber',
				'label' => __('Phone Number (optional)', 'rsgws')
			),
			array(
				'key' => 'Name',
				'label' => __('First Name (required)', 'rsgws')
			),
			array(
				'key' => 'LastName',
				'label' => __('Last Name (required)', 'rsgws')
			),
			array(
				'key' => 'NationalID',
				'label' => __('National Code (optional)', 'rsgws')
			),
			array(
				'key' => 'CityRef',
				'label' => __('City Name (required)', 'rsgws')
			),
			array(
				'key' => 'Address',
				'label' => __('Address (required)', 'rsgws')
			),
			array(
				'key' => 'ZipCode',
				'label' => __('Zip Code (optional)', 'rsgws')
			)
		);
		break;
}
?>

<div class="rsgws container p-5">
    <div class="row container">
        <a href="<?php echo IMAGE_LINK . '/rsgws-helpdesk?section=peer-to-peer-checkout-fields&software=' . $software_name; ?>" target="_blank" rel="noreferrer noopener" class="rsgws-helpdesk">
            <i class="tim-icons icon-video-66"></i>
        </a>
        <div class="col-md-12 shadow p-3 mt-3 mb-5 bg-white rounded">
            <a href="<?php echo IMAGE_LINK; ?>" target="_blank" rel="noreferrer noopener"><img class="float-left main-logo" src="<?php echo IMAGE_URL .'/logo.png' ?>"  alt="logo"></a>
            <h5 class="title"><?php _e('Checkout Fields', 'rsgws') ?></h5>
            <hr>
            <br>
            <div class="dataTables_wrapper dt-bootstrap4">
                <div class="row">
                    <div class="col-sm-12">
                        <table id="datatable-link-checkout-fields" class="table table-striped dataTable dtr-inline collapsed" role="grid" aria-describedby="datatable_info">
                            <thead>
                            <tr role="row">
                                <th class="sorting_asc text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="activate to sort column descending"><?php echo __('API Fields', 'rsgws') ?></th>
                                <th class="sorting text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="activate to sort column ascending"><?php echo __('Woo Checkout Fileds', 'rsgws') ?></th>
                                <th class="text-left" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1"><?php echo __('Actions', 'rsgws') ?> <div class="float-left"><a href="#"> <button type="button" class="btn btn-warning btn-link btn-sm multi-api-fields-connection-revoke" data-action="revoke" title="<?php _e('Revoke', 'rsgws'); ?>"> <i class="tim-icons icon-simple-remove"></i> </button> </a> <a href="#"> <button type="button" class="btn btn-success btn-link btn-sm multi-api-fields-connection-save" data-action="add" title="<?php _e('Add', 'rsgws'); ?>"> <i class="tim-icons icon-check-2"></i> </button> </a></div></th>
                            </tr>
                            </thead>
                            <tbody>
							<?php if( !empty( $api_fields ) ) :

								foreach( $api_fields as $api_field ) :
                                    $params['table_name'] = 'rsgws_sepidar_woo_checkout_fields_rel';
                                    $params['from_col'] = 'wc_checkout_filed_name';
                                    $params['where_col'] = 'api_filed_key = "' . $api_field['key'] . '"';
                                    $wc_checkout_field_name = (new class { use RsgwsHelper; })->rsgws_read($params);
                                    $checkout_field_name = !empty($wc_checkout_field_name) ? $wc_checkout_field_name[0]->wc_checkout_filed_name : '';
									?>

                                    <tr role="row" data-api_filed_key="<?php echo $api_field['key']; ?>" data-existence="<?php echo !empty($checkout_field_name) ? 1 : 0 ?>">
                                        <td class="text-right"><?php echo $api_field['label'] ?></td>
                                        <td class="text-right">
                                            <select id="api-fields" class="selectpicker form-control" data-live-search="true">
                                                <option value=""><?php _e('Choose ... ', 'rsgws' ) ?> </option>
                                                    <?php if( !empty( $wc_checkout_fields ) ) :
                                                        foreach( $wc_checkout_fields as $index => $checkout_field ) :
	                                                        $required = ($checkout_field['require'] == 1) ? __('required', 'rsgws') : __('optional', 'rsgws');
                                                            ?>
                                                            <option value="<?php echo $checkout_field['name'] ?>" <?php echo $checkout_field_name == $checkout_field['name'] ? "selected" : "" ?> >
                                                                <?php echo $checkout_field['label'] . ' (' . $required . ')'; ?>
                                                            </option>
                                                    <?php endforeach; endif; ?>
                                            </select>
                                        </td>
                                        <td class="text-left">
                                            <a href="#">
                                                <button type="button" class="btn btn-warning btn-link btn-sm api-fields-connection-revoke" data-action="remove" title="<?php _e('Revoke','rsgws') ?>">
                                                    <i class="tim-icons icon-simple-remove"></i>
                                                </button>
                                            </a>
                                            <a href="#">
                                                <button type="button" class="btn btn-success btn-link btn-sm api-fields-connection-save" data-action="add" title="<?php _e('Save','rsgws') ?>">
                                                    <i class="tim-icons icon-check-2"></i>
                                                </button>

												
                                            </a>
                                        </td>
                                    </tr>
								<?php endforeach;
							endif; ?>
                            </tbody>
                            <tfoot>
                            </tfoot>
                        </table>
                    </div>
                </div>
            </div>
        </div>
		<?php wp_nonce_field( 'rsgws-nonce-table', 'rsgws-nonce-table' ) ?>
    </div>
</div>
