<?php

defined( 'ABSPATH' ) || exit; // Prevent direct access

// Get current setting page
$tab = 'customer-groups';
$software_title = !empty(get_option('rsgws-user-connection')) && isset(get_option('rsgws-user-connection')['software_title']) ?
	get_option('rsgws-user-connection')['software_title'] : 'rsgws';
// Sections
$sections = array(
    array(
        'title'  => __('Link Customers', 'rsgws'),
        'slug'  => 'link-customers',
    ),
    array(
        'title'  => __('Add Customer Groups', 'rsgws'),
        'slug'  => 'add-customer-groups',
    ),
    array(
        'title'  => __('Link Customer Groups', 'rsgws'),
        'slug'  => 'link-customer-groups',
    )
);

// Output

?>

<div class="rsgws container p-5">
    <div class="col-md-12 shadow p-3 mt-3 mb-5 bg-white rounded">
        <div class="row">
            <div class="col-md-3 border border-left-1 border-right-0 border-top-0 border-bottom-0">
                <div class="nav flex-column nav-pills" id="v-pills-tab" role="tablist" aria-orientation="vertical">

                    <?php foreach ( $sections as $key => $section ) : ?>

                        <a class="nav-link <?php echo $key == 0 ? 'active' : '' ?>" id="v-pills-<?php echo $section['slug'] ?>-tab" data-toggle="pill" href="#v-pills-<?php echo $section['slug'] ?>" role="tab" aria-controls="v-pills-<?php echo $section['slug'] ?>" aria-selected="true"><?php echo $section['title'] ?></a>

                    <?php endforeach ?>

                </div>
            </div>
            <div class="col-md-9">
                <div class="tab-content" id="v-pills-tabContent">
                    <?php foreach ( $sections as $key => $section ) : ?>
                        <div class="tab-pane fade <?php echo $key == 0 ? 'active show' : '' ?>" id="v-pills-<?php echo $section['slug'] ?>" role="tabpanel" aria-labelledby="v-pills-<?php echo $section['slug'] ?>-tab">
                            <?php include( plugin_dir_path( __FILE__ ).'customer-groups/'.$section['slug'].'.php' ); ?>
                        </div>
                    <?php endforeach ?>
                </div>
            </div>
        </div>
    </div>
</div>

