<?php

use inc\classes\RsgwsHelper;

defined( 'ABSPATH' ) || exit; // Prevent direct access

// Get current setting page
$tab = !empty($_GET['tab']) ? sanitize_text_field($_GET['tab']) : '';

// Set section name
$section_name = basename(__FILE__, '.php');
?>
<div class="card-body">
    <div class="row">
        <div class="col-md-12">
            <div class="float-<?php echo (is_rtl() ? 'left' : 'right') ?>">
                <img class="website-customers-image-button" src="<?php echo IMAGE_URL .'/excel-icon.png' ?>"  alt="excel export">
                <a href="<?php echo IMAGE_LINK . '/rsgws-helpdesk?section='.$section_name.'&software=' . $software_title; ?>" target="_blank" rel="noreferrer noopener" class="rsgws-helpdesk">
                    <i class="tim-icons icon-video-66"></i>
                </a>
            </div>
        </div>
        <br/><br/>
        <div class="col-md-12">
            <div class="dataTables_wrapper dt-bootstrap4">
                <div class="row">
                    <div class="col-sm-12">
                        <table id="datatable-<?php echo $section_name; ?>-main" class="table table-striped dtr-inline collapsed" role="grid" aria-describedby="datatable_info">
                            <thead>
                            <tr role="row">
                                <th class="sorting text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" style="width: 20px;" aria-label="activate to sort column ascending"><?php echo __('ID', 'rsgws') ?></th>
                                <th class="text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1"><?php echo __('Woo Username', 'rsgws') ?></th>
                                <th class="text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1"><?php echo __('Name & Family', 'rsgws') ?></th>
                                <th class="sorting_asc text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="activate to sort column descending"><?php echo __('System Customer Title', 'rsgws') ?></th>
                                <th class="sorting_desc_disabled sorting_asc_disabled text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1"><?php echo __('Actions', 'rsgws') ?> <div class="float-left"><a href="#"> <button type="button" class="btn btn-warning btn-link btn-sm multi-customer-connection-revoke" data-action="revoke" title="<?php _e('Revoke', 'rsgws'); ?>"> <i class="tim-icons icon-simple-remove"></i> </button> </a> <a href="#"> <button type="button" class="btn btn-success btn-link btn-sm multi-customer-connection-save" data-action="add" title="<?php _e('Add', 'rsgws'); ?>"> <i class="tim-icons icon-check-2"></i> </button> </a></div></th>
                            </tr>
                            </thead>
                            <tbody>
                            </tbody>
                            <tfoot>
                            </tfoot>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-12 p-3">
            <div class="row">
                <div class="col-md-12">
                    <h5 class="title"><?php _e('Import customers from excel', 'rsgws'); ?></h5>
                    <hr>
                    <br>
                    <div class="col-md-12">
                        <label for="download_sample_customer_rel_excel"><?php _e('Please first download sample excel and fill up blank fields, then upload it and import.', 'rsgws'); ?></label>
                        <button id="download_sample_customer_rel_excel" class="float-<?php echo is_rtl() ? 'right' : 'left'; ?> btn btn-success"><?php _e('Download sample excel', 'rsgws'); ?></button>
                        <br/><br/>
                        <form enctype="multipart/form-data" method="post" class="form-inline">
                            <div class="form-group">
                                <label class="sr-only" for="customerRelationExcelFile"><?php _e('Select file', 'rsgws'); ?></label>
                                <input type="file" id="customerRelationExcelFile" class="form-control-file mb-2 mr-sm-2">
                            </div>
                            <button type="submit" id="import_customer_excel" class="btn btn-primary mb-2"><?php _e('Import', 'rsgws'); ?></button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <?php wp_nonce_field( 'rsgws-nonce-table', 'rsgws-nonce-table' ) ?>
    </div>
</div>