<?php

defined( 'ABSPATH' ) || exit; // Prevent direct access

use inc\classes\PageManager;

// Get current setting page
$tab = 'customer-groups';
$software_title = !empty(get_option('rsgws-user-connection')) && isset(get_option('rsgws-user-connection')['software_title']) ?
	get_option('rsgws-user-connection')['software_title'] : 'rsgws';

$pageManager = new PageManager();
// $pageManager->section = is_null($pageManager->section) ? ['title'  => __('Link Customers', 'rsgws'), 'slug'  => 'link-customers']  : $pageManager->section;
// Output
$sections = array(
    array(
        'title'  => __('Link Customers', 'rsgws'),
        'slug'  => 'link-customers',
    ),
    array(
        'title'  => __('Add Customer Groups', 'rsgws'),
        'slug'  => 'add-customer-groups',
    ),
    array(
        'title'  => __('Link Customer Groups', 'rsgws'),
        'slug'  => 'link-customer-groups',
    )
);

?>

<div class="rsgws container p-5">
    <div class="col-md-12 shadow p-3 mt-3 mb-5 bg-white rounded">
        <div class="row">
            <div class="col-md-3 border border-left-1 border-right-0 border-top-0 border-bottom-0">
                <div class="nav flex-column nav-pills" id="v-pills-tab">

                    <?php foreach ( $pageManager->getCustomerGroupSections() as $key => $section ) : ?>

                        <a class="nav-link <?= $pageManager->section == $section['slug'] ? 'active' : ''; ?>" href="admin.php?page=rsgws-customer_groups&section=<?php echo $section['slug'] ?>"><?php echo $section['title'] ?></a>

                    <?php endforeach ?>

                </div>
            </div>
            <div class="col-md-9">
                <div class="tab-content" id="v-pills-tabContent">
	                <?php include( plugin_dir_path( __FILE__ ).'customer_groups/'.$pageManager->section.'.php' ); ?>
                </div>
            </div>
        </div>
    </div>
</div>

