<?php

defined( 'ABSPATH' ) || exit; // Prevent direct access

// Get current setting page
$tab = !empty($_GET['tab']) ? sanitize_text_field($_GET['tab']) : '';

// Set section name
$section_name = basename(__FILE__, '.php');

// Output
?>

<div class="card-body <?php echo $software_title === 'dasht' ? 'default-base-info-page' : ''; ?>">
    <div class="row">
        <div class="col-md-6">
            <div class="<?php echo (is_rtl() ? 'float-right' : 'float-left') ?>">
                <button type="button" data-toggle="modal" data-target="#AddCustomerGroupsModal" data-backdrop="static" data-keyboard="false" class="btn btn-primary btn-sm">
                    <i class="tim-icons icon-simple-add"></i> <?php echo __('Add new', 'rsgws') ?>
                </button>
            </div>
        </div>
        <div class="col-md-6">
            <div class="float-<?php echo (is_rtl() ? 'left' : 'right') ?>">
                <img class="website-customer-group-image-button" src="<?php echo IMAGE_URL .'/excel-icon.png' ?>"  alt="excel export">
                <a href="<?php echo IMAGE_LINK . '/rsgws-helpdesk?section='.$section_name.'&software=' . $software_title; ?>" target="_blank" rel="noreferrer noopener" class="rsgws-helpdesk">
                    <i class="tim-icons icon-video-66"></i>
                </a>
            </div>
        </div>
    </div>
    <br>
    <div class="dataTables_wrapper dt-bootstrap4 rsgws-multi-table">
        <div class="row">
            <div class="col-sm-12">
                <table id="datatable-<?php echo $section_name ?>-main" class="table table-striped dtr-inline collapsed" role="grid" aria-describedby="datatable_info">
                    <thead>
                    <tr role="row">
                        <th class="sorting text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="activate to sort column ascending"><?php echo __('ID', 'rsgws') ?></th>
                        <th class="sorting_asc text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="activate to sort column descending"><?php echo __('Customer Group Title', 'rsgws') ?></th>
                        <th class="sorting_desc_disabled sorting_asc_disabled text-left sorting" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="Actions: activate to sort column ascending"><?php echo __('Actions', 'rsgws') ?><div class="float-left mr-1"><a href="#"> <button type="button" class="btn btn-danger btn-link btn-sm multi-remove-website-customer-group" data-action="remove" title="<?php _e('Remove', 'rsgws'); ?>"> <i class="tim-icons icon-simple-remove"></i> </button> </a></div></th>
                    </tr>
                    </thead>
                    <tbody>
                    </tbody>
                    <tfoot>
                    </tfoot>
                </table>
            </div>
        </div>
    </div>
</div>
<?php wp_nonce_field( 'rsgws-nonce-table', 'rsgws-nonce-table' ) ?>

<!-- Modal -->
<div class="rsgws modal fade" id="AddCustomerGroupsModal" tabindex="-1" aria-labelledby="ModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="ModalLabel"></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-sm-12">
                        <form method="post" class="form-inline text-center d-block m-auto">
                            <label><?php _e('Customer group title', 'rsgws'); ?></label>
                            <input type="text" name="customer_group_name" class="woo-customer-group-name" id="woo_customer_group_name" style="width: 80%" placeholder="<?php _e('Please input customer group name', 'rsgws'); ?>">
                            <button type="button" class="btn btn-success m-1 save-woo-customer-group" name="save_woo_customer_group"><?php _e('Save', 'rsgws'); ?></button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>