<?php


use inc\classes\software\dasht\PtpCustomerGroupsRelationsForSSP;
use inc\classes\ajax\ssp\PluginSaletypesRelationsForSSP;
use inc\classes\software\dasht\ajax\PluginCustomerGroupsForSSPDasht;
use inc\classes\ajax\ssp\CustomerGroupsRelationForSSP;

if($software_title === "dasht"){
defined( 'ABSPATH' ) || exit; // Prevent direct access

// Get current setting page
$tab        = ! empty( $_GET['tab'] ) ? sanitize_text_field( $_GET['tab'] ) : '';
$exc        = new PtpCustomerGroupsRelationsForSSP();
$Pst = new PluginSaletypesRelationsForSSP();
$pstes = new PluginCustomerGroupsForSSPDasht();
$CgRS = new CustomerGroupsRelationForSSP();
$WooCustomerGroups = $pstes->get_woo_customer_groups();
$SoftwareSaleTypes = $Pst->get_software_customer_groups();

$customers  = $data['customers'];
$totalPages = $data['total_pages'];
// Set section name
$section_name = basename( __FILE__, '.php' );

?>

<style>
	.table td {
		border: unset;
		padding: 10px !important;
	}
/* 
	.links {
		opacity: 0;
	}

	.table td:hover .links {
		opacity: 1;
	} */
</style>
<div class="card-body">
	<div class="row mb-2">
		<div class="col-md-6">
 
		</div>
		<div class="col-md-6">
			<div class="float-<?php echo( is_rtl() ? 'left' : 'right' ) ?>">
				<img class="website-customers-image-button" src="<?php echo IMAGE_URL . '/excel-icon.png' ?>"
					 alt="excel export">
				<a href="<?php echo IMAGE_LINK . '/rsgws-helpdesk?section=' . $section_name . '&software=' . $software_title; ?>"
				   target="_blank" rel="noreferrer noopener" class="rsgws-helpdesk">
					<i class="tim-icons icon-video-66"></i>
				</a>
			</div>
		</div>
	</div>
	<div class="row mb-2">
		<div class="col-sm-12">
			<div class="table-responsive">
				<table class="table table-striped dtr-inline collapsed">
					<thead>
					<tr>
						<th class="text-right"><?php echo __( 'ID', 'rsgws' ) ?></th>
						<th class="text-right"><?php echo __( 'Woo Customer Group', 'rsgws' ) ?></th>
						<th class="text-right">نوع فروش</th>
						<th class="text-right">عملیات</th>
					</tr>
					</thead>
					<tbody>
					<?php
					foreach ( $WooCustomerGroups as $customer ) {
						$related = $exc->related($customer->id);
			            
						?>
						<tr>
							<td class="text-right py-0"><?= $customer->id ?></td>
							<td class="text-right py-0">
								<div><?= $customer->title ?></div>
							</td>
						 
							<td class="text-center py-0">
								<?php
								if ( $related ) {
									echo "(" . $related->sale_type_id . ") " . $related->sale_type_title;
								} else {
									echo "-";
								}
								?>
							</td>
							<td class="text-right py-0">
							<div class="links ">
									<a href="#" class="edit">ویرایش </a>
									<?php
									if ( $related ) {
										?>
									 
										<form action="" method="post" class="d-inline">
											<?php wp_nonce_field( 'rsgws_nonce', 'rsgws_nonce' ) ?>
											<input type="hidden" name="woo_customer_group_id" value="<?= $customer->id ?>">
											<button type="submit" name="RevokeCustomerGroup"
													class="btn btn-link text-danger p-0 error_btns"> قطع ارتباط
											</button>
										</form>
										<?php
									}
									?>
								</div>
							</td>
						</tr>
						<tr class="bg-secondary text-white" style="display: none">
							<td colspan="5">
								<form class="row m-0" method="post" action="">
									<?php wp_nonce_field( 'rsgws_nonce', 'rsgws_nonce' ) ?>
									<input type="hidden" name="woo_customer_group_id" value="<?= $customer->id ?>">
									<?php
									if ( $related ) {
										?>
										<input type="hidden" name="existence" value="true">
										<?php
									}
									?>
									<div class="col-md-1">
										<?= $customer->id ?>
									</div>
									<div class="col-md-3">
										<?= $customer->title ?>
									</div>
								
									<select class="w-25 selectpicker form-control" data-live-search="true"
												name="software_saletype_id">
											<?php
					                foreach ( $SoftwareSaleTypes as $customer1 ) {
								
												?>
												<option value="<?= $customer1->sale_type_id ?>"
														><?= $customer1->sale_type_title ?></option>
												<?php
										
					                }
											?>
										</select>
										
									
									</div>
									<div class="col-md-1">
									</div>
									<div class="col-md-4 text-left">
										<button type="submit" name="ConnectCustomerGroup"
												class="btn btn-sm btn-success shadow-none">ثبت
										</button>
										<div class="btn btn-sm btn-secondary cancel_change">لغو</div>
									</div>
								</form>
							</td>
						</tr>
						<?php
					}
					?>
					</tbody>
				</table>
			</div>
	
		</div>
	</div>
 
	<?php wp_nonce_field( 'rsgws-nonce-table', 'rsgws-nonce-table' ) ?>
</div>
<script>
	jQuery(document).ready(function () {
		jQuery('a.edit').click(function (event) {
			event.preventDefault(); // توقف رفتار پیش فرض لینک

			// پنهان کردن عنصر والد لینک
			jQuery(this).closest('tr').hide();
			jQuery(this).closest('tr').next('tr').show();
		});
		jQuery('.cancel_change').click(function () {
			// پنهان کردن عنصر والد لینک
			jQuery(this).closest('tr').hide();
			jQuery(this).closest('tr').prev('tr').show();
		});
	});
</script>
 
 <?php 
}else{
 
defined( 'ABSPATH' ) || exit; // Prevent direct access
// Get current setting page
$tab = !empty($_GET['tab']) ? sanitize_text_field($_GET['tab']) : '';
// Set section name
$section_name = basename(__FILE__, '.php');
?>
<div class="card-body <?php echo $software_title === 'dasht' ? 'default-base-info-page' : ''; ?>">
    <div class="row">
        <div class="col-md-12">
            <div class="float-<?php echo (is_rtl() ? 'left' : 'right') ?>">
                <img class="linked-customer-groups-image-button" src="<?php echo IMAGE_URL .'/excel-icon.png' ?>"  alt="excel export">
                <a href="<?php echo IMAGE_LINK . '/rsgws-helpdesk?section='.$section_name.'&software=' . $software_title; ?>" target="_blank" rel="noreferrer noopener" class="rsgws-helpdesk">
                    <i class="tim-icons icon-video-66"></i>
                </a>
            </div>
        </div>
        <br/><br/>
        <div class="col-md-12">
            <div class="dataTables_wrapper dt-bootstrap4">
                <div class="row">
                    <div class="col-sm-12">
                        <table id="datatable-<?php echo $section_name; ?>-main" class="table table-striped dtr-inline collapsed" role="grid" aria-describedby="datatable_info">
                            <thead>
                            <tr role="row">
                                <th class="sorting text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" style="width: 20px;" aria-label="activate to sort column ascending"><?php echo __('ID', 'rsgws') ?></th>
                                <th class="text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1"><?php echo __('Woo Customer Group', 'rsgws') ?></th>
                                <th class="sorting_asc text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="activate to sort column descending"><?php echo __('Software Customer Group', 'rsgws') ?></th>
                                <th class="sorting_desc_disabled sorting_asc_disabled text-left" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1"><?php echo __('Actions', 'rsgws') ?> <div class="float-left"><a href="#"> <button type="button" class="btn btn-warning btn-link btn-sm multi-customer-group-connection-revoke" data-action="revoke" title="<?php _e('Revoke', 'rsgws'); ?>"> <i class="tim-icons icon-simple-remove"></i> </button> </a> <a href="#"> <button type="button" class="btn btn-success btn-link btn-sm multi-customer-group-connection-save" data-action="add" title="<?php _e('Add', 'rsgws'); ?>"> <i class="tim-icons icon-check-2"></i> </button> </a></div></th>
                            </tr>
                            </thead>
                            <tbody>
                            </tbody>
                            <tfoot>
                            </tfoot>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <?php wp_nonce_field( 'rsgws-nonce-table', 'rsgws-nonce-table' ) ?>
    </div>
</div>
   
   <?php 
}
 ?>
    
 
