<?php

use inc\classes\software\all\PtpCustomerRelationsForSSP;

defined( 'ABSPATH' ) || exit; // Prevent direct access

// Get current setting page
$tab        = ! empty( $_GET['tab'] ) ? sanitize_text_field( $_GET['tab'] ) : '';
$exc        = new PtpCustomerRelationsForSSP();

$exc->deleteNullCustomersinSepidar();
 
if (isset($_POST['searchForm'])) {
	$data = $exc->searchForm($_POST);
}else{
	$data = $exc->customers();
}
$GetSoftwareCus = $exc->get_software_parties();
$customers  = $data['customers'];
$totalPages = $data['total_pages'];
 
// Set section name
$section_name = basename( __FILE__, '.php' );
?>
<style>
	.table td {
		border: unset;
		padding: 10px !important;
	}
/* 
	.links {
		opacity: 0;
	}

	.table td:hover .links {
		opacity: 1;
	} */
</style>
<div class="card-body">
	<div class="row mb-2">
		<div class="col-md-6">
			<form action="admin.php?page=rsgws-customer_groups" method="post">
					<div class="input-group mb-3" dir="ltr">
						<div class="input-group-prepend">
							<button class="btn btn-outline-secondary" type="submit" name="searchForm">
								<i class="text-dark tim-icons icon-zoom-split"></i>
							</button>
						</div>
						<input type="text" class="form-control" placeholder="جستجو ..." name="s" dir="rtl">
					</div>
			</form>
		</div>
		<div class="col-md-6">
			<div class="float-<?php echo( is_rtl() ? 'left' : 'right' ) ?>">
				<img class="website-customers-image-button" src="<?php echo IMAGE_URL . '/excel-icon.png' ?>"
					 alt="excel export">
				<a href="<?php echo IMAGE_LINK . '/rsgws-helpdesk?section=' . $section_name . '&software=' . $software_title; ?>"
				   target="_blank" rel="noreferrer noopener" class="rsgws-helpdesk">
					<i class="tim-icons icon-video-66"></i>
				</a>
			</div>
		</div>
	</div>
	<div class="row mb-2">
		<div class="col-sm-12">
			<div class="table-responsive">
				<table class="table table-striped dtr-inline collapsed">
					<thead>
					<tr>
						<th class="text-right"><?php echo __( 'ID', 'rsgws' ) ?></th>
						<th class="text-right"><?php echo __( 'Woo Username', 'rsgws' ) ?></th>
						<th class="text-right"><?php echo __( 'Name & Family', 'rsgws' ) ?></th>
						<th class="text-right"><?php echo __( 'System Customer Title', 'rsgws' ) ?></th>
						<th class="text-right">عملیات</th>
					</tr>
					</thead>
					<tbody>
					<?php
					foreach ( $customers as $customer ) {
						$related = $exc->related( $customer->ID );
				
						?>
						<tr>
							<td class="text-right py-0"><?= $customer->ID ?></td>
							<td class="text-right py-0">
								<div><?= $customer->user_login ?></div>
							</td>
							<td class="text-center py-0">
								<?= $customer->display_name ?>
							</td>
							<td class="text-center py-0">
								<?php
								if ( $related ) {
									echo "(" . $related->code . ") " . $related->title;
								} else {
									echo "-";
								}
								?>
							</td>
							<td class="text-right py-0">
							<div class="links ">
									<a href="#" class="edit">ویرایش </a>
									<?php
									if ( $related ) {
										?>
									 
										<form action="" method="post" class="d-inline">
											<?php wp_nonce_field( 'rsgws_nonce', 'rsgws_nonce' ) ?>
											<input type="hidden" name="woo_customer_id" value="<?= $customer->ID ?>">
											<button type="submit" name="RevokeCustomer"
													class="btn btn-link text-danger p-0 error_btns"> قطع ارتباط
											</button>
										</form>
										<?php
									}
									?>
								</div>
							</td>
						</tr>
						<tr class="bg-secondary text-white" style="display: none">
							<td colspan="5">
								<form class="row m-0" method="post" action="">
									<?php wp_nonce_field( 'rsgws_nonce', 'rsgws_nonce' ) ?>
									<input type="hidden" name="woo_customer_id" value="<?= $customer->ID ?>">
									<?php
									if ( $related ) {
										?>
										<input type="hidden" name="existence" value="true">
										<?php
									}
									?>
									<div class="col-md-1">
										<?= $customer->ID ?>
									</div>
									<div class="col-md-3">
										<?= $customer->user_login ?>
									</div>
									<div class="col-md-4 text-center">
										<?= $customer->display_name ?>
									</div>
								    
									<select class=" w-25 selectpicker form-control" data-live-search="true"
												name="software_customer_id">
											<?php
					                foreach ( $GetSoftwareCus as $customer1 ) {
								
												?>
												<option value="<?= $customer1->customer_id ?>"
														selected><?= "(" . $customer1->code . ") " . $customer1->title ?></option>
												<?php
										
					                }
											?>
										</select>
										
									
									</div>
									<div class="col-md-1">
									</div>
									<div class="col-md-3">
										<button type="submit" name="ConnectCustomer"
												class="btn btn-sm btn-success shadow-none">ثبت
										</button>
										<div class="btn btn-sm btn-secondary cancel_change">لغو</div>
									</div>
								</form>
							</td>
						</tr>
						<?php
					}
					?>
					</tbody>
				</table>
			</div>
			<nav>
				<ul class="pagination pagination-sm justify-content-center">
					<?php
					if ( isset( $_GET['p'] ) ) {
						$current = $_GET['p'];
					} else {
						$current = 1;
					}

					$start_page = 1;
					$end_page   = $totalPages - 2;
					if ( $current > 3 ) {
						$start_page = $current - 3;
					}
					if ( $totalPages - $current > 2 ) {
						$end_page = $current + 3;
					}

					if ( $current > 1 ) {
						$prev_page = $current - 1;
						echo '<li class="page-item"><a class="page-link" href="admin.php?page=rsgws-customer_groups&p=1">«</a></li>';
						echo '<li class="page-item"><a class="page-link" href="admin.php?page=rsgws-customer_groups&p=' . $prev_page . '"><</a></li>';
					}

					for ( $page_number = $start_page; $page_number <= $end_page; $page_number ++ ) {
						if ( $current == $page_number ) {
							echo '<li class="page-item active" aria-current="page">
                            <span class="page-link">
                                ' . $page_number . '
                                <span class="sr-only">(current)</span>
                            </span>
                      </li>';
						} else {
							echo '<li class="page-item"><a class="page-link" href="admin.php?page=rsgws-customer_groups&p=' . $page_number . '">' . $page_number . '</a></li>';
						}
					}

					if ( $current < $totalPages ) {
						$next_page = $current + 1;
						echo '<li class="page-item"><a class="page-link" href="admin.php?page=rsgws-customer_groups&p=' . $next_page . '">></a></li>';
						echo '<li class="page-item"><a class="page-link" href="admin.php?page=rsgws-customer_groups&p=' . $totalPages . '">»</a></li>';
					}
					?>
				</ul>
			</nav>
		</div>
	</div>
	<div class="row">
		<div class="col-md-12">
			<h5 class="title"><?php _e( 'Import customers from excel', 'rsgws' ); ?></h5>
			<hr>
			<br>
			<div class="col-md-12">
				<label
					for="download_sample_customer_rel_excel"><?php _e( 'Please first download sample excel and fill up blank fields, then upload it and import.', 'rsgws' ); ?></label>
				<button id="download_sample_customer_rel_excel"
						class="float-<?php echo is_rtl() ? 'right' : 'left'; ?> btn btn-success"><?php _e( 'Download sample excel', 'rsgws' ); ?></button>
				<br/><br/>
				<form enctype="multipart/form-data" method="post" class="form-inline">
					<div class="form-group">
						<label class="sr-only"
							   for="customerRelationExcelFile"><?php _e( 'Select file', 'rsgws' ); ?></label>
						<input type="file" id="customerRelationExcelFile"
							   class="form-control-file mb-2 mr-sm-2">
					</div>
					<button type="submit" id="import_customer_excel"
							class="btn btn-primary mb-2"><?php _e( 'Import', 'rsgws' ); ?></button>
				</form>
			</div>
		</div>
	</div>
	<?php wp_nonce_field( 'rsgws-nonce-table', 'rsgws-nonce-table' ) ?>
</div>
<script>
	jQuery(document).ready(function () {
		jQuery('a.edit').click(function (event) {
			event.preventDefault(); // توقف رفتار پیش فرض لینک

			// پنهان کردن عنصر والد لینک
			jQuery(this).closest('tr').hide();
			jQuery(this).closest('tr').next('tr').show();
		});
		jQuery('.cancel_change').click(function () {
			// پنهان کردن عنصر والد لینک
			jQuery(this).closest('tr').hide();
			jQuery(this).closest('tr').prev('tr').show();
		});
	});
</script>