<div class="rsgws container p-5">
    <div class="container">
        <h1><?php _e('RSGWS FAQ', 'rsgws'); ?></h1>
        <?php _e('At this section you can find frequently asked questions.', 'rsgws'); ?>
        <!-- Filter Form -->
        <div class="form-group" id="filter-form">
            <label for="filter">
                <?php _e('Search for a Question', 'rsgws') ?>
            </label>
            <input id="filter" type="text" class="form-control noEnterSubmit" placeholder="<?php __('Enter a keyword or phrase', 'rsgws') ?>" />
            <small>
                <span id="filter-help-block" class="help-block">
                  <?php _e('All faqs', 'rsgws'); ?>
                </span>
            </small>
        </div>
        <div class="searchable" id="accordion" role="tablist" aria-multiselectable="true"></div>
    </div>
</div>

<script>
    jQuery(document).ready(function ($) {
        Notiflix.Loading.arrows(rsgws_translate_handler.syncingTitle);
        $.ajaxSetup({cache: false});
        $.ajax({
            type: 'POST',
            url: rsgws_ajaxhandler.ajaxurl,
            data: {
                action: 'get_plugin_faqs',
            },
            success: function (data) {
                var arr = $.parseJSON(data);
                if (arr.success) {
                    $("#accordion").append(arr.html);
                }
                Notiflix.Loading.remove();
            },
            error: function (MLHttpRequest, textStatus, errorThrown) {
                if (errorThrown) {
                    Notiflix.Notify.failure(errorThrown);
                } else {
                    Notiflix.Notify.failure(rsgws_translate_handler.unknownError);
                }
                Notiflix.Loading.remove();
            }
        });
    });
</script>