<?php

defined( 'ABSPATH' ) || exit; // Prevent direct access

include_once ( RSGWS_CLASSES."sepidar-connector.php" );

global $wpdb;

$table_name = $wpdb->prefix . "rsgws_sepidar_moein_accounts";

$moeins = $wpdb->get_results("SELECT * FROM $table_name");

?>

<div class="rsgws container p-5">
    <div class="row container">
        <div class="col-md-12 shadow p-3 mt-3 mb-5 bg-white rounded">
            <a href="#"><img class="float-left main-logo" src="<?php echo IMAGE_URL .'/logo.png' ?>" ></a>
            <h5 class="title"><?php _e('Config accounting', 'rsgws') ?></h5>
            <hr>
            <br>
            <div class="dataTables_wrapper dt-bootstrap4">
                <div class="row">
                    <div class="col-sm-12">
                        <table id="datatable" class="table table-striped dataTable dtr-inline collapsed" role="grid" aria-describedby="datatable_info">
                            <thead>
                            <tr role="row">
                                <th class="sorting text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" style="width: 35%;" aria-label="activate to sort column ascending"><?php echo __('Account type', 'rsgws') ?></th>
                                <th class="text-right" tabindex="0" aria-controls="datatable" style="width: 55%;" rowspan="1" colspan="1"><?php echo __('Moein account', 'rsgws') ?></th>
                                <th class="text-left" tabindex="0" aria-controls="datatable" style="width: 10%;" rowspan="1" colspan="1"><?php echo __('Actions', 'rsgws') ?></th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr role="row" data-account_type="receivable">
                                <td class="text-right"><?php _e('Moein account for receivable accounts', 'rsgws'); ?></td>
                                <td class="text-right">

                                    <select name="" id="sepidar-moein-accounts" autocomplete="off">
                                        <option value=""><?php _e('Choose ... ', 'rsgws' ) ?> </option>
                                        <?php if( !empty( $moeins ) && is_array( $moeins )) :

                                            foreach( $moeins as $moein ) :

                                                $params = array(
                                                    'table_name' => 'rsgws_sepidar_account_config',
                                                    'field_one' => 'account_type',
                                                    'field_one_format' => '%s',
                                                    'field_two' => 'moein_account_code',
                                                    'field_two_value' => $moein->moein_account_code,
                                                    'field_two_format' => '%s'
                                                );

                                                $moeins_connector = new inc\classes\sepidar\SepidarConnector($params);

                                                $account_type = $moeins_connector->getFieldTwoConectedItem();

                                                ?>
                                                <option value="<?php echo $moein->moein_account_code; ?>" <?php echo $account_type == 'receivable' ? "selected" : "" ?> >
                                                    <?php echo $moein->moein_account_title ?>
                                                </option>

                                            <?php endforeach;
                                        endif; ?>
                                    </select>

                                </td>
                                <td class="text-left">
                                    <a href="#">
                                        <button type="button" class="btn btn-warning btn-link btn-sm account-config-connection-revoke" data-action="remove" title="<?php _e('Revoke','rsgws') ?>">
                                            <i class="tim-icons icon-simple-remove"></i>
                                        </button>
                                    </a>
                                    <a href="#">
                                        <button type="button" class="btn btn-success btn-link btn-sm account-config-connection-save" data-action="add" title="<?php _e('Save','rsgws') ?>">
                                            <i class="tim-icons icon-check-2"></i>
                                        </button>
                                    </a>
                                </td>
                            </tr>

                            <tr role="row" data-account_type="bank-account">
                                <td class="text-right"><?php _e('Moein account for bank accounts', 'rsgws'); ?></td>
                                <td class="text-right">

                                    <select name="" id="sepidar-moein-for-bank-accounts" autocomplete="off">
                                        <option value=""><?php _e('Choose ... ', 'rsgws' ) ?> </option>
                                        <?php if( !empty( $moeins ) && is_array( $moeins )) :

                                            foreach( $moeins as $moein ) :

                                                $params = array(
                                                    'table_name' => 'rsgws_sepidar_account_config',
                                                    'field_one' => 'account_type',
                                                    'field_one_format' => '%s',
                                                    'field_two' => 'moein_account_code',
                                                    'field_two_value' => $moein->moein_account_code,
                                                    'field_two_format' => '%s'
                                                );

                                                $moeins_connector = new inc\classes\sepidar\SepidarConnector($params);

                                                $account_type = $moeins_connector->getFieldTwoConectedItem();

                                                ?>
                                                <option value="<?php echo $moein->moein_account_code; ?>" <?php echo $account_type == 'bank-account' ? "selected" : "" ?> >
                                                    <?php echo $moein->moein_account_title ?>
                                                </option>

                                            <?php endforeach;
                                        endif; ?>
                                    </select>

                                </td>
                                <td class="text-left">
                                    <a href="#">
                                        <button type="button" class="btn btn-warning btn-link btn-sm account-config-connection-revoke" data-action="remove" title="<?php _e('Revoke','rsgws') ?>">
                                            <i class="tim-icons icon-simple-remove"></i>
                                        </button>
                                    </a>
                                    <a href="#">
                                        <button type="button" class="btn btn-success btn-link btn-sm account-config-connection-save" data-action="add" title="<?php _e('Save','rsgws') ?>">
                                            <i class="tim-icons icon-check-2"></i>
                                        </button>
                                    </a>
                                </td>
                            </tr>

                            <tr role="row" data-account_type="cachier-amount">
                                <td class="text-right"><?php _e('Moein account for cachier amount', 'rsgws'); ?></td>
                                <td class="text-right">

                                    <select name="" id="sepidar-moein-for-cachier-amount" autocomplete="off">
                                        <option value=""><?php _e('Choose ... ', 'rsgws' ) ?> </option>
                                        <?php if( !empty( $moeins ) && is_array( $moeins )) :

                                            foreach( $moeins as $moein ) :

                                                $params = array(
                                                    'table_name' => 'rsgws_sepidar_account_config',
                                                    'field_one' => 'account_type',
                                                    'field_one_format' => '%s',
                                                    'field_two' => 'moein_account_code',
                                                    'field_two_value' => $moein->moein_account_code,
                                                    'field_two_format' => '%s'
                                                );

                                                $moeins_connector = new inc\classes\sepidar\SepidarConnector($params);

                                                $account_type = $moeins_connector->getFieldTwoConectedItem();

                                                ?>
                                                <option value="<?php echo $moein->moein_account_code; ?>" <?php echo $account_type == 'cachier-amount' ? "selected" : "" ?> >
                                                    <?php echo $moein->moein_account_title ?>
                                                </option>

                                            <?php endforeach;
                                        endif; ?>
                                    </select>

                                </td>
                                <td class="text-left">
                                    <a href="#">
                                        <button type="button" class="btn btn-warning btn-link btn-sm account-config-connection-revoke" data-action="remove" title="<?php _e('Revoke','rsgws') ?>">
                                            <i class="tim-icons icon-simple-remove"></i>
                                        </button>
                                    </a>
                                    <a href="#">
                                        <button type="button" class="btn btn-success btn-link btn-sm account-config-connection-save" data-action="add" title="<?php _e('Save','rsgws') ?>">
                                            <i class="tim-icons icon-check-2"></i>
                                        </button>
                                    </a>
                                </td>
                            </tr>
                        </tbody>
                            <tfoot>
                            </tfoot>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <?php wp_nonce_field( 'rsgws-nonce-table', 'rsgws-nonce-table' ) ?>
    </div>
</div>