<?php

use inc\classes\RsgwsHelper;
use inc\classes\RsgwsRegisterMenus;

defined( 'ABSPATH' ) || exit; // Prevent direct access

// Get current setting page
$page = sanitize_text_field($_GET['page']);

// Tabs
$tab_items = array(
    array(
        'title'  => __('Orders', 'rsgws'),
        'slug'  => 'orders',
    ),
    array(
        'title'  => __('Un-synced Woo Products', 'rsgws'),
        'slug'  => 'un-synced-woo-products',
    ),
    array(
        'title'  => __('Deactivated & Unsellable Sepidar Products', 'rsgws'),
        'slug'  => 'deactivated-unsellable-products',
    ),
    array(
        'title'  => __('Deactivated Sepidar Users', 'rsgws'),
        'slug'  => 'deactivated-users',
    ),
    array(
        'title'  => __('Products with blank price', 'rsgws'),
        'slug'  => 'blank-price',
    ),
    array(
        'title'  => __('Products without inventory', 'rsgws'),
        'slug'  => 'out-of-stock',
    ),
);
$user_connection = (new class { use RsgwsHelper; })->get_connection_data();
$software_title = ( !empty( $user_connection ) && isset( $user_connection['software_title'] ) ) ? $user_connection['software_title']: 'sepidar';
// Output

?>

<div class="rsgws container p-5">
    <ul class="nav nav-pills">

        <?php foreach ( $tab_items as $key => $item ) : ?>

            <li id="<?php echo $item['slug']; ?>" class="nav-item">
                <a class="nav-link <?php echo ($key === 0) ? 'active' : ''; ?>" id="pills-<?php echo $item['slug']; ?>-tab" data-toggle="pill" href="#pills-<?php echo $item['slug']; ?>" role="tab" aria-controls="pills-<?php echo $item['slug']; ?>" aria-selected="false"><?php echo $item['title'] ?></a>
            </li>

        <?php endforeach ?>

    </ul>
    <div class="tab-content" id="pills-tabContent">
        <?php foreach ( $tab_items as $key => $item ) : ?>
        <div class="tab-pane fade <?php echo ($key === 0) ? 'show active' : ''; ?>" id="pills-<?php echo $item['slug']; ?>" role="tabpanel" aria-labelledby="pills-<?php echo $item['slug']; ?>-tab">
            <?php
            // Include views
            $page = (new RsgwsRegisterMenus())->rsgws_remove_plugin_namespace($page); // Remove namespace
            include( plugin_dir_path( __FILE__ ).$page.'/'.$item['slug'].'.php' );
            ?>
        </div>
        <?php endforeach ?>
    </div>
</div>

