<?php

defined( 'ABSPATH' ) || exit; // Prevent direct access

// Get current setting page
$tab = !empty($_GET['tab']) ? sanitize_text_field($_GET['tab']) : '';

// Set section name
$section_name = basename(__FILE__, '.php');

// Output
?>

<div class="card-body">
	<div class="row">
		<div class="col-md-12">
			<div class="float-<?php echo (is_rtl() ? 'left' : 'right') ?>">
				<img class="all-orders-image-button" src="<?php echo IMAGE_URL .'/excel-icon.png' ?>"  alt="excel export">
                <a href="<?php echo IMAGE_LINK . '/rsgws-helpdesk?section='.$section_name.'&software=' . $software_title; ?>" target="_blank" rel="noreferrer noopener" class="rsgws-helpdesk">
                    <i class="tim-icons icon-video-66"></i>
                </a>
			</div>
		</div>
	</div>
	<br>
	<div class="dataTables_wrapper dt-bootstrap4 rsgws-multi-table">
		<div class="row">
			<div class="col-sm-12">
				<table id="datatable-<?php echo $section_name ?>-main" class="table table-striped dtr-inline collapsed" role="grid" aria-describedby="datatable_info">
					<thead>
					<tr role="row">
						<th class="sorting text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="activate to sort column ascending"><?php echo __('Woo Order ID', 'rsgws') ?></th>
						<th class="sorting_asc text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="activate to sort column descending"><?php echo __('Customer Name', 'rsgws') ?></th>
						<th class="sorting text-right sorting" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="Actions: activate to sort column ascending"><?php echo __('Order Date', 'rsgws') ?></th>
						<th class="sorting_desc_disabled sorting_asc_disabled text-right sorting" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="Actions: activate to sort column ascending"><?php echo __('Order Price', 'rsgws') ?></th>
						<th class="sorting text-right sorting" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="Actions: activate to sort column ascending"><?php echo __('Order Status', 'rsgws') ?></th>
						<th class="sorting text-right sorting" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="Actions: activate to sort column ascending"><?php echo __('Payment Gateway', 'rsgws') ?></th>
					</tr>
					</thead>
					<tbody>
					</tbody>
					<tfoot>
					</tfoot>
				</table>
			</div>
		</div>
	</div>
	<?php wp_nonce_field( 'rsgws-nonce-table', 'rsgws-nonce-table' ) ?>
</div>