<?php

use inc\classes\RsgwsHelper;

defined( 'ABSPATH' ) || exit; // Prevent direct access

// Load form data
$form_data = (new class { use RsgwsHelper; })->get_plugin_settings();
$user_connection = (new class { use RsgwsHelper; })->get_connection_data();
$currency_title = (new class { use RsgwsHelper; })->rsgws_website_currency_symbol();
$software_title = ( !empty( $user_connection ) && isset( $user_connection['software_title'] ) ) ? $user_connection['software_title']: 'sepidar';
$wc_checkout_fields = (new class { use RsgwsHelper; })->rsgws_checkout_fields();
$params['table_name'] = 'rsgws_sepidar_woo_checkout_fields_rel';
$params['format'] = 'ARRAY_A';
$related_checkout_fields = (new class { use RsgwsHelper; })->rsgws_read($params);

?>

<div class="rsgws container p-5">
    <div class="row container">
        <a href="<?php echo IMAGE_LINK . '/rsgws-helpdesk?section=plugin-options&software=' . $software_title; ?>" target="_blank" rel="noreferrer noopener" class="rsgws-helpdesk">
            <i class="tim-icons icon-video-66"></i>
        </a>
        <div class="col-md-12 shadow p-3 mt-3 mb-5 bg-white rounded">
            <a href="<?php echo IMAGE_LINK; ?>" target="_blank" rel="noreferrer noopener"><img class="float-left main-logo" src="<?php echo IMAGE_URL .'/logo.png' ?>"  alt="logo"></a>
            <h5 class="title"><?php _e('Options', 'rsgws') ?></h5>
            <hr>
            <form method="post" autocomplete="off">
                <div class="form-row hide_based_on_radio_button">
                    <div class="form-group col-md-12">
                        <label for="misc-customer-id"><?php _e('Mis Customer ID', 'rsgws') ?></label>
                        <select id="misc-customer-id" name="misc_customer_id" class="selectpicker form-control" data-live-search="true" dir="rtl">
                            <option <?php if(!empty($form_data)){ echo $form_data['misc_customer_id'] ? '' : 'selected';} ?>><?php _e('Choose...', 'rsgws') ?></option>
                        </select>
                    </div>
                </div>
                <div class="form-row text-right">
                    <div class="form-check col-md-12">
                        <input class="form-check-input" type="radio" id="mis-customer-all" name="misc_customer_type" value="all" <?php if(!empty($form_data)){ echo $form_data['misc_customer_type'] == "all" ? "checked" : "";} ?> />
                        <label class="form-check-label" for="mis-customer-all"><?php _e('All customers in the financial system are treated as miscellaneous', 'rsgws'); ?></label>
                    </div>
                </div>
                <div class="form-row text-right">
                    <div class="form-check col-md-12">
                        <input class="form-check-input" type="radio" id="mis-customer-new" name="misc_customer_type" value="new" <?php if(!empty($form_data)){ echo $form_data['misc_customer_type'] == "new" ? "checked" : "";} ?> />
                        <label class="form-check-label" for="mis-customer-new"><?php _e('All new customers should be included in the system as parties to the new account', 'rsgws'); ?></label>
                    </div>
                </div>
                <div class="form-row text-right">
                    <div class="form-check col-md-12">
                        <input class="form-check-input" type="radio" id="mis-customer-limit" name="misc_customer_type" value="limit" <?php if(!empty($form_data)){ echo $form_data['misc_customer_type'] == "limit" ? "checked" : "";} ?> />
                        <label class="form-check-label" for="mis-customer-limit">
                            <?php _e('Invoice amounts less than', 'rsgws'); ?> <input type="text" id="misc-maximum-amount" name="misc_maximum_amount" placeholder="" oninvalid="this.setCustomValidity(<?php _e('Enter the minimum invoice amount.', 'rsgws'); ?>" oninput="setCustomValidity('')" value="<?php if(!empty($form_data)){ echo $form_data['misc_maximum_amount']; } ?>" autocomplete="off" /> <?php echo !empty($currency_title) ? $currency_title : ''; ?> <?php _e('Enter as a miscellaneous customer and the rest as a party to the new account', 'rsgws'); ?>
                        </label>
                    </div>
                </div>
                <br/>
	            <?php if($software_title == 'rahkaran' || $software_title == 'dasht'): ?>
                <div class="form-row text-right">
                    <div class="form-group col-md-12">
                        <label for="misc-product-id"><?php _e('Mis Product ID', 'rsgws') ?></label>
                        <select id="misc-product-id" name="misc_product_id" class="selectpicker form-control" data-live-search="true" dir="rtl">
                            <option <?php  if(!empty($form_data)){ echo $form_data['misc_product_id'] ? '' : 'selected';} ?>><?php _e('Choose...', 'rsgws') ?></option>
                        </select>
                    </div>
                </div>
                <!-- Off Prices From Sale Type -->
                <div class="form-row text-right">
                    <div class="form-group col-md-12">
                        <label for="discount-saletype-id">تخفیفات فروش ویژه از کدام نوع فروش گرفته شود : 
                            (این قیمت قیمتی است که در سایت به عنوان قیمت تخفیفی یا خط خورده نشان داده میشود. بنابراین باید از قیمت اصلی بالاتر باشد)
                        </label>
                        <select id="discount-saletype-id" name="discount_saletype_id" class="selectpicker form-control" data-live-search="true" dir="rtl">
                            <option <?php  if(!empty($form_data)){ echo $form_data['discount_saletype_id'] ? '' : 'selected';} ?> value="0"><?php _e('Choose...', 'rsgws') ?></option>
                            <option  value="Fee1" <?php if($form_data['discount_saletype_id'] == "Fee1"){ echo 'selected';} ?>>1 نوع فروش</option>
                            <option  value="Fee2" <?php if($form_data['discount_saletype_id'] == "Fee2"){ echo 'selected';} ?>>2 نوع فروش</option>
                            <option  value="Fee3" <?php if($form_data['discount_saletype_id'] == "Fee3"){ echo 'selected';} ?>> 3 نوع فروش</option>
                            <option  value="Fee4" <?php if($form_data['discount_saletype_id'] == "Fee4"){ echo 'selected';} ?>>4 نوع فروش</option>
                            <option  value="Fee5" <?php if($form_data['discount_saletype_id'] == "Fee5"){ echo 'selected';} ?>>5 نوع فروش</option>
                            <option  value="Fee6" <?php if($form_data['discount_saletype_id'] == "Fee6"){ echo 'selected';} ?>>6 نوع فروش</option>
                            <option  value="Fee7" <?php if($form_data['discount_saletype_id'] == "Fee7"){ echo 'selected';} ?>>7 نوع فروش</option>
                            <option  value="Fee8" <?php if($form_data['discount_saletype_id'] == "Fee8"){ echo 'selected';} ?>> 8 نوع فروش</option>
                            <option  value="Fee9" <?php if($form_data['discount_saletype_id'] == "Fee9"){ echo 'selected';} ?>>9 نوع فروش</option>
                            <option  value="Fee10" <?php if($form_data['discount_saletype_id'] == "Fee10"){ echo 'selected';} ?>>10 نوع فروش</option>
                        </select>
                    </div>
                </div>
                <?php endif; ?>
                <?php if($software_title == 'rahkaran'): ?>
                <div class="form-row text-right">
                    <div class="form-check col-md-12">
                        <label class="form-check-label documentPatternId" for="documentPatternId"><?php _e('Enter document Pattern Id for sale invoice', 'rsgws'); ?></label>
                        <input type="text" id="documentPatternId" name="documentPatternId" placeholder="" value="<?php if(!empty($form_data)){ echo $form_data['documentPatternId']; } ?>" autocomplete="off" />

                    </div>
                </div>
                <?php endif; ?>
                <div class="form-row text-right">
                    <div class="form-check col-md-12">
                        <input class="form-check-input" type="checkbox" id="misc-save-receipt-on-cod" name="misc_save_receipt_on_cod" value="<?php if(!empty($form_data)){ echo $form_data['misc_save_receipt_on_cod'];} ?>" <?php if(!empty($form_data)){ echo $form_data['misc_save_receipt_on_cod'] == 1 ? "checked" : "";} ?> />
                        <label class="form-check-label" for="misc-save-receipt-on-cod"><?php _e('When paying offline, the receipt should be recorded', 'rsgws'); ?></label>
                    </div>
                </div>
                <div class="form-row text-right">
                    <div class="form-check col-md-12">
                        <input class="form-check-input" type="checkbox" id="misc-set-all-inventories-to-zero" name="misc_set_all_inventories_to_zero" value="<?php if(!empty($form_data)){ echo $form_data['misc_set_all_inventories_to_zero'];} ?>" <?php if(!empty($form_data)){ echo $form_data['misc_set_all_inventories_to_zero'] == 1 ? "checked" : "";} ?> />
                        <label class="form-check-label" for="misc-set-all-inventories-to-zero"><?php _e('When adding products from the financial software to the site, the inventory of unmatched products on the site should be zero', 'rsgws'); ?></label>
                    </div>
                </div>
                <div class="form-row text-right">
                    <div class="form-check col-md-12">
                        <input class="form-check-input" type="checkbox" id="misc-use-website-prices" name="misc_use_website_prices" value="<?php if(!empty($form_data)){ echo $form_data['misc_use_website_prices'];} ?>" <?php if(!empty($form_data)){ echo $form_data['misc_use_website_prices'] == 1 ? "checked" : "";} ?> />
                        <label class="form-check-label" for="misc-use-website-prices">قیمت کالاها از اعلامیه قیمت گرفته <strong>نشود</strong></label>
                    </div>
                </div>

                <!-- misc use website quantity -->
                <div class="form-row text-right">
                    <div class="form-check col-md-12">
                        <input class="form-check-input" type="checkbox" id="misc-use-website-quantity" name="misc_use_website_quantity" value="<?php if(!empty($form_data)){ echo $form_data['misc_use_website_quantity'];} ?>" <?php if(!empty($form_data)){ echo $form_data['misc_use_website_quantity'] == 1 ? "checked" : "";} ?> />
                        <label class="form-check-label" for="misc-use-website-quantity">موجودی کالاها از موجودی انبار گرفته <strong>نشود</strong></label>
                    </div>
                </div>
                <div class="form-row text-right">
                    <div class="form-check col-md-12">
                        <input class="form-check-input" type="checkbox" id="informal-sales" name="informal_sales" value="<?php if(!empty($form_data)){ echo $form_data['informal_sales'];} ?>" <?php if(!empty($form_data)){ echo $form_data['informal_sales'] == 1 ? "checked" : "";} ?> />
                        <label class="form-check-label" for="informal-sales"><?php _e('The sale should be done in a non-toxic way', 'rsgws'); ?></label>
                    </div>
                </div>
                <div id="tax-rate-shipping" class="form-row text-right border p-2 rounded mt-2 mb-2 <?php if(!empty($form_data)){ echo $form_data['informal_sales'] == 1 ? "d-none" : "";} ?>">
                    <div class="form-check col-md-12">
                        <input class="form-check-input" type="radio" id="tax-rate-not-include-shipping" name="tax_rate_shipping" value="0" <?php if(!empty($form_data) && isset($form_data['tax_rate_shipping'])){ echo $form_data['tax_rate_shipping'] == 0 ? "checked" : "";} ?> />
                        <label class="form-check-label" for="tax-rate-not-include-shipping"><?php _e('Not include shipping tax', 'rsgws') ?></label>
                    </div>
                    <div class="form-check col-md-12">
                        <input class="form-check-input" type="radio" id="tax-rate-include-shipping" name="tax_rate_shipping" value="1" <?php if(!empty($form_data) && isset($form_data['tax_rate_shipping'])){ echo $form_data['tax_rate_shipping'] == 1 ? "checked" : "";} ?> />
                        <label class="form-check-label" for="tax-rate-include-shipping"><?php _e('Include shipping tax', 'rsgws') ?></label>
                    </div>
                    <div class="form-row col-md-12 shipping-tax <?php if(!empty($form_data) && isset($form_data['tax_rate_shipping'])){ echo $form_data['tax_rate_shipping'] == 0 ? "d-none" : "";} ?>">
                        <label class="form-check-label col-md-6" for="shipping-tax-rate">
                            <?php _e('Tax rate: ', 'rsgws'); ?> <input type="number" step="0.01" max="100" id="shipping-tax-rate" class="w-100" name="shipping_tax_rate" placeholder="<?php __('Please input shipping tax rate', 'rsgws'); ?>" oninvalid="this.setCustomValidity('<?php __('Please input a number between 0 - 100 for tax rate', 'rsgws'); ?>')" oninput="setCustomValidity('<?php __('Please input shipping tax rate', 'rsgws'); ?>')" value="<?php if(!empty($form_data) && isset($form_data['shipping_tax_rate'])){ echo $form_data['shipping_tax_rate']; } ?>" autocomplete="off" required>
                        </label>
                        <label class="form-check-label col-md-6" for="shipping-duty-rate">
                            <?php _e('Duty rate: ', 'rsgws'); ?> <input type="number" step="0.01" max="100" id="shipping-duty-rate" class="w-100" name="shipping_duty_rate" placeholder="<?php __('Please input shipping duty rate', 'rsgws'); ?>" oninvalid="this.setCustomValidity('<?php __('Please input a number between 0 - 100 for duty rate', 'rsgws'); ?>')" oninput="setCustomValidity('<?php __('Please input shipping duty rate', 'rsgws'); ?>')" value="<?php if(!empty($form_data) && isset($form_data['shipping_tax_rate'])){ echo $form_data['shipping_duty_rate']; } ?>" autocomplete="off" required>
                        </label>
                    </div>
                </div>
                <div class="form-row text-right">
                    <div class="form-check col-md-12">
                        <input class="form-check-input" type="checkbox" id="update-qty-on-each-sell" name="update_stock_qty_on_each_sell" value="<?php if(!empty($form_data)){ echo $form_data['update_stock_qty_on_each_sell'];} ?>" <?php if(!empty($form_data)){ echo $form_data['update_stock_qty_on_each_sell'] == 1 ? "checked" : "";} ?> />
                        <label class="form-check-label" for="update-qty-on-each-sell"><?php _e('Synchronize inventory after each sale', 'rsgws'); ?></label>
                    </div>
                </div>
                <?php if($software_title == 'sepidar-plus'): ?>
                <div class="form-row text-right">
                    <div class="form-check col-md-12">
                        <input class="form-check-input" type="checkbox" id="create-categories-on-sync-product" name="create_categories_on_sync_product" value="<?php if(!empty($form_data)){ echo $form_data['create_categories_on_sync_product'];} ?>" <?php if(!empty($form_data)){ echo $form_data['create_categories_on_sync_product'] == 1 ? "checked" : "";} ?> />
                        <label class="form-check-label" for="create-categories-on-sync-product"><?php _e('Get categories from sepidar and create on woocommerce on sync products', 'rsgws') ?></label>
                    </div>
                </div>
                <?php endif; ?>
                <div class="form-row text-right">
                    <div class="form-check col-md-12">
                        <input class="form-check-input" type="checkbox" id="update-sku" name="update_sku" <?php if(!empty($form_data)){ echo $form_data['update_sku'] == 1 ? "checked" : "";} ?> />
                        <label class="form-check-label" for="update-sku"><?php _e('Update SKU on product sync', 'rsgws') ?></label>
                    </div>
                </div>
                <div id="update-sku-based-on" class="form-row text-right border p-2 rounded mt-2 mb-2 <?php if(!empty($form_data)){ echo $form_data['update_sku'] == 0 ? "d-none" : "";} ?>">
                    <div class="form-check col-md-12">
                        <input class="form-check-input" type="radio" id="update-sku-with-code" name="update_sku_based_on" value="sku_with_code" <?php if(!empty($form_data)){ echo $form_data['update_sku_based_on'] == 'sku_with_code' ? "checked" : "";} ?> />
                        <label class="form-check-label" for="update-sku-with-code"><?php _e('Update SKU with code on product sync', 'rsgws') ?></label>
                    </div>
                    <div class="form-check col-md-12">
                        <input class="form-check-input" type="radio" id="update-sku-with-barcode" name="update_sku_based_on" value="sku_with_barcode" <?php if(!empty($form_data)){ echo $form_data['update_sku_based_on'] == 'sku_with_barcode' ? "checked" : "";} ?> />
                        <label class="form-check-label" for="update-sku-with-barcode"><?php _e('Update SKU with barcode on product sync', 'rsgws') ?></label>
                    </div>
                </div>
                <div class="form-row text-right border p-2 rounded mt-2 mb-2">
                    <div class="form-check col-md-12">
                        <input class="form-check-input" type="radio" id="update-quantity-by-number" name="update_quantity_based_on" value="number" <?php if(!empty($form_data) && isset($form_data['update_quantity_based_on'])){ echo $form_data['update_quantity_based_on'] == 'number' ? "checked" : "";} ?> />
                        <label class="form-check-label" for="update-quantity-by-number"><?php _e('Update quantity with number on product relation table', 'rsgws') ?></label>
                    </div>
                    <div class="form-check col-md-12">
                        <input class="form-check-input" type="radio" id="update-quantity-by-percent" name="update_quantity_based_on" value="percent" <?php if(!empty($form_data) && isset($form_data['update_quantity_based_on'])){ echo $form_data['update_quantity_based_on'] == 'percent' ? "checked" : "";} ?> />
                        <label class="form-check-label" for="update-quantity-by-percent"><?php _e('Update quantity with percent on product relation table', 'rsgws') ?></label>
                    </div>
                </div>
                <div class="form-row text-right border p-2 rounded mt-2 mb-2">
                    <div class="form-check col-md-12">
                        <input class="form-check-input" type="radio" id="reduce-from-stock-by-min-qty" name="reduce_from_stock" value="minimum_qty" <?php if(!empty($form_data) && isset($form_data['reduce_from_stock'])){ echo $form_data['reduce_from_stock'] == 'minimum_qty' ? "checked" : "";} ?> />
                        <label class="form-check-label" for="reduce-from-stock-by-min-qty"><?php _e('Reduce from stock by minimum quantity', 'rsgws') ?></label>
                    </div>
                    <div class="form-check col-md-12">
                        <input class="form-check-input" type="radio" id="reduce-from-stock-by-max-qty" name="reduce_from_stock" value="maximum_qty" <?php if(!empty($form_data) && isset($form_data['reduce_from_stock'])){ echo $form_data['reduce_from_stock'] == 'maximum_qty' ? "checked" : "";} ?> />
                        <label class="form-check-label" for="reduce-from-stock-by-max-qty"><?php _e('Reduce from stock by maximum quantity', 'rsgws') ?></label>
                    </div>
                </div>
                <?php if($software_title == 'sepidar' || 'dasht'): ?>
                    <div class="form-row text-right">
                        <div class="form-check col-md-12">
                            <input class="form-check-input" type="checkbox" id="update-product-image" name="update_product_image" value="<?php if(!empty($form_data)){ echo $form_data['update_product_image'];} ?>" <?php if(!empty($form_data)){ echo $form_data['update_product_image'] == 1 ? "checked" : "";} ?> />
                            <label class="form-check-label" for="update-product-image"><?php _e('Update product images on product sync', 'rsgws') ?></label>
                        </div>
                    </div>
                <?php endif; ?>
                <div class="form-row text-right">
                    <div class="form-check col-md-12">
                        <input class="form-check-input" type="checkbox" id="update-manage-stock-checkbox" name="update_manage_stock_checkbox" value="<?php if(!empty($form_data)){ echo $form_data['update_manage_stock_checkbox'];} ?>" <?php if(!empty($form_data)){ echo $form_data['update_manage_stock_checkbox'] == 1 ? "checked" : "";} ?> />
                        <label class="form-check-label" for="update-manage-stock-checkbox"><?php _e('Update manage stock checkbox in products', 'rsgws') ?></label>
                    </div>
                </div>
                <div class="form-row text-right">
                    <div class="form-check col-md-12">
                        <input class="form-check-input" type="checkbox" id="prevent-update-for-pre-order-products" name="prevent_update_for_pre_order_products" value="<?php if(!empty($form_data)){ echo $form_data['prevent_update_for_pre_order_products'];} ?>" <?php if(!empty($form_data)){ echo $form_data['prevent_update_for_pre_order_products'] == 1 ? "checked" : "";} ?> />
                        <label class="form-check-label" for="prevent-update-for-pre-order-products"><?php _e('Prevent update stock for pre order products', 'rsgws') ?></label>
                    </div>
                </div>
                <div class="form-row text-right">
                    <div class="form-check col-md-12">
                        <input class="form-check-input" type="checkbox" id="set-private-status" name="set_private_status" value="<?php if(!empty($form_data)){ echo $form_data['set_private_status'];} ?>" <?php if(!empty($form_data)){ echo $form_data['set_private_status'] == 1 ? "checked" : "";} ?> />
                        <label class="form-check-label" for="set-private-status"><?php _e('Set private status for products with zero price', 'rsgws') ?></label>
                    </div>
                </div>
                <div class="form-row text-right">
                    <div class="form-check col-md-12">
                        <input class="form-check-input" type="checkbox" id="hide-price-for-guests" name="hide_price_for_guests" value="<?php if(!empty($form_data)){ echo $form_data['hide_price_for_guests'];} ?>" <?php if(!empty($form_data)){ echo $form_data['hide_price_for_guests'] == 1 ? "checked" : "";} ?> />
                        <label class="form-check-label" for="hide-price-for-guests"><?php _e('Hide price for guest users (users must login to see prices)', 'rsgws') ?></label>
                    </div>
                </div>
                <div class="form-row text-right">
                    <div class="form-check col-md-12">
                        <input class="form-check-input" type="checkbox" id="update-product-title-on-add-connection" name="update_product_title_on_add_connection" value="<?php if(!empty($form_data)){ echo $form_data['update_product_title_on_add_connection'];} ?>" <?php if(!empty($form_data)){ echo $form_data['update_product_title_on_add_connection'] == 1 ? "checked" : "";} ?> />
                        <label class="form-check-label" for="update-product-title-on-add-connection"><?php _e('Update product title on connect to software product (this feature works on Peer to Peer product section)', 'rsgws') ?></label>
                    </div>
                </div>
                <div class="form-row text-right">
                    <div class="form-check col-md-12">
                        <input class="form-check-input" type="checkbox" id="update-properties" name="update_properties" value="<?php if(!empty($form_data) && isset($form_data['update_properties'])){ echo $form_data['update_properties'];} ?>" <?php if(!empty($form_data) && isset($form_data['update_properties'])){ echo $form_data['update_properties'] == 1 ? "checked" : "";} ?> />
                        <label class="form-check-label" for="update-properties"><?php _e('Update product attributes on connect to software product', 'rsgws') ?></label>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-12">
                        <label for="find-party-by"><?php _e('Find party by: (This field must have peer-to-peer related API field)', 'rsgws') ?></label>
                        <select id="find-party-by" name="find_party_by" class="selectpicker form-control" data-live-search="true" dir="rtl">
                            <option <?php if(!empty($form_data) && isset($form_data['find_party_by'])){ echo $form_data['find_party_by'] ? '' : 'selected';} ?>><?php _e('Choose...', 'rsgws') ?></option>
                            <?php
                            if(!empty($wc_checkout_fields) && !empty($related_checkout_fields)){
                                foreach ($wc_checkout_fields as $wc_checkout_field) {
                                    foreach ($related_checkout_fields as $related_checkout_field) {
                                        if($wc_checkout_field['require'] == 1 && in_array($wc_checkout_field['name'], $related_checkout_field)){
                                        ?>
                                            <option <?php if(!empty($form_data) && isset($form_data['find_party_by'])){ echo $form_data['find_party_by'] == $wc_checkout_field['name'] ? 'selected' : '';} ?> value="<?php echo $wc_checkout_field['name']; ?>"><?php echo $wc_checkout_field['label']; ?></option>
                                        <?php
                                        }
                                    }
                                }
                            }
                            ?>
                        </select>
                    </div>
                </div>
                <div class="form-row text-right border p-2 rounded mt-2 mb-2">
                    <div class="form-check col-md-12">
                        <input class="form-check-input" type="radio" id="negative-quantity-update-backorder" name="negative_quantity_update" value="backorder" <?php if(!empty($form_data)){ echo $form_data['negative_quantity_update'] == "backorder" ? "checked" : "";} ?> />
                        <label class="form-check-label" for="negative-quantity-update-backorder"><?php _e('Put product with negative quantity on backorder', 'rsgws'); ?></label>
                    </div>
                    <div class="form-check col-md-12">
                        <input class="form-check-input" type="radio" id="negative-quantity-update-zero-quantity" name="negative_quantity_update" value="zero_quantity" <?php if(!empty($form_data)){ echo $form_data['negative_quantity_update'] == "zero_quantity" ? "checked" : "";} ?> />
                        <label class="form-check-label" for="negative-quantity-update-zero-quantity"><?php _e('Update product with negative quantity with zero', 'rsgws'); ?></label>
                    </div>
                </div>
                <br/>
                <div class="form-row text-right">
                    <div class="form-check col-md-12">
                        <button type="button" id="sync_orders_state_two" class="btn btn-primary <?php echo is_rtl() ? 'float-right' : 'float-left'; ?>"><?php _e('Sync all received orders that placed before product sync', 'rsgws'); ?></button>
                    </div>
                </div>
                <br/>
                <button type="button" id="reset_rsgws" class="btn btn-danger <?php echo is_rtl() ? 'float-right' : 'float-left'; ?>"><?php _e('Reset to default', 'rsgws') ?></button>
                <button name="submit" class="btn btn-success rsgws-save-options"><?php _e('Save', 'rsgws') ?></button>
            </form>
        </div>
    </div>
	<?php wp_nonce_field( 'rsgws-nonce-table', 'rsgws-nonce-table' ) ?>
</div>

<script>
    jQuery(document).ready(function ($) {
        $('input#update-sku').on('change', function (){
            if ($(this).is(':checked')) {
                $('#update-sku-based-on').removeClass('d-none');
            }else{
                $('#update-sku-based-on').addClass('d-none');
            }
        });
        $('input#informal-sales').on('change', function (){
            if ($(this).is(':checked')) {
                $('#tax-rate-shipping').addClass('d-none');
            }else{
                $('#tax-rate-shipping').removeClass('d-none');
            }
        });
        $('input#tax-rate-include-shipping').on('change', function (){
            if ($(this).is(':checked')) {
                $('.shipping-tax').removeClass('d-none');
            }
        });
        $('input#tax-rate-not-include-shipping').on('change', function (){
            if ($(this).is(':checked')) {
                $('.shipping-tax').addClass('d-none');
            }
        });
        Notiflix.Loading.arrows(rsgws_translate_handler.syncingTitle);
        $.ajaxSetup({cache: false});
        $.ajax({
            type: 'POST',
            url: rsgws_ajaxhandler.ajaxurl,
            data: {
                action: 'get_plugin_customers',
            },
            success: function (data) {
                var arr = $.parseJSON(data);
                if (arr.success) {
                    $("#misc-customer-id").append(arr.html);
                    $(".selectpicker").selectpicker("refresh");
                    Notiflix.Loading.remove();
                }else{
                    Notiflix.Loading.remove();
                }
            },
            error: function (MLHttpRequest, textStatus, errorThrown) {
                if (errorThrown) {
                    Notiflix.Notify.failure(errorThrown);
                    Notiflix.Loading.remove();
                } else {
                    Notiflix.Notify.failure(rsgws_translate_handler.unknownError);
                    Notiflix.Loading.remove();
                }
            }
        });
        <?php if($software_title == 'dasht' || $software_title == 'rahkaran'): ?>
            Notiflix.Loading.arrows(rsgws_translate_handler.syncingTitle);
            $('#misc-product-id').append($('<option value="loading">' + rsgws_translate_handler.loading + '</option>'));
            $.ajaxSetup({cache: false});
            $.ajax({
                type: 'POST',
                url: rsgws_ajaxhandler.ajaxurl,
                data: {
                    action: 'get_financial_software_products_from_api',
                    for_option: 1
                },
                success: function (data) {
                    var arr = $.parseJSON(data);
                    if (arr.success) {
                        $('#misc-product-id option[value="loading"]').remove();
                        $("#misc-product-id").append(arr.html);
                        $(".selectpicker").selectpicker("refresh");
                        Notiflix.Loading.remove();
                    } else {
                        $('#misc-product-id option[value="loading"]').remove();
                        Notiflix.Notify.warning(arr.message);
                        Notiflix.Loading.remove();
                    }
                },
                error: function (MLHttpRequest, textStatus, errorThrown) {
                    if (errorThrown) {
                        $('#misc-product-id option[value="loading"]').remove();
                        Notiflix.Notify.failure(errorThrown);
                        Notiflix.Loading.remove();
                    } else {
                        $('#misc-product-id option[value="loading"]').remove();
                        Notiflix.Notify.failure(rsgws_translate_handler.unknownError);
                        Notiflix.Loading.remove();
                    }
                }
            });
        <?php endif; ?>
    });
</script>