<?php
use inc\classes\RsgwsHelper;

defined( 'ABSPATH' ) || exit; // Prevent direct access

$woocommerce_payment_gateways = (new class { use RsgwsHelper; })->rsgws_get_woocommerce_payment_gateways();
$software_name = (new class { use RsgwsHelper; })->get_connection_data()['software_title'];

if($software_name == 'rahkaran'){
    global $wpdb;
	$settlement_policy_table = $wpdb->prefix . "rsgws_sepidar_settlement_policies";
	$settlement_policies = $wpdb->get_results("SELECT * FROM {$settlement_policy_table}");
}
$order_statuses = wc_get_order_statuses();

switch ($software_name){
    case 'sepidar-plus':
    case 'rahkaran':
        $invoice_types = array('Invoice' => __('Invoice', 'rsgws'));
        break;
    default:
        $invoice_types = array('Invoice' => __('Invoice', 'rsgws'), 'Quotation' => __('Quotation', 'rsgws'));
        break;
}
?>
<div class="rsgws container p-5">
    <div class="row container">
        <a href="<?php echo IMAGE_LINK . '/rsgws-helpdesk?section=peer-to-peer-gateways&software=' . $software_name; ?>" target="_blank" rel="noreferrer noopener" class="rsgws-helpdesk">
            <i class="tim-icons icon-video-66"></i>
        </a>
        <div class="col-md-12 shadow p-3 mt-3 mb-5 bg-white rounded">
            <a href="<?php echo IMAGE_LINK; ?>" target="_blank" rel="noreferrer noopener"><img class="float-lef main-logo" src="<?php echo IMAGE_URL .'/logo.png' ?>" ></a>
            <h5 class="title"><?php _e('Payment Gateways', 'rsgws') ?></h5>
            <hr>
            <br>
            <div class="dataTables_wrapper dt-bootstrap4">
                <div class="row">
                    <div class="col-sm-12">
                        <table id="datatable-payment-gateways-link" class="table table-striped dataTable dtr-inline collapsed" role="grid" aria-describedby="datatable_info">
                            <thead>
                                <tr role="row">
                                    <th class="sorting text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" style="width: 20px;" aria-label="activate to sort column ascending"><?php echo __('Code', 'rsgws') ?></th>
                                    <th class="text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1"><?php echo __('Woo Gateways', 'rsgws') ?></th>
                                    <th class="sorting_asc text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="activate to sort column descending"><?php echo __('Bank accounts', 'rsgws') ?></th>
                                    <th class="sorting_asc text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="activate to sort column descending"><?php echo __('Invoice/Quotation Status', 'rsgws') ?></th>
                                    <th class="sorting_asc_disabled sorting_desc_disabled text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="activate to sort column descending"><?php echo __('Invoice/Quotation', 'rsgws') ?></th>
                                    <th class="text-left" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1"><?php echo __('Actions', 'rsgws') ?> <div class="float-left"><a href="#"> <button type="button" class="btn btn-warning btn-link btn-sm multi-bank-account-connection-revoke" data-action="revoke" title="<?php _e('Revoke', 'rsgws'); ?>"> <i class="tim-icons icon-simple-remove"></i> </button> </a> <a href="#"> <button type="button" class="btn btn-success btn-link btn-sm multi-bank-account-connection-save" data-action="add" title="<?php _e('Add', 'rsgws'); ?>"> <i class="tim-icons icon-check-2"></i> </button> </a></div></th>
                                </tr>
                            </thead>
                            <tbody>
                            <?php if(!empty( $woocommerce_payment_gateways )) :
	                            $params['table_name'] = 'rsgws_sepidar_bank_accounts';
	                            $params['from_col'] = 'bank_account_id, bank_account_code, bank_account_title';
	                            $software_bank_accounts = (new class { use RsgwsHelper; })->rsgws_read($params);
                                foreach( $woocommerce_payment_gateways as $index => $payment_gateway ) :
                                    $params['table_name'] = 'rsgws_sepidar_woo_gateways_rel';
                                    $params['from_col'] = 'bank_account_id, OrderStatus, invoiceType';
                                    $params['where_col'] = 'Gateway = "' . $payment_gateway['id'] . '"';
                                    $related = (new class { use RsgwsHelper; })->rsgws_read($params);
	                                $bank_account_id = (!empty($related)) ? $related[0]->bank_account_id : '';
                                    $related_order_status = (!empty($related)) ? $related[0]->OrderStatus : '';
                                    $related_invoice_type = (!empty($related)) ? $related[0]->invoiceType : '';
                                    ?>
                                    <tr role="row" data-woo_gateway_id="<?php echo $payment_gateway['id'] ?>" data-existence="<?php echo !empty($bank_account_id) ? 1 : 0 ?>">
                                        <td class="text-center"><?php echo $payment_gateway['id'] ?></td>
                                        <td tabindex="0" class="sorting_1 text-right"><?php echo $payment_gateway['title'] ?></td>
                                        <td class="text-right">
                                            <select id="sepidar-bank-accounts" class="selectpicker form-control" data-live-search="true">
                                                <option value=""><?php _e('Choose ... ', 'rsgws' ) ?> </option>
                                                <?php
                                                if(!empty($software_bank_accounts)):
                                                    foreach ($software_bank_accounts as $software_bank_account) : ?>
                                                            <option value="<?php echo $software_bank_account->bank_account_id ?>" <?php echo $bank_account_id == $software_bank_account->bank_account_id ? "selected" : "" ?> >
                                                                <?php echo $software_bank_account->bank_account_title; ?>
                                                            </option>
                                                <?php endforeach; endif; ?>
                                            </select>
                                        </td>
                                        <td class="text-right">
                                            <select id="order-statuses" class="selectpicker form-control" data-live-search="true">
                                                <option value=""><?php _e('Choose ... ', 'rsgws' ) ?> </option>
                                                <?php
                                                if(!empty($order_statuses)):
                                                    foreach ($order_statuses as $key => $order_status) : ?>
                                                            <option value="<?php echo $key ?>" <?php echo $related_order_status == $key ? "selected" : "" ?> >
                                                                <?php echo $order_status; ?>
                                                            </option>
                                                <?php endforeach; endif; ?>
                                            </select>
                                        </td>
                                        <td class="text-right">
                                            <select id="invoice-type" class="selectpicker form-control" data-live-search="true">
                                                <option value=""><?php _e('Choose ... ', 'rsgws' ) ?> </option>
                                                <?php
                                                    foreach ($invoice_types as $key => $invoice_type) : ?>
                                                        <option value="<?php echo $key ?>" <?php echo $related_invoice_type == $key ? "selected" : "" ?> >
                                                            <?php echo $invoice_type; ?>
                                                        </option>
                                                <?php
                                                    endforeach;
                                                ?>
                                            </select>
                                        </td>
                                        <td class="text-left">
                                            <a href="#">
                                                <button type="button" class="btn btn-warning btn-link btn-sm bank-account-connection-revoke" data-action="add" title="<?php _e('Revoke','rsgws') ?>">
                                                    <i class="tim-icons icon-simple-remove"></i>
                                                </button>
                                            </a>
                                            <a href="#">
                                                <button type="button" class="btn btn-success btn-link btn-sm bank-account-connection-save" data-action="add" title="<?php _e('Save','rsgws') ?>">
                                                    <i class="tim-icons icon-check-2"></i>
                                                </button>
                                            </a>
                                        </td>
                                    </tr>
                                <?php endforeach; endif; ?>
                            </tbody>
                            <tfoot>
                            </tfoot>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <?php wp_nonce_field( 'rsgws-nonce-table', 'rsgws-nonce-table' ) ?>
    </div>
</div>