<?php

defined( 'ABSPATH' ) || exit; // Prevent direct access
$form_data = get_option('rsgws-user-connection');
?>

<div class="rsgws container p-5">
    <div class="row container">
        <a href="<?php echo IMAGE_LINK . '/rsgws-helpdesk?section=peer-to-peer-products&software=' . $form_data['software_title']; ?>" target="_blank" rel="noreferrer noopener" class="rsgws-helpdesk">
            <i class="tim-icons icon-video-66"></i>
        </a>
        <div class="col-md-12 shadow p-3 mt-3 mb-5 bg-white rounded">
            <a href="<?php echo IMAGE_LINK; ?>" target="_blank" rel="noreferrer noopener"><img class="float-left main-logo" src="<?php echo IMAGE_URL .'/logo.png' ?>"  alt=""></a>
            <h5 class="title"><?php _e('Products', 'rsgws') ?></h5>
            <hr>
            <br>
            <div class="dataTables_wrapper dt-bootstrap4">
                <div class="row">
                    <div class="col-sm-12">
                        <div class="row mb-4">
                            <div class="col-md-12 float-<?php echo is_rtl() ? 'right' : 'left'; ?>">
                                <a href="#">
                                    <button type="button" class="btn btn-primary btn update-rel-products float-<?php echo is_rtl() ? 'right' : 'left'; ?>">
                                        <i class="tim-icons icon-refresh-02"></i>
                                        <?php _e('Update products', 'rsgws'); ?>
                                    </button>
                                </a>
                                <a href="#">
                                        <button type="button" class="btn btn-warning btn misc-set-all-inventories-to-zero float-<?php echo is_rtl() ? 'right' : 'left'; ?> mr-2">
                                        <i class="tim-icons icon-simple-remove"></i>
                                        ناموجود کردن محصولات نظیر نشده
                                    </button>
                                </a>
                            </div>
                        </div>

                        <div class="progress_lable"></div>
		<div class="progress mb-4" style="display: none">
			<div class="progress-bar progress-bar-striped bg-success progress-bar-animated" role="progressbar" style="width: 0%;" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100"></div>
		</div>
                        <table id="datatable-link-products-main" class="table table-striped dtr-inline collapsed" role="grid" aria-describedby="datatable_info">
                            <thead>
                            <tr role="row">
                                <th class="sorting text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-label="activate to sort column ascending"><?php echo __('Code', 'rsgws') ?></th>
                                <th class="text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1"><?php echo __('Woo Products', 'rsgws') ?></th>
                                <th class="sorting_asc_disabled sorting_desc_disabled text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="activate to sort column descending"><?php echo __('Software Products', 'rsgws') ?></th>
                                <th class="sorting_asc_disabled sorting_desc_disabled text-right" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1" aria-sort="ascending" aria-label="activate to sort column descending"><?php echo __('Quantity Update', 'rsgws') ?></th>
                                <th class="text-left" tabindex="0" aria-controls="datatable" rowspan="1" colspan="1"><?php echo __('Actions', 'rsgws') ?> <div class="float-left"><a href="#"> <button type="button" class="btn btn-warning btn-link btn-sm multi-product-connection-revoke" data-action="revoke" title="<?php _e('Revoke', 'rsgws'); ?>"> <i class="tim-icons icon-simple-remove"></i> </button> </a> <a href="#"> <button type="button" class="btn btn-success btn-link btn-sm multi-product-connection-save" data-action="add" title="<?php _e('Add', 'rsgws'); ?>"> <i class="tim-icons icon-check-2"></i> </button> </a></div></th>
                            </tr>
                            </thead>
                            <tbody>
                            </tbody>
                            <tfoot>
                            </tfoot>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-12 shadow p-3 mt-3 mb-5 bg-white rounded">
            <div class="row">
                <div class="col-md-12">
                    <h5 class="title"><?php _e('Import from excel', 'rsgws'); ?></h5>
                    <hr>
                    <br>
                    <div class="row">
                        <div class="col-md-12">
                            <label for="ImportFromExcel"><?php _e('Please first download sample excel and fill up blank fields, then upload it and import.', 'rsgws'); ?></label>
                            <button id="download_sample_product_rel_excel" class="float-<?php echo is_rtl() ? 'right' : 'left'; ?> btn btn-success"><?php _e('Download sample excel', 'rsgws'); ?></button>
                            <br/><br/>
                            <form enctype="multipart/form-data" method="post" class="form-inline">
                                <div class="form-group">
                                    <label for="productRelationExcelFile" class="sr-only"><?php _e('Select file', 'rsgws'); ?></label>
                                    <input type="file" id="productRelationExcelFile" class="form-control-file mb-2 mr-sm-2">
                                </div>
                                <button id="import_product_relation" class="btn btn-primary mb-2"><?php _e('Import', 'rsgws'); ?></button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <?php wp_nonce_field( 'rsgws-nonce-table', 'rsgws-nonce-table' ) ?>
    </div>
</div>