<?php

defined('ABSPATH') || exit; // Prevent direct access

use inc\classes\software\all\PtpProductRelationsForSSP;
use inc\classes\software\sepidarplus\PtpProductRelationsForSepidarPlus;
use inc\classes\software\dasht\GetDataFromDasht;

$dasht = new GetDataFromDasht();
$test = $dasht->test_connection();

$form_data     = get_option('rsgws-user-connection');
$quantity_base = get_option('rsgws-settings')['update_quantity_based_on'];

global $software_title;
if ($software_title == "dasht") {
    $exc = new PtpProductRelationsForSSP();
} elseif ($software_title == "sepidar-plus") {
    $exc = new PtpProductRelationsForSepidarPlus();
}

$products    = $exc->products()['products'];
$total_pages = $exc->products()['total_pages'];

if (isset($_GET['searchForm']) && isset($_GET['s'])) {
    $data        = $exc->searchForm($_GET);
    $products    = $data['products'];
    
    $total_pages = $data['total_pages'];
}

 

?>

<style>
    .table td {
        border: unset;
        padding : 10px !important;
    }

    /* .links {
        opacity: 0;
    }

    .table td:hover .links {
        opacity: 1;
    } */

    .lds-ripple {
  display: inline-block;
  position: relative;
  width: 100px;
  height: 100px;
  top: 30%;
  transform: translateX(100%);
  z-index: 100;
}
.lds-ripple div {
  position: absolute;
  border: 4px solid #92140c;
  opacity: 1;
  border-radius: 50%;
  animation: lds-ripple 1s cubic-bezier(0, 0.2, 0.8, 1) infinite;
}
.lds-ripple div:nth-child(2) {
  animation-delay: -0.5s;
}
@keyframes lds-ripple {
  0% {
    top: 38px;
    left: 38px;
    width: 0;
    height: 0;
    opacity: 0;
  }
  4.9% {
    top: 38px;
    left: 38px;
    width: 0;
    height: 0;
    opacity: 0;
  }
  5% {
    top: 38px;
    left: 38px;
    width: 0;
    height: 0;
    opacity: 1;
  }
  100% {
    top: 0px;
    left: 0px;
    width: 82px;
    height: 82px;
    opacity: 0;
  }
}
.lds-loader-area{
    width: 100%;
position: absolute;
right: -10px;
left: 0;
height: 100%;
text-align: center;
z-index: 99;
background-color: rgba(29, 35, 39 , 0.3);
display : none;
}
</style>
<div class="lds-loader-area">
<div class="lds-ripple"><div></div><div></div>
 
</div>

</div>

<div class="rsgws container p-5">
         
    <div class="row">
        <div class="col-md-12">
            <a href="<?= IMAGE_LINK; ?>" target="_blank" rel="noreferrer noopener"><img class="float-left main-logo"
                                                                                        src="<?= IMAGE_URL . '/logo.png' ?>"
                                                                                        alt=""></a>
                                                                                        
                                                                                           <ul class="nav nav-pills d-inline-block">
            <?php if($test){ ?>
               <li id="financial-information" class="nav-item">
                <span class="nav-link active btn-success" style="font-size:13px;">اتصال شما برقرار است</span>
            </li>
            <?php } else{ ?>
            
              <li id="financial-information" class="nav-item">
                <span class="nav-link active btn-danger" style="font-size:13px;">اتصال شما برقرار نیست(با رفتن به بخش "اتصال کاربر" با توجه به ویدیو اموزشی اتصال را برقرار کنید)</span>
            </li>
            <?php } ?>
         
		    </ul>
        </div>
        <div class="col-md-12">
            <div class="card mw-100 p-0">
                <div class="card-header">
                    <a href="<?= IMAGE_LINK . '/rsgws-helpdesk?section=peer-to-peer-products&software=' . $form_data['software_title']; ?>"
                       target="_blank" rel="noreferrer noopener" class="float-left rsgws-helpdesk">
                        <i class="tim-icons icon-video-66"></i>
                    </a>
                    <h5 class="mb-0 title"><?= _e('Products', 'rsgws') ?></h5>
                </div>
                <div class="card-body">
                    <form class="row" action="" method="get">
                        <input type="hidden" name="page" value="rsgws-ptpProducts">
                        <div class="col-md-4">
                            <div class="input-group mb-3" dir="ltr">
                                <div class="input-group-prepend">
                                    <button class="btn btn-outline-secondary" style="background-color: #92140c; color:#fff" type="submit" name="searchForm">
                                        <i class="tim-icons icon-zoom-split"></i>
                                    </button>
                                </div>
                                <input type="text" class="form-control" placeholder="جستجو ..." name="s" dir="rtl" value="<?= $_GET['s'] ?? ""?>">
                            </div>
                        </div>
                    </form>
                    <div class="row">
                        <div class="col-md-12">

                        </div>
                        <div class="col-md-12 p-0">
                            <div class="table-responsive mt-3">
                                <table class="table">
                                    <thead>
                                    <tr>
                                        <th class="text-right" tabindex="0">
                                            <?= __('Code', 'rsgws') ?>
                                        </th>
                                        <th class="text-right">
                                            <?= __('Woo Products', 'rsgws') ?>
                                        </th>
                                        <th class="text-center">
                                            کالای نظیر شده
                                        </th>
                                        <th class="text-center">
                                            <?= __('Quantity Update', 'rsgws') ?>
                                        </th>
                                        <th class="text-center">
                                            عملیات
                                        </th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <?php
                                    foreach ($products as $product) {
                                        $related = $exc->related($product->ID);
                                        ?>
                                        <tr>
                                            <td class="text-right py-0"><?= $product->ID ?></td>
                                            <td class="text-right py-0">
                                                <div><?= $product->post_title ?></div>
                                    </td>
                                            <td class="text-center py-0">
                                                <?= $related ? "(" . $related[0]->Code . ") " . $related[0]->Title : "-" ?>
                                            </td>
                                            <td class="text-center py-0">
                                                <?php
                                                if ($related) {
                                                    echo get_post_meta($product->ID, 'rsgws_qty_condition', true) . "%";
                                                } else {
                                                    echo "-";
                                                }
                                                ?>
                                            </td>
                                            <td class="text-center py-0">
                                         
                                                <div class="links mt-1">
                                                    <a href="#" class="edit">ویرایش </a>
                                                    <?php
                                                    if ($related) {
                                                        ?>
                                             
                                                        <form action="" method="post" class="d-inline">
                                                            <?php wp_nonce_field('rsgws_nonce', 'rsgws_nonce') ?>
                                                            <input type="hidden" name="wooAttrID"
                                                                   value="<?= $product->ID ?>">
                                                            <button type="submit" name="RevokeProduct"
                                                                    class="btn btn-link text-danger p-0 sub-btns error_btns"> قطع ارتباط
                                                            </button>
                                                        </form>
                                                        <?php
                                                    }
                                                    ?>
                                                </div>
                                            </td>
                                        </tr>
                                        <tr class="bg-secondary text-white" style="display: none">
                                                <form class="row" method="post" action="" >
                                                    <?php wp_nonce_field('rsgws_nonce', 'rsgws_nonce') ?>
                                                    <input type="hidden"  name="woo_attribute_id"
                                                           value="<?= $product->ID ?>">
                                                    <input type="hidden" name="woo_product_id"
                                                           value="<?= $product->post_parent == 0 ? $product->ID : $product->post_parent ?>">
                                                    <?php
                                                    if ($related) {
                                                        ?>
                                                        <input type="hidden" name="existence" value="true">
                                                        <?php
                                                    }
                                                    ?>
                                                            <td >
                                                            <div class="">
                                                        <?= $product->ID ?>
                                                    </div>
                                                            </td>
                                                <td>
                                                <div class="">
                                                        <?= $product->post_title ?>
                                                    </div>
                                                </td>
                                                <td colspan="1">
                                                <div class="">
                                                        <select class="software_products_ajax w-75"
                                                                name="software_product_id">
                                                            <?php
                                                            if ($related) {
                                                                foreach ($related as $row) {
                                                                    ?>
                                                                    <option value="<?= $row->SepidarItemID ?>"
                                                                            selected><?= $row->Title ?></option>
                                                                    <?php
                                                                }
                                                            }
                                                            ?>
                                                        </select>
                                                    </div>
                                                </td>
                                        <td>
                                        <div class="">
                                                        <?php
                                                        if (! $related) {
                                                            echo $quantity_base == 'number' ?
                                                                '<input type="number" name="qty_condition" step="0.01" value="" id="product_quantity" min="0" max="100" class="w-100"/>' :
                                                                '<input type="number" name="qty_condition" step="1" value="100" id="product_quantity" min="0" max="100" class="w-100"/>';
                                                        } else {
                                                            echo $quantity_base == 'number' ?
                                                                '<input type="number" name="qty_condition" step="0.01" value="' . get_post_meta($product->ID, 'rsgws_qty_condition', true) . '" id="product_quantity" min="0" max="100" class="w-100"/>' :
                                                                '<input type="number" name="qty_condition" step="1" value="' . get_post_meta($product->ID, 'rsgws_qty_condition', true) . '" id="product_quantity" min="0" max="100" class="w-100"/>';
                                                        }
                                                        ?>
                                                    </div>
                                        </td>
                                                <td>
                                                <div class="text-center">
                                                        <button type="submit" name="ConnectProduct"
                                                                class="btn btn-sm btn-success shadow-none sub-btns">ثبت
                                                        </button>
                                                        <div class="btn btn-sm btn-secondary cancel_change">لغو</div>
                                                    </div>
                                                </td>
                                                 
                                                
                                                </form>
                                    
                                        </tr>

                                        <?php
                                    }
                                    ?>
                                    </tbody>
                                </table>
                            </div>
                            <nav>
                                <ul class="pagination pagination-sm justify-content-center">
                                    <?php
                                    $urlQuery = "page=rsgws-ptpProducts";
                                    if (isset($_GET['searchForm']) && isset($_GET['s'])) {
                                        $searchString = $_GET['s'];
                                        $urlQuery .= "&searchForm";
                                        $urlQuery .= "&s=$searchString";
                                    }
                                    $current = $_GET['p'] ?? 1;

                                    $start_page = 1;
                                    $end_page   = $total_pages - 2;
                                    if ($current > 3) {
                                        $start_page = $current - 3;
                                    }
                                    if ($total_pages - $current > 2) {
                                        $end_page = $current + 3;
                                    }

                                    if ($current > 1) {
                                        $prev_page = $current - 1;
                                        echo '<li class="page-item"><a class="page-link" href="admin.php?'.$urlQuery.'&p=1">«</a></li>';
                                        echo '<li class="page-item"><a class="page-link" href="admin.php?'.$urlQuery.'&p=' . $prev_page . '"><</a></li>';
                                    }

                                    for ($page_number = $start_page; $page_number <= $end_page; $page_number ++) {
                                        if ($current == $page_number) {
                                            echo '<li class="page-item active" aria-current="page"><span class="page-link">' . $page_number . '<span class="sr-only">(current)</span></span></li>';
                                        } else {
                                            echo '<li class="page-item"><a class="page-link" href="admin.php?'.$urlQuery.'&p=' . $page_number . '">' . $page_number . '</a></li>';
                                        }
                                    }

                                    if ($current < $total_pages) {
                                        $next_page = $current + 1;
                                        echo '<li class="page-item"><a class="page-link" href="admin.php?'.$urlQuery.'&p=' . $next_page . '">></a></li>';
                                        echo '<li class="page-item"><a class="page-link" href="admin.php?'.$urlQuery.'&p=' . $total_pages . '">»</a></li>';
                                    }
                                    ?>
                                </ul>
                            </nav>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card mw-100 p-0">
                <div class="card-header">
                    <h5 class="title"><?= __('Import from excel', 'rsgws'); ?></h5>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-12">
                            <label
                                for="ImportFromExcel"><?php _e('Please first download sample excel and fill up blank fields, then upload it and import.', 'rsgws'); ?></label>
                            <button id="download_sample_product_rel_excel"
                                    class="float-<?php echo is_rtl() ? 'right' : 'left'; ?> btn btn-success"><?php _e('Download sample excel', 'rsgws'); ?></button>
                            <br/><br/>
                            <form enctype="multipart/form-data" method="post" class="form-inline">
                                <div class="form-group">
                                    <label for="productRelationExcelFile"
                                           class="sr-only"><?php _e('Select file', 'rsgws'); ?></label>
                                    <input type="file" id="productRelationExcelFile"
                                           class="form-control-file mb-2 mr-sm-2">
                                </div>
                                <button id="import_product_relation"
                                        class="btn btn-primary mb-2"><?php _e('Import', 'rsgws'); ?></button>
                            </form>
                        </div>
                    </div>
                    <?php wp_nonce_field('rsgws-nonce-table', 'rsgws-nonce-table') ?>
                </div>
            </div>
        </div>
    </div>
</div>
<script>
 
jQuery(document).ready(function () {
        jQuery('.sub-btns').click(function (event) {

            jQuery('.lds-loader-area').css('display', 'block');

        });
     
    });


    jQuery(document).ready(function () {
        jQuery('a.edit').click(function (event) {
            event.preventDefault(); // توقف رفتار پیش فرض لینک

            // پنهان کردن عنصر والد لینک
            jQuery(this).closest('tr').hide();
            jQuery(this).closest('tr').next('tr').show();
        });
        jQuery('.cancel_change').click(function () {
            // پنهان کردن عنصر والد لینک
            jQuery(this).closest('tr').hide();
            jQuery(this).closest('tr').prev('tr').show();
        });
    });
</script>